<?php
/**
 * Copyright (c) 2020/4
 * Created by Federico Papetti
 */

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAppstoreAppTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('appstore_app', function (Blueprint $table) {
            $table->id();
            $table->string('bundle_identifier');
            $table->string('name');
            $table->string('icon')->nullable();
            $table->foreignId('type')->nullable()->constrained("appstore_types");
            $table->text('description')->nullable();
            $table->boolean('abm_active')->default(false);
            $table->boolean('active')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('appstore_app');
    }
}
