<?php
/**
 * Copyright (c) 2020/4
 * Created by Federico Papetti
 */

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAppstoreVersionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('appstore_version', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('app');
            $table->string('dimension')->nullable();
            $table->string('file')->nullable();
            $table->string('version');
            $table->string('changelog');
            $table->boolean('active')->default(false);
            $table->boolean('show_in_history')->default(true);
            $table->timestamps();
        });

        Schema::table('appstore_version', function(Blueprint $table) {
            $table->foreign('app')->references('id')->on('appstore_app');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('appstore_version');
    }
}
