<?php
/**
 * Copyright (c) 2020/4
 * Created by Federico Papetti
 */

use FourWords\AppManager\Appstore\Database\Seeders\AppstoreSeeder;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAbmCodesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('appstore_abm_codes', function (Blueprint $table) {
            $table->id();
            $table->string('code')->nullable();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->foreignId('appstore_app_id')->constrained("appstore_app")->cascadeOnDelete();
            $table->integer('allocation_date')->nullable();
            $table->integer('insert_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('appstore_abm_codes');
    }
}
