<?php
/**
 * Copyright (c) 2020/4
 * Created by Federico Papetti
 */

use FourWords\AppManager\Appstore\Database\Seeders\AppstoreSeeder;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAbmCodesRedeemedTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('appstore_abm_codes_redeemed', function (Blueprint $table) {
            $table->id();
             $table->foreignId('user_id')->constrained("ioc_users")->cascadeOnDelete();
              $table->foreignId('appstore_app_id')->constrained("appstore_app")->cascadeOnDelete();
              $table->bigInteger('codes_redeemed')->nullable();
 
             $table->unique(['user_id', 'appstore_app_id']);
          });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('appstore_abm_codes_redeemed');
    }
}
