<div x-init="$wire.messageFromApp()">
    <div class="flex mt-8 ml-2 mr-2 items-center justify-between">
        <h1 class="text-lg font-medium">Lista di app</h1>
        @can('create-appstore')
            <a href="{{ route('appstore.admin.create') }}" class="ml-auto flex text-theme-1 dark:text-theme-10 items-center">
                <i class="fal fa-plus mr-2"></i>
                Crea app
            </a>
        @endcan
    </div>
    <div class="grid grid-cols-12 gap-6 mt-5">
        @foreach($app as $a)
            <div class="relative z-0 rounded-2xl shadow col-span-12 sm:col-span-6 xl:col-span-3 intro-y" x-data="{appActive: {{ $a->active }}}">
                <a href="{{ route('appstore.admin.show', $a->id) }}">
                    <div class="absolute top-2 right-2 w-2 h-2 rounded-xl z-10" :class="appActive ? 'bg-green-500 border-2 border-green-400' : 'bg-red-500 border-2 border-red-400'"></div>
                    <div class="h-full p-10 pt-5 pb-5 flex justify-center items-center flex-col hover:bg-theme-26 cursor-pointer rounded-2xl">
                        @if($a->icon)
                            <img src="{{ asset('storage/logo/'.$a->icon) }}" alt="Logo app" class="h-8">
                        @endif
                        <h1 class="text-xl mt-2">{{ $a->name }}</h1>
                        <p class="text-theme-16">Versione: {{ $a->appstore_version->sortByDesc('versionNoDots')->first()->version ?? 'Nessuna' }}</p>
                        <i class="{{$a->appstore_type->icon}} text-xl mt-2"></i>
                    </div>
                </a>
            </div>
        @endforeach
    </div>
</div>