<div class="tab-content col-span-12 lg:col-span-8 xxl:col-span-9 mt-5" x-data="{ isUploadingLogo: false, isUploadingFile: false, isUploadingAbm: false}">
    <div class="box lg:mt-5 tab-content__pane active">
        <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5 cursor-pointer" >
            <h1 class="text-lg font-medium">Nuova app</h1>
        </div>
        <div class="p-5">
            <form enctype="multipart/form-data">
                <div class="grid grid-cols-12 gap-5">
                    <div class="col-span-12 xl:col-span-4">
                        <div>
                            <label>Nome app</label>
                            <input type="text" class="input w-full border mt-2" wire:model="appInfo.name" />
                            @error('appInfo.name')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                        </div>
                        <div class="mt-3">
                            <div>
                                <label>Logo app</label>
                                @if ($appInfo['logo'])
                                <div class="mt-3">
                                    <img src="{{ $appInfo['logo']->temporaryUrl() }}" class="mt-2 h-32">
                                </div>
                                @endif
                                <div class="mt-3">
                                    <div class="flex mt-3 items-center">
                                        <div x-show="isUploadingLogo">
                                            <i class="fas fa-spinner fa-pulse mr-2"></i>
                                        </div>
                                        <div x-on:livewire-upload-start="isUploadingLogo = true"
                                             x-on:livewire-upload-finish="isUploadingLogo = false"
                                             x-on:livewire-upload-error="isUploadingLogo = false">
                                            <input type="file" class="mt-3" wire:model="appInfo.logo" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-span-12 xl:col-span-4">
                        <div>
                            <label>Bundle identifier</label>
                            <input type="text" class="input w-full border mt-2" wire:model="appInfo.bundleID" />
                            @error('appInfo.bundleID')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                        </div>
                        <div class="mt-3">
                            <label>Descrizione</label>
                            <textarea class="input w-full border mt-2" style="height: 8rem" wire:model="appInfo.desc"></textarea>
                        </div>
                    </div>
                    <div class="col-span-12 xl:col-span-4">
                        <div>
                            <label>Sistema operativo</label>
                            <select wire:model="appInfo.os" class="input w-full border mt-2">
                                @foreach ($appType as $appT)
                                    <option value="{{ $appT->id }}">{{ $appT->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mt-3 @if($appInfo['os'] != 1) hidden @endif">
                            <div class="flex items-center">
                                <label>ABM:</label>
                                <input type="checkbox" class="ml-2 input input--switch border" wire:model="appInfo.abmActive" @if($appInfo['abm'] != null) checked @endif>
                            </div>
                            <div class="mt-3 @if(!$appInfo['abmActive']) hidden @endif">
                                <div class="mt-3">
                                    <div class="flex mt-3 items-center">
                                        <div x-show="isUploadingAbm">
                                            <i class="fas fa-spinner fa-pulse mr-2"></i>
                                        </div>
                                        <div x-on:livewire-upload-start="isUploadingAbm = true"
                                                x-on:livewire-upload-finish="isUploadingAbm = false"
                                                x-on:livewire-upload-error="isUploadingAbm = false">
                                            <input type="file" class="w-full" wire:model="appInfo.abm" id="abmfile{{$randId}}" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="grid grid-cols-12 gap-5 mt-12">
                    <div class="col-span-12 xl:col-span-6">
                        <div>
                            <label>Versione</label>
                            <input type="text" class="input w-full border mt-2" wire:model="versionInfo.version" />
                        </div>
                        @if(!$appInfo['abmActive'])
                            <div class="mt-3">
                                <label>File app</label>
                                <div class="flex mt-3 items-center">
                                    <div x-show="isUploadingFile">
                                        <i class="fas fa-spinner fa-pulse mr-2"></i>
                                    </div>
                                    <div x-on:livewire-upload-start="isUploadingFile = true"
                                         x-on:livewire-upload-finish="isUploadingFile = false"
                                         x-on:livewire-upload-error="isUploadingFile = false">
                                        <div class="flex mt-3 items-center">
                                            <input type="file" class="w-full" wire:model="versionInfo.file" />
                                        </div>
                                        @error('versionInfo.file')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                                    </div>
                                </div>
                            </div>
                        @endif
                    </div>
                    <div class="col-span-12 xl:col-span-6">
                        <div>
                            <label>Dimensione file</label>
                            <input type="text" class="input w-full border mt-2" wire:model="versionInfo.dimension" />
                        </div>
                        <div class="mt-3">
                            <div>
                                <label>Changelog</label>
                                <textarea class="input w-full border mt-2" style="height: 8rem" wire:model="versionInfo.changelog"></textarea>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="flex mt-4">
                    <button wire:click.prevent="createApp" type="button" class="button w-20 bg-theme-1 text-white ml-auto" :class="isUploadingLogo || isUploadingFile || isUploadingAbm ? 'bg-theme-30' : ''" x-bind:disabled="isUploadingLogo || isUploadingFile || isUploadingAbm">Salva</button>
                </div>
            </form>
        </div>
    </div>
</div>

