<div x-data="{ isUploading: false }">
    <x-modal :static="true">
        <x-slot name="content">
            <div class="p-6">
                <div class="sm:block absolute top-0 right-0 pt-4 pr-4">
                    <button @click="open = false" wire:click="resetFields()" type="button"
                            class="text-gray-400 hover:text-gray-500 focus:outline-none focus:text-gray-500 transition ease-in-out duration-150">
                        <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                  d="M6 18L18 6M6 6l12 12" />
                        </svg>
                    </button>
                </div>
                <h2 class="text-lg font-medium mr-auto mb-4">Nuova Versione</h2>

                <form>
                    <div class="grid grid-cols-12 gap-5 mt-3">
                        <div class="col-span-12 xl:col-span-6">
                            <div>
                                <label>Versione</label>
                                <input type="text" class="input w-full border mt-2" wire:model="versionInfo.version" />
                            </div>
                            @if(!$app->abm_active)
                                <div class="mt-3">
                                    <label>File app</label>
                                    <div class="mt-3">
                                        <div class="flex mt-3 items-center">
                                            <div x-show="isUploading">
                                                <i class="fas fa-spinner fa-pulse mr-2"></i>
                                            </div>
                                            <div x-on:livewire-upload-start="isUploading = true"
                                                 x-on:livewire-upload-finish="isUploading = false"
                                                 x-on:livewire-upload-error="isUploading = false">
                                                <div class="flex mt-3 items-center">
                                                    <input type="file" wire:model="versionInfo.file" id="VersionFile{{$randId}}" />
                                                </div>
                                                @error('versionInfo.file')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        </div>
                        <div class="col-span-12 xl:col-span-6">
                            <div>
                                <label>Dimensione file</label>
                                <input type="text" class="input w-full border mt-2" wire:model="versionInfo.dimension" />
                            </div>
                            @if(!$app->abm_active)
                                <div class="mt-3">
                                    <div>
                                        <label>Changelog</label>
                                        <textarea class="input w-full border mt-2" style="height: 8rem" wire:model="versionInfo.changelog"></textarea>
                                    </div>
                                </div>
                            @endif
                        </div>
                        @if($app->abm_active)
                            <div class="col-span-12">
                                <div>
                                    <label>Changelog</label>
                                    <textarea class="input w-full border mt-2" style="height: 8rem" wire:model="versionInfo.changelog"></textarea>
                                </div>
                            </div>
                        @endif
                        <div class="col-span-12">
                            <div class="flex items-center">
                                <input type="checkbox" class="mr-2 input input--switch border" wire:model="versionInfo.showInHistory" checked>
                                <label>Mostra versione</label>
                            </div>
                            <div class="flex items-center mt-4">
                                <input type="checkbox" class="mr-2 input input--switch border" wire:model="versionInfo.active">
                                <label>Versione corrente</label>
                            </div>
                        </div>
                    </div>

                    <div class="flex mt-4">
                        <button wire:click.prevent="createApp" type="button" class="button w-20 bg-theme-1 text-white ml-auto" :class="isUploading ? 'bg-theme-30' : ''" x-bind:disabled="isUploading">Salva</button>
                    </div>
                </form>
            </div>
        </x-slot>
    </x-modal>
</div>