<div x-data="{ isUploadingLogo: false, isUploadingAbm: false }">
    <form>
        <div class="grid grid-cols-12 gap-5">
            <div class="col-span-12 xl:col-span-4">
                <div>
                    <label>Nome app</label>
                    <input type="text" class="input w-full border mt-2" wire:model="appInfo.name" />
                    @error('appInfo.name')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                </div>
                <div class="mt-3">
                    <div>
                        <label>Logo app</label>
                        @if($this->appInfo['logo'])
                            <img src="{{ $this->appInfo['logo']->temporaryUrl() }}" class="mt-2 h-32">
                        @elseif($app->icon)
                            <img src="{{ asset('storage/logo/'.$this->appInfo['showLogo']) }}" class="mt-2 h-32">
                        @endif
                    </div>

                    <div class="mt-3">
                        <div class="flex mt-3 items-center">
                            <div x-show="isUploadingLogo">
                                <i class="fas fa-spinner fa-pulse mr-2"></i>
                            </div>
                            <div x-on:livewire-upload-start="isUploadingLogo = true"
                                    x-on:livewire-upload-finish="isUploadingLogo = false"
                                    x-on:livewire-upload-error="isUploadingLogo = false">
                                <input type="file" wire:model="appInfo.logo" id="logofile{{$randId}}" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-span-12 xl:col-span-4">
                <div>
                    <label>Bundle identifier</label>
                    <input type="text" class="input w-full border mt-2" wire:model="appInfo.bundleID" />
                    @error('appInfo.bundleID')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                </div>
                <div class="mt-3">
                    <label>Descrizione</label>
                    <textarea class="input w-full border mt-2" style="height: 8rem" wire:model="appInfo.desc"></textarea>
                </div>
            </div>
            <div class="col-span-12 xl:col-span-4">
                <div>
                    <label>Sistema operativo</label>
                    <select wire:model="appInfo.os" class="input w-full border mt-2">
                        @foreach ($appType as $appT)
                            <option value="{{ $appT->id }}">{{ $appT->name }}</option>
                        @endforeach
                    </select>
                </div>
                <div class="mt-3 @if($appInfo['os'] != 1) hidden @endif">
                    <div class="flex items-center">
                        <label>ABM:</label>
                        <input type="checkbox" class="ml-2 input input--switch border" wire:model="appInfo.abmActive" @if($appInfo['abm'] != null) checked @endif>
                    </div>
                    <div class="mt-3 @if(!$appInfo['abmActive']) hidden @endif">
                        <div class="flex-col mt-3 items-center">
                            <label>{{ $app->abm }}</label>
                            <p>Codici ABM disponibili: {{ FourWords\AppManager\Appstore\Models\AbmCode::getCounterABMAvailable_Max($app->id) }}</p>
                        </div>
                        <div class="mt-3">
                            <div class="flex mt-3 items-center">
                                <div x-show="isUploadingAbm">
                                    <i class="fas fa-spinner fa-pulse mr-2"></i>
                                </div>
                                <div x-on:livewire-upload-start="isUploadingAbm = true"
                                        x-on:livewire-upload-finish="isUploadingAbm = false"
                                        x-on:livewire-upload-error="isUploadingAbm = false">
                                    <input type="file" class="w-full" wire:model="appInfo.abm" id="abmfile{{$randId}}" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="flex justify-end mt-6">
{{--            @can('delete-appstore')--}}
{{--                <div class="dropdown">--}}
{{--                    <a class="dropdown-toggle block" href="javascript:;">--}}
{{--                        <span class="text-theme-6 flex items-center cursor-pointer">--}}
{{--                            <i class="mr-1 fa-light fa-trash"></i> Elimina app--}}
{{--                        </span>--}}
{{--                    </a>--}}
{{--                    <div class="dropdown-box w-48">--}}
{{--                        <div class="dropdown-box__content box dark:bg-dark-1">--}}
{{--                            <div class="p-4 border-b border-gray-200 dark:border-dark-5 font-medium">Eliminare app?</div>--}}

{{--                            <div class="px-3 py-3 border-t border-gray-200 dark:border-dark-5 font-medium flex">--}}
{{--                                <button wire:click.prevent="$emit('closeDropdowns')" type="button" class="button button--sm bg-gray-200 text-gray-600">Annulla</button>--}}
{{--                                <button wire:click.prevent="delete" type="button" class="button button--sm bg-red-600 text-white dark:bg-dark-5 dark:text-gray-300 ml-auto">Elimina</button>--}}
{{--                            </div>--}}
{{--                        </div>--}}
{{--                    </div>--}}
{{--                </div>--}}
{{--            @endcan--}}

            <button wire:click.prevent="update" type="button" class="button w-20 bg-theme-1 text-white ml-auto" :class="isUploadingLogo || isUploadingAbm ? 'bg-theme-30' : ''" x-bind:disabled="isUploadingLogo || isUploadingAbm">Salva</button>
        </div>
    </form>
</div>
