<div x-data="{ isUploading: false }">
    <form>
        <div class="grid grid-cols-12 gap-5">
            <div class="col-span-12 xl:col-span-6">
                <div>
                    <label>Versione</label>
                    <input type="text" class="input w-full border mt-2" wire:model="versionInfo.version" />
                </div>
                @if(!$abm)
                    <div class="mt-3">
                        <label>File app</label>
                        @if($versionInfo['showFile'])
                            <div class="flex mt-3 items-center">
                                <i class="fa-light fa-file mr-2"></i>
                                {{ $versionInfo['showFile'] }} 
                            </div>
                        @endif
                        <div class="mt-3">
                            <div class="flex mt-3 items-center">
                                <div x-show="isUploading">
                                    <i class="fas fa-spinner fa-pulse mr-2"></i>
                                </div>
                                <div x-on:livewire-upload-start="isUploading = true"
                                     x-on:livewire-upload-finish="isUploading = false"
                                     x-on:livewire-upload-error="isUploading = false">
                                    <input type="file" enctype="multipart/form-data" wire:model="versionInfo.file" id="uploadFileApp{{$randId}}" />
                                </div>
                            </div>
                        </div>
                    </div>
                @endif
            </div>
            <div class="col-span-12 xl:col-span-6">
                <div>
                    <label>Dimensione file</label>
                    <input type="text" class="input w-full border mt-2" wire:model="versionInfo.dimension" />
                </div>
                @if(!$abm)
                    <div class="mt-3">
                        <div>
                            <label>Changelog</label>
                            <textarea class="input w-full border mt-2" style="height: 8rem" wire:model="versionInfo.changelog"></textarea>
                        </div>
                    </div>
                @endif
            </div>
            @if($abm)
                <div class="col-span-12">
                    <div>
                        <div>
                            <label>Changelog</label>
                            <textarea class="input w-full border mt-2" style="height: 8rem" wire:model="versionInfo.changelog"></textarea>
                        </div>
                    </div>
                </div>
            @endif
            <div class="col-span-12">
                <div class="flex items-center">
                    <input type="checkbox" class="mr-2 input input--switch border" wire:model="versionInfo.showInHistory" @if($versionInfo['showInHistory']) checked @endif>
                    <label>Mostra versione</label>
                </div>
                <div class="flex items-center mt-4">
                    <input type="checkbox" class="mr-2 input input--switch border" wire:model="versionInfo.active" @if($versionInfo['active']) checked @endif>
                    <label>Versione corrente</label>
                </div>
            </div>
        </div>
        <div class="flex justify-end mt-8">
            @can('delete-appstore-version')
                <div class="dropdown">
                    <a class="dropdown-toggle block" href="javascript:;">
                        <span class="text-theme-6 flex items-center cursor-pointer">
                            <i class="mr-1 fa-light fa-trash"></i> Elimina versione
                        </span>
                    </a>
                    <div class="dropdown-box w-48">
                        <div class="dropdown-box__content box dark:bg-dark-1">
                            <div class="p-4 border-b border-gray-200 dark:border-dark-5 font-medium">Eliminare versione?</div>

                            <div class="px-3 py-3 border-t border-gray-200 dark:border-dark-5 font-medium flex">
                                <button wire:click.prevent="$emit('closeDropdowns')" type="button" class="button button--sm bg-gray-200 text-gray-600">Annulla</button>
                                <button wire:click.prevent="delete" type="button" class="button button--sm bg-red-600 text-white dark:bg-dark-5 dark:text-gray-300 ml-auto">Elimina</button>
                            </div>
                        </div>
                    </div>
                </div>
            @endcan

            <button wire:click.prevent="update" type="button" class="button w-20 bg-theme-1 text-white ml-auto" :class="isUploading ? 'bg-theme-30' : ''" x-bind:disabled="isUploading">Salva</button>
        </div>
    </form>
</div>
