@extends('appstore::user.layout.base')

@section('headCss')
    <title>App Store > {{ $app->name ?? 404 }}</title>
    <link rel="stylesheet" href="{{ asset('compiled/css/app.css') }}"/>
    <link rel="stylesheet" href="{{ asset('static/fontawesome/css/fontawesome.min.css') }}">
    <link rel="stylesheet" href="{{ asset('static/fontawesome/css/light.min.css') }}">
    <link rel="stylesheet" href="{{ asset('static/fontawesome/css/brands.min.css') }}">
    <script src="//unpkg.com/alpinejs" defer></script>
@endsection

@section('body')
    <body class="relative m-0 p-0">
    @include('appstore::user.logo-title')

    <div class="flex flex-col items-center justify-center px-6 py-4 mx-auto">
        @livewire('user.appstore-back-logout', ['app' => $app])
        @if($active)
            @livewire('user.appstore-download', ['app' => $app])
        @else
            @include('appstore::user.not-active-app')
        @endif
    </div>

    @livewireScripts
    <script>
        window.addEventListener("pageshow", function (event) {
            var historyTraversal = event.persisted ||
                (typeof window.performance != "undefined" &&
                    window.performance.navigation.type === 2);
            if (historyTraversal) {
                // Handle page restore.
                window.location.reload();
            }
        });
    </script>
    <script src="{{ asset('static/fontawesome/js/fontawesome.min.js') }}"></script>
    <script src="{{ asset('static/fontawesome/js/light.min.js') }}"></script>
    </body>
@endsection