
<div class="flex justify-center flex-col w-full" >
    <div x-show="!pswDimenticata && !signup" class="px-12">
        <div class="mt-2">
            @include('appstore::user.form-login-username')
        </div>
        <div class="relative mt-2" x-data="{passwordVisible: false}">
            <label>Password:</label>
            <input :type="passwordVisible ? 'text' : 'password'" class="login__input input input--lg border border-gray-300 block w-full"
                placeholder="Password" wire:model="credentials.password" />
            @error('credentials.password')<p class="text-red-700">{{ $message }}</p> @enderror
            <i class="fa-solid fa-eye cursor-pointer absolute right-3 top-8" x-show="!passwordVisible" @click="passwordVisible = true"></i>
            <i class="fa-solid fa-eye-slash cursor-pointer absolute right-3 top-8" x-show="passwordVisible" @click="passwordVisible = false"></i>
        </div>
        <p class="text-right text-theme-10 cursor-pointer my-4" @click="pswDimenticata = true; login = false" wire:click="resetError">Password dimenticata?</p>
        <button type="button" class="button button--lg rounded-xl text-white bg-{{ config('appstore.frontend.primaryColor') }} align-top w-full mt-4" name="appstore-btn-login" wire:click="loginSubmit">ENTRA</button>
    </div>

    <div x-cloak x-show="pswDimenticata">
        <h1 class="rounded-tl-3xl rounded-tr-3xl text-center text-white text-xl w-full p-2 bg-{{ config('appstore.frontend.secondaryColor') }}">Recupero credenziali</h1>

        @if(session()->has('appstore_loginErrorMsg'))
            <p class="text-red-700 text-center p-4 bg-red-100">{{ session()->get('appstore_loginErrorMsg') }}</p>
        @endif

        @if(session()->has('appstore_loginSuccessMsg'))
            <p class="text-center p-4 text-green-700 bg-green-200">{{ session()->get('appstore_loginSuccessMsg') }}</p>
        @endif

        <div class="w-full px-12 py-4 bg-theme-23 mb-6">
            <h5 class="text-xl mb-2">Hai dimenticato la password?</h5>
            <p>Al fine di ricevere i tuoi dati di accesso per email, inserisci il tuo codice cliente e la e-mail che hai fornito in fase di registrazione.</p>
        </div>

        <div class="px-12">
            <div class="mt-2 mb-6">
                <label for="">Email:</label>
                <input type="text" class="login__input input input--lg border border-gray-300 block w-full"
                       placeholder="E-mail" wire:model="email" />
                @error('email')<p class="text-red-700">{{ $message }}</p> @enderror
            </div>

            <p class="text-red-700">{{ session()->get('email') }}</p>
            <button type="button" class="button button--lg text-white bg-{{ config('appstore.frontend.primaryColor') }} align-top w-full mt-4" name="appstore-btn-resetpsw" wire:click="sendEmailResetPassword">REIMPOSTA PASSWORD</button>
            <button type="button" class="button button--lg text-{{ config('appstore.frontend.primaryColor') }} border-2 border-{{ config('appstore.frontend.primaryColor') }} align-top w-full mt-2" @click="pswDimenticata = false; login = true" wire:click="resetError">TORNA AL LOGIN</button>
        </div>
    </div>

    <div x-cloak x-show="signup">
        <div>
            <div class="flex justify-center flex-col w-full">
                <h1 class="rounded-tl-3xl rounded-tr-3xl text-center text-white text-xl w-full p-2 bg-{{ config('appstore.frontend.secondaryColor') }}">Registrazione</h1>

                @if(session()->has('appstore_loginErrorMsg'))
                    <p class="text-red-700 text-center p-4 bg-red-100">{{ session()->get('appstore_loginErrorMsg') }}</p>
                @endif

                @if(session()->has('appstore_loginSuccessMsg'))
                    <p class="text-center p-4 text-green-700 bg-green-200">{{ session()->get('appstore_loginSuccessMsg') }}</p>
                @endif

                <div class="w-full px-12 py-4 bg-theme-23 mb-6">
                    <p>Inserisci la partita IVA o il codice fiscale, il codice cliente e un indirizzo e-mail per effettuare la registrazione</p>
                </div>

                <div class="px-12">
                    <div class="mt-2">
                        <label for="">Codice Cliente:</label>
                        <input type="text" class="login__input input input--lg border border-gray-300 block w-full"
                               placeholder="Codice Cliente" wire:model="customerCode" />
                        @error('customerCode')<p class="text-red-700">{{ $message }}</p> @enderror
                    </div>
                    <div class="mt-2">
                        <label for="">Partita IVA / Codice Fiscale:</label>
                        <input type="text" class="login__input input input--lg border border-gray-300 block w-full"
                               placeholder="Partita IVA / Codice Fiscale" wire:model="pIva" />
                        @error('pIva')<p class="text-red-700">{{ $message }}</p> @enderror
                    </div>
                    <div class="mt-2">
                        <label for="">Nuova e-mail:</label>
                        <input type="email" class="login__input input input--lg border border-gray-300 block w-full"
                               placeholder="Nuova e-mail" wire:model="signupEmail" />
                        @error('signupEmail')<p class="text-red-700">{{ $message }}</p> @enderror
                    </div>
                    <button type="button" class="button button--lg text-white bg-{{ config('appstore.frontend.primaryColor') }} align-top w-full mt-12" name="appstore-btn-signup" wire:click="sendEmailSignup">INVIA</button>
                    <button type="button" class="button button--lg text-{{ config('appstore.frontend.primaryColor') }} border-2 border-{{ config('appstore.frontend.primaryColor') }} align-top w-full mt-2" @click="signup = false; login = true" wire:click="resetError">TORNA AL LOGIN</button>
                </div>
            </div>
        </div>
    </div>
</div>