@extends('appstore::user.layout.base')


@section('headCss')
    <title>App Store</title>
    <link rel="stylesheet" href="{{ asset('compiled/css/app.css') }}" />
    <link rel="stylesheet" href="{{ asset('static/fontawesome/css/fontawesome.min.css') }}">
    <link rel="stylesheet" href="{{ asset('static/fontawesome/css/light.min.css') }}">
    @livewireStyles
@endsection

@section('body')
    <body class="relative m-0 p-0">
        @include('appstore::user.logo-title')

        <div class="flex justify-center px-6 py-8 mx-auto lg:py-0 mt-6">
            @livewire('user.appstore-login', ['app' => $app])
        </div>

        @livewireScripts
        <script>
            window.addEventListener( "pageshow", function ( event ) {
                var historyTraversal = event.persisted ||
                    ( typeof window.performance != "undefined" &&
                        window.performance.navigation.type === 2 );
                if ( historyTraversal ) {
                    // Handle page restore.
                    window.location.reload();
                }
            });
        </script>
    </body>
@endsection