<div>
    <x-modal :static="true">
        <x-slot name="content">
            <div class="p-6">
                <div class="sm:block absolute top-0 right-0 pt-4 pr-4">
                    <button @click="open = false" type="button"
                            class="text-gray-400 hover:text-gray-500 focus:outline-none focus:text-gray-500 transition ease-in-out duration-150">
                        <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                  d="M6 18L18 6M6 6l12 12" />
                        </svg>
                    </button>
                </div>

                @if($userAbmCode)
                    <h2 class="text-lg font-medium mr-auto mb-4">Download diretto</h2>                
                    <div class="grid grid-cols-12 gap-5 mt-3">
                        <div class="col-span-12 flex justify-center">
                            <a href="https://apps.apple.com/redeem?code={{ $userAbmCode }}&ctx=apps" class="button button--sm block bg-theme-1 text-white w-full md:w-1/3 ">Vai all' App Store</a>
                        </div>
                        <div class="col-span-12">
                            <p class="text-center">oppure</p>
                        </div>
                        <div class="col-span-12">
                            <h2 class="text-lg font-medium mr-auto mb-4">Download manuale</h2>   
                            <ul>
                                <li class="my-2">
                                    1. Copia il codice premendo sul pulsante a destra:
                                    <div class="flex mt-1 mb-2">
                                        <div class="bg-theme-2 p-2">
                                            <input id="abmCode" class="bg-theme-2" style="width: 120px" value="{{$userAbmCode}}" readonly />

                                            <button onclick="copyToClipboard('abmCode')" class="ml-1">
                                                <i class="fa-sharp fa-light fa-copy"></i>
                                            </button>
                                        </div>
                                    </div>
                                </li>

                                <li class="my-2">2. Apri l'applicazione App Store <i class="fab fa-app-store-ios ml-2 text-xl"></i></li>
{{--                                <img src="{{ asset('static/images/apps_icon.png') }}" class="ml-2" style="width: 25px">--}}
                                <li class="flex items-center my-2">3. Vai nella sezione App</li>
                                <li class="my-2">4. Seleziona "Utilizza codice" </li>
                                <li class="my-2">5. Incolla il codice e conferma </li>
                            </ul>
                        </div>
                        <div class="col-span-12 mt-4">
                            <h2 class="text-lg font-medium mr-auto">Problemi con il download?</h2>   
                            <p>Se hai cambiato Apple ID e i collegamenti precedenti non funzionano, puoi richiedere un nuovo codice</p>
                            <p>(<b>{{ FourWords\AppManager\Appstore\Models\AbmCodeRedeemed::countCodesRedeemed($app->id) }}</b> richieste effettuate su un massimo di <b>{{ config('appstore.user.maxAbmCodeRedeemed') }}</b>)</p>
                            
                            @if(!$abmCodeRequested && !$tooManyAbmRequest)
                                <button wire:click="requestNewAbmCodeButton()" class="button button--sm block border-2 border-red-800 text-red-800 w-full md:w-1/3 mt-4">Richiedi nuovo codice</button>
                            @elseif($tooManyAbmRequest)
                                <h2 class="text-md text-red-800 font-medium mr-auto mt-4">Hai superato il limite di richieste</h2>
                            @else
                                <h2 class="text-md font-medium mr-auto mt-4">Codice aggiornato!</h2>
                            @endif
                        </div>
                    </div>
                @else
                    <h2 class="text-center text-lg font-medium mr-auto">Applicazione non disponibile momentaneamente su App Store</h2>
                @endif

                <script>
                    function copyToClipboard(elementId) {
                        document.getElementById(elementId).select();
                        document.execCommand('copy');
                    }
                </script>
            </div>
        </x-slot>
    </x-modal>
</div>