<div class="rounded-3xl bg-gray-200 w-full h-auto max-w-md">
    <div class="p-6 space-y-4 md:space-y-6 sm:p-8">
        <h1 class="text-center text-black text-xl w-full">App Store Login</h1>

        <form wire:submit.prevent="loginSubmit">
            <div class="flex flex-col w-full">
                <div class="flex flex-col justify-center w-full">
                    <select name="appType" id="app-type-select" class="input w-full mt-2" wire:model="appChosen">
                        @foreach($app as $a)
                            <option value="{{ base64_encode($a->bundle_identifier).'_'.$a->type }}">
                                {{ $a->name.' ('.$a->os.')'}}
                            </option>
                        @endforeach
                    </select>
                </div>
                <div class="flex justify-center flex-col w-full mt-6">
                    <div class="mt-2">
                        <input type="text" class="login__input input input--lg border border-gray-300 block w-full"
                               placeholder="Username" wire:model="credentials.username" />
                        @error('credentials.username')<p class="text-red-700">{{ $message }}</p> @enderror
                    </div>
                    <div class="mt-2">
                        <input type="password" class="login__input input input--lg border border-gray-300 block w-full"
                               placeholder="Password" wire:model="credentials.password" />
                        @error('credentials.password')<p class="text-red-700">{{ $message }}</p> @enderror
                    </div>
                    <button class="button button--lg text-white bg-theme-1 align-top w-full mt-2" name="appstore-btn-login">Login</button>
                </div>
            </div>
        </form>
    </div>
</div>
