<div class="rounded-3xl bg-white shadow w-full h-auto max-w-md">
    <h1 class="rounded-tl-3xl rounded-tr-3xl text-center text-white text-xl w-full p-2 bg-{{ config('appstore.frontend.secondaryColor') }}">App store | Download</h1>

    <div class="p-6 sm:p-8">
        <div class="flex w-full py-2">
            @if($app->icon != null)
                <img src="{{ asset('storage/logo/'.$app->icon) }}" alt="appstore_image" class="mr-6 h-24"/>
            @endif
            <div>
                <h1 class="font-bold text-xl">{{ $app->name }}</h1>
                <p class="text-gray-600 text-sm">{{ $currentVersion->version }}</p>
            </div>
        </div>

        <div class="flex justify-center items-center mb-4">
            @if($app->abm_active && FourWords\AppManager\Appstore\Models\AbmCode::countAbmCodes($this->app->id))
                <button class="block bg-{{ config('appstore.frontend.primaryColor') }} text-white mt-2 p-2 rounded-md w-2/3 text-center" wire:click="$emit('openAppstoreScreen')">Scarica da AppStore</button>
                @livewire('user.abm-download', ['app' => $app])
            @elseif($currentVersion->file)
                <a href="{{ asset('storage/file/'.$currentVersion->file) }}" class="block bg-{{ config('appstore.frontend.primaryColor') }} text-white mt-2 p-2 rounded-md w-2/3 text-center">DOWNLOAD</a>
            @else
                <p class="block bg-gray-300 text-white mt-2 p-2 rounded-md w-2/3 text-center">Nessun file da scaricare</p>
            @endif
        </div>

        <div class="flex w-full pt-4 m-0 pb-4 border-t-2 border-gray-400">
            <p>{{ $app->description }}</p>
        </div>
        <div class="flex flex-col w-full pt-4 m-0 pb-4 border-t-2 border-gray-400">
            <div class="flex justify-between" x-data="{open: false}" x-cloak>
                <h1 class="font-bold text-xl">Novità</h1>
                <p class="text-xs text-blue-600 underline cursor-pointer" @click="open = true">Cronologia aggiornamenti</p>
                @include('appstore::user.popup-cronologia-versioni')
            </div>
            <p class="text-gray-600 text-sm mt-2 mb-2">Versione {{ $currentVersion->version }}</p>
            <p>{{ $currentVersion->changelog }}</p>
        </div>
        <div class="flex flex-col w-full pt-4 m-0 pb-4 border-t-2 border-gray-400">
            <h1 class="font-bold text-xl">Informazioni</h1>

            <div class="mt-2">
                <p>Dimensioni</p>
                <p class="text-gray-600 text-sm">{{ $currentVersion->dimension ?? 'Non specifico'}}</p>
            </div>
            <div class="mt-2">
                <p>Sistema operativo:</p>
                <p class="text-gray-600 text-sm">{{ $app->appstore_type->name }}</p>
            </div>
        </div>
    </div>
</div>
