<div class="rounded-3xl bg-white shadow w-full h-auto max-w-lg">
    <div class="pb-8" x-data="{login: true, pswDimenticata: false, signup: false}">
        <div x-show="login">
            <h1 class="rounded-tl-3xl rounded-tr-3xl text-center text-white text-xl w-full p-2 bg-{{ config('appstore.frontend.secondaryColor') }}">App store</h1>

            @if(session()->has('appstore_loginErrorMsg'))
                <p class="text-red-700 bg-red-200 text-center p-4">{{ session()->get('appstore_loginErrorMsg') }}</p>
            @endif

            @if(session()->has('appstore_loginSuccessMsg'))
                <p class="text-center p-4 text-green-700 bg-green-200">{{ session()->get('appstore_loginSuccessMsg') }}</p>
            @endif

            <div class="flex flex-col w-full px-12 mt-6">
                @if(!\Illuminate\Support\Facades\Auth::guard('iocweb')->check())
                    <div class="w-full text-left mb-6 flex"><p @click="signup = true; login = false" class="text-theme-10 cursor-pointer ml-1">Non hai ancora un account? Registrati!</p></div>
                @endif

                <div class="flex flex-col justify-center w-full">
                    <label for="">Seleziona lo store:</label>
                    <select name="appType" id="app-type-select" class="input input--lg w-full border border-gray-300" wire:model="appSelected">
                        @foreach($app as $a)
                            <option value="{{ $a->id }}">
                                {{ $a->name.' ('.$a->appstore_type->name.')'}}
                            </option>
                        @endforeach
                    </select>
                </div>
            </div>
        </div>
        @if(\Illuminate\Support\Facades\Auth::guard('iocweb')->check())
            @include('appstore::user.link-download')
        @else
            @include('appstore::user.form-login')
        @endif
    </div>
</div>
