<template x-teleport="body">
    <div x-show="open">
        <div class="fixed w-full h-full top-0 bg-gray-400 opacity-25 z-10"></div>
        <div class="fixed w-full h-full bg-gray-200 border-2 shadow-inner rounded-2xl top-0 mt-16 z-20 animate-down-to-up" @click.outside="open = false">
            <div class="p-2 pl-3">
                <button type="button" @click="open = false" class="font-bold text-gray-800 text-xl">x</button>
            </div>
            <div class="pr-6 pl-6">
                <h1 class="font-bold text-xl pb-2">Cronologia aggiornamenti</h1>
                <div class="flex flex-col">
                    @foreach($app->appstore_version->where("active", "=", false)->where("show_in_history", "=", true)->sortByDesc('versionNoDots') as $aVersion)
                        <div class="border-t-2 border-gray-300 pt-2 pb-2">
                            <p class="font-bold">{{ $aVersion->version }}</p>
                            <p class="pt-2">{{ $aVersion->changelog }}</p>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</template>