<?php

use FourWords\AppManager\Appstore\Controllers\APIAppstoreController;
use FourWords\AppManager\Appstore\Controllers\AppstoreAdminController;
use FourWords\AppManager\Appstore\Controllers\AppstoreController;
use FourWords\AppManager\Appstore\Controllers\SignupController;
use FourWords\AppManager\Ioc\Controllers\PasswordController;
use Illuminate\Support\Facades\Route;

Route::middleware('web')->group(function () {

    Route::middleware('auth')->group(function () {
        Route::prefix('appstore-admin')->group(function () {
            Route::get('', [AppstoreAdminController::class, 'index'])->name('appstore.admin.index');
            Route::get('create', [AppstoreAdminController::class, 'create'])->name('appstore.admin.create');
            Route::get('{appId}', [AppstoreAdminController::class, 'show'])->name('appstore.admin.show');
        });
    });

    Route::prefix('appstore')->group(function () {

        Route::get('login', [AppstoreController::class, 'login'])->name('appstore.login');
        Route::get('signup', [AppstoreController::class, 'signup'])->name('appstore.signup');

        Route::middleware('appstore-auth')->group(function () {
            Route::get('', [AppstoreController::class, 'index'])->name('appstore.index');
            Route::get('logout', [AppstoreController::class, 'logout'])->name('appstore.logout');
            Route::get('{appId}', [AppstoreController::class, 'show'])->name('appstore.show');
        });

        Route::get('/reset-password/{token}', [PasswordController::class, 'resetPassword'])->name('password.reset');
        Route::post('/reset-password', [PasswordController::class, 'updatePassword'])->name('password.update');
    });

    Route::get('/create-account/{code}', [SignupController::class, 'create'])->name('signup.create');
    Route::post('/create-account', [SignupController::class, 'store'])->name('signup.store');



});

Route::prefix('api/appstore')->middleware('api')->group(function () {

    /*
    |--------------------------------------------------------------------------
    | Rotte protette con Bearer Token
    |--------------------------------------------------------------------------
    */
    Route::middleware('iocapi')->group(function () {
        Route::get('app/info', [APIAppstoreController::class, 'info']);
    });
});
