<?php

namespace FourWords\AppManager\Appstore\Controllers;

use FourWords\AppManager\Appstore\Models\AppstoreApp;
use FourWords\AppManager\Ioc\Controllers\IocController;

class AppstoreAdminController extends IocController {
    public function index() {
        $this->checkPermission('view-appstore');

        $app = AppstoreApp::all();
        return view("appstore::admin.index", ['app' => $app]);
    }

    public function show($appID) {
        $this->checkPermission('view-appstore');

        $app = AppstoreApp::find($appID);
        if($app) {
            return view("appstore::admin.show", ['app' => $app]);
        } else {
            return "Non esiste";
        }

    }

    public function create() {
        $this->checkPermission('create-appstore');
        return view("appstore::admin.create");
    }
}