<?php

namespace FourWords\AppManager\Appstore\Database\Seeders;

use FourWords\AppManager\Ioc\Models\Permission;
use FourWords\AppManager\Ioc\Models\PermissionGroup;
use FourWords\AppManager\Ioc\Models\SidebarItem;
use Illuminate\Database\Seeder;

class AppstorePermissionSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $group_id = PermissionGroup::where('name', '=', 'Gestione App Store')->first()->id;

        $permission = new Permission();
        $permission->group_id = $group_id;
        $permission->slug = "view-appstore";
        $permission->name = "Visualizzazione App Store";
        $permission->description = 'L\'utente può visualizzare lo store delle App';
        $permission->save();

        $permission = new Permission();
        $permission->group_id = $group_id;
        $permission->slug = "create-appstore";
        $permission->name = "Creazione App Store";
        $permission->description = 'L\'utente può creare lo store delle App';
        $permission->save();

        $permission = new Permission();
        $permission->group_id = $group_id;
        $permission->slug = "edit-appstore";
        $permission->name = "Modifica App Store";
        $permission->description = 'L\'utente può modificare lo store delle App';
        $permission->save();

        $permission = new Permission();
        $permission->group_id = $group_id;
        $permission->slug = "delete-appstore";
        $permission->name = "Rimozione App Store";
        $permission->description = 'L\'utente può rimuovere lo store delle App';
        $permission->save();

        $permission = new Permission();
        $permission->group_id = $group_id;
        $permission->slug = "create-appstore-version";
        $permission->name = "Creazione versione App";
        $permission->description = 'L\'utente può creare la versione dell\'App';
        $permission->save();

        $permission = new Permission();
        $permission->group_id = $group_id;
        $permission->slug = "edit-appstore-version";
        $permission->name = "Modifica versione App";
        $permission->description = 'L\'utente può modificare la versione dell\'App';
        $permission->save();

        $permission = new Permission();
        $permission->group_id = $group_id;
        $permission->slug = "delete-appstore-version";
        $permission->name = "Rimozione versione App";
        $permission->description = 'L\'utente può rimuovere la versione dell\'App';
        $permission->save();

        $permission = new Permission();
        $permission->group_id = $group_id;
        $permission->slug = "view-appstore-abm-limit";
        $permission->name = "Visualizzazione dei limiti ABM";
        $permission->description = 'L\'utente può visualizzare i limiti ABM dell\'App';
        $permission->save();
    }
}