<?php

namespace FourWords\AppManager\Appstore\Database\Seeders;

use FourWords\AppManager\Appstore\Models\AppstoreApp;
use FourWords\AppManager\Appstore\Models\AppstoreType;
use FourWords\AppManager\Appstore\Models\AppstoreVersion;
use Illuminate\Database\Seeder;

class AppstoreSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $appTypeIos = new AppstoreType();
        $appTypeIos->name = 'iOS';
        $appTypeIos->icon = 'fab fa-apple';
        $appTypeIos->extension = 'ipa';
        $appTypeIos->active = true;
        $appTypeIos->save();

        $appTypeAndroid = new AppstoreType();
        $appTypeAndroid->name = 'Android';
        $appTypeAndroid->icon = 'fa-brands fa-android';
        $appTypeAndroid->extension = 'apk';
        $appTypeAndroid->active = true;
        $appTypeAndroid->save();

        // iOS
        AppstoreApp::create([
            'bundle_identifier' => 'it.sanmarcoinformatica.ioc.demo',
            'name' => 'iOC '.env('APP_NAME'),
            'type' => $appTypeIos->id,
            'description' => 'App di test '.env('APP_NAME'),
            'icon' => 'logo-app1.png',
            'active' => true
        ]);

        AppstoreVersion::create([
            'app' => $appTypeIos->id,
            'dimension' => '18 MB',
            'version' => '1.0.0',
            'changelog' => 'Rilascio iniziale',
            'show_in_history' => true,
            'active' => true
        ]);

        // Android
        AppstoreApp::create([
            'bundle_identifier' => 'it.sanmarcoinformatica.ioc.demo',
            'name' => 'iOC '.env('APP_NAME'),
            'type' => $appTypeAndroid->id,
            'description' => 'App di test '.env('APP_NAME'),
            'icon' => 'logo-app2.png',
            'active' => true
        ]);

        AppstoreVersion::create([
            'app' => $appTypeAndroid->id,
            'dimension' => '18 MB',
            'version' => '1.0.0',
            'changelog' => 'Rilascio iniziale',
            'show_in_history' => true,
            'active' => true
        ]);

    }
}