<?php

namespace FourWords\AppManager\Appstore\Imports;

use FourWords\AppManager\Appstore\Models\AbmCode;
use FourWords\AppManager\Ioc\Livewire\IocComponent;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;

class AbmCodesImport implements ToCollection
{
    private $appId;
    private $nCodes = 0;

    public function __construct(string $appId) {
        $this->appId = $appId;
    } 

    public function collection(Collection $rows)
    {
        $isImportingRow = false;

        foreach ($rows as $row) {

            // Se nella riga non c'è un codice abm proseguo
            if(!$isImportingRow) {
                $isImportingRow = $this->isAbmCode($row);
                continue;
            }

            if(strlen($row[0]) >= 5) {
                AbmCode::create([
                    'code' => $row[0],
                    'appstore_app_id' => $this->appId,
                    'insert_date' => time()
                ]);
                $this->nCodes++;
            } else {
                session()->flash('abmCodeErrorLength', 'Alcuni codici risultano con meno di 5 caratteri');
            }
        }
    }

    public function countAbmCodes() {
        return $this->nCodes;
    }

    public function isAbmCode($row) {
        return $row[0] == "Code" && $row[2] == "Code Redemption Link";
    }
}
