<?php

namespace FourWords\AppManager\Appstore\Listeners;


use FourWords\AppManager\Appstore\Models\AppstoreApp;
use Illuminate\Support\Facades\Log;

class AddAppVersionToBonjour
{

    public function handle($event)
    {

        try {

            $event->payload['data']['appVersion'] = "-";

            if (!$appId = request()->get('app')) {
                return $event->payload;
            }

            if (!$app = AppstoreApp::where('active', true)->find($appId)) {
                return $event->payload;
            }

            if (!$latestAppVersion = $app->appstore_version()->where('active', true)->first()) {
                return $event->payload;
            }

            $event->payload['data']['appVersion'] = $latestAppVersion->version;

        } catch (\Exception $e) {
            Log::error($e->getMessage());
        }

//        $dbWarehouse = $sqg->getDatabase('Warehouse');
//        $user['lastDbTimestamp'] = $db->getLatestVersionTimestamp(true) ?? 0;

        return $event->payload;
    }

}
