<?php

namespace FourWords\AppManager\Appstore\Livewire\Admin;
use FourWords\AppManager\Ioc\Livewire\IocComponent;
use FourWords\AppManager\Ioc\Models\IocUser;

class AbmLimitUserComponent extends IocComponent
{
    public $userAbm;
    public $username;

    public function mount() {
        $this->username = IocUser::find($this->userAbm->user_id)->username;
    }

    public function reset() {
        $this->userAbm->codes_redeemed = 0;
        $this->userAbm->save();

        $this->successToast("I codici ABM dell'utente ". $this->username . " sono stati resettati con successo");
        $this->emit('refreshAbmLimitUser');
    }

    public function render() {
        return view('appstore::admin.livewire.abm-limit-user-component');
    }
}