<?php

namespace FourWords\AppManager\Appstore\Livewire\Admin;

use FourWords\AppManager\Appstore\Models\AbmCodeRedeemed;
use FourWords\AppManager\Ioc\Models\IocUser;
use Livewire\Component;

class AppAbmLimitUser extends Component
{
    public $app;
    public $users;

    protected $listeners = ['refreshAbmLimitUser'];

    public function mount() {
        $this->users = AbmCodeRedeemed::where('appstore_app_id', '=', $this->app->id)->where("codes_redeemed", ">=", config('appstore.user.maxAbmCodeRedeemed'))->get();
    }

    public function render() {
        return view('appstore::admin.livewire.app-abm-limit-user');
    }

    public function refreshAbmLimitUser() {
        $this->users = AbmCodeRedeemed::where('appstore_app_id', '=', $this->app->id)->where("codes_redeemed", ">=", config('appstore.user.maxAbmCodeRedeemed'))->get();
    }
}