<?php

namespace FourWords\AppManager\Appstore\Livewire\Admin;

use Illuminate\Support\Facades\Session;
use FourWords\AppManager\Ioc\Livewire\IocComponent;

class AppList extends IocComponent {
    public $app;
    public $successMsgFromRedirect;
    public $errorMsgFromRedirect;

    public function mount() {
        //Messaggio toast dopo il form della creazione di un'app
        if(Session::has('successMsgFromRedirect')) {
            $this->successMsgFromRedirect = Session::get('successMsgFromRedirect');
        }

        if(Session::has('errorMsgFromRedirect')) {
            $this->errorMsgFromRedirect = Session::get('errorMsgFromRedirect');
        }
    }

    public function render() {
        return view('appstore::admin.livewire.app-list', ['app', $this->app]);
    }

    public function messageFromApp() {
        foreach($this->successMsgFromRedirect as $successMsg) {
            if($successMsg) {
                $this->successToast($successMsg);
            }
        }

        foreach($this->errorMsgFromRedirect as $errorMsg) {
            if($errorMsg) {
                $this->errorToast($errorMsg);
            }   
        }
    }
}
