<?php

namespace FourWords\AppManager\Appstore\Mail;

use FourWords\AppManager\Ioc\Models\IocUser;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SignUp extends Mailable {
    use Queueable, SerializesModels;

    public
        $customerCode,
        $email,
        $name;

    public function __construct($customerCode, $email, $name) {
        $this->customerCode = $customerCode;
        $this->email = $email;
        $this->name = $name;
    }

    public function build() {
        return $this->from(config('ioc.mail.from'),env('MAIL_FROM_NAME','iOC'))->markdown('appstore::user.signup.mail', ['customerCode' => $this->customerCode, 'email' => $this->email, 'name' => $this->name]);
    }
}
