<?php

namespace FourWords\AppManager\Appstore\Middleware;

use Closure;
use FourWords\AppManager\Ioc\Middleware\IocApiMiddleware;
use Illuminate\Support\Facades\Auth;

class AppstoreAuthMiddleware
{
    public function handle($request, Closure $next)
    {
        if (request()->has('token')) {
            if ( $tokenable = (new IocApiMiddleware())->getUserFromToken(request()->get('token')) ) {
                Auth::login($tokenable);
                return $next($request);
            }
        }

        if (!Auth::guard('iocweb')->check()) {
            return redirect(route('appstore.login'));
        } else {
            return $next($request);
        }
    }
}
