<?php

namespace FourWords\AppManager\Appstore\Models;

use Illuminate\Database\Eloquent\Model;

class AppstoreApp extends Model
{
    protected $table = "appstore_app";

    protected $guarded = [];

    public static function getAppByOS($os) {
        $app = self::join('appstore_types', 'appstore_types.id', 'appstore_app.type')
                ->select(['appstore_app.*','appstore_types.name AS os'])
                ->where("appstore_types.name", "=", $os)->get();
        return $app;
    }

    public static function getAppById($appId) {
        $app = AppstoreApp::find($appId);
        if($app != null) {
            if($app->where("active", "=", true)->first() && $app->appstore_version()->where("active", "=", true)->first()) {
                return $app;
            }
        }
        return null;
    }

    public static function checkVersions($appId)
    {
        if(AppstoreApp::find($appId)->appstore_version->first()) {
            return true;
        }
        return false;
    }

    public function appstore_type() {
        return $this->belongsTo(AppstoreType::class, "type", "id");
    }

    public function appstore_version() {
        return $this->hasMany(AppstoreVersion::class, "app", "id")->orderBy('version', 'desc');
    }
}
