<?php

return [
    'catalog' => [

        /*
        |--------------------------------------------------------------------------
        | Configurazione dei log
        |--------------------------------------------------------------------------
        |
        | dir => Path dove vengono salvati i file di log
        |-------------------------------------------------------------------------- */
        'log' => [
            'dir' =>  storage_path(env('CATALOG_LOG_DIR','logs/catalog/')),
            'dirPermissions' =>  env('CATALOG_LOG_FILE_PERMISSIONS',0770),
            'filePermissions' =>  env('CATALOG_LOG_FILE_PERMISSIONS',0660)
        ],

        /*
        |--------------------------------------------------------------------------
        | JGalileo
        |--------------------------------------------------------------------------
        |
        | library => Libreria AS400 da utilizzare per estrarre dati es. "PRO90DAT." N.B. Tenere il punto dopo la stringa
        |-------------------------------------------------------------------------- */
        'as' => [
            'ip' => env('CATALOG_AS_IP', config('ioc.as.ip')),
            'library' => env('CATALOG_AS_LIBRARY', config('ioc.as.library')),
            'user' => env('CATALOG_AS_USER', config('ioc.as.user')),
            'password' => env('CATALOG_AS_PASSWORD', config('ioc.as.password'))
        ],

        /*
        |--------------------------------------------------------------------------
        | Pim
        |-------------------------------------------------------------------------- */
        'pim' => [
            'apiUrl' => env('CATALOG_PIM_API_URL', config('ioc.pim.apiUrl')),
            'version' => env('CATALOG_PIM_VERSION', config('ioc.pim.version')),
            'user' => env('CATALOG_PIM_USER', config('ioc.pim.user')),
            'password' => env('CATALOG_PIM_PASSWORD', config('ioc.pim.password'))
        ],

        /*
        |--------------------------------------------------------------------------
        | Importazione Immagini
        |--------------------------------------------------------------------------
        |
        | importDir => Cartella dove il cliente metterà le immagini da importare
        | dir => Cartella dove verranno spostate le immagini da scaricare, una volta elaborate
        | maxSize => Le immagini che superano questa dimensione non vengono importate. Valore in Megabytes
        | desiredFormat => Estensione (senza punto) che si vuole dare alle foto, se non specificato tiene l'originale
        |
        | desiredQuality => Qualità da 0 a 100, null lascia invariato
        |-------------------------------------------------------------------------- */
        'images' => [
            'importDir' => env('CATALOG_IMAGES_IMPORT_DIR', base_path('../Immagini')),
            'dir' => env('CATALOG_IMAGES_DIR', storage_path('catalog/images')),
            'maxSize' => env('CATALOG_IMAGES_MAX_SIZE', 20),
            'desiredFormat' => env('CATALOG_IMAGES_DESIRED_FORMAT'),

            'products' => [
                'desiredWidth' => env('CATALOG_IMAGES_PRODUCT_WIDTH', 1024),
                'desiredHeight' => env('CATALOG_IMAGES_PRODUCT_HEIGHT', 1024),
                'desiredQuality' => env('CATALOG_IMAGES_PRODUCT_QUALITY')
            ]
        ],

        /*
        |--------------------------------------------------------------------------
        | Importazione Risorse (documenti, video...)
        |--------------------------------------------------------------------------
        |
        | importDir => Cartella dove il cliente metterà le risorse da importare
        | dir => Cartella dove verranno spostate le risorse da scaricare, una volta elaborate
        | maxSize => Le risorse che superano questa dimensione non vengono importate. Valore in Megabytes
        |-------------------------------------------------------------------------- */
        'resources' => [
            'importDir' => env('CATALOG_RESOURCES_IMPORT_DIR', base_path('../Risorse')),
            'dir' => env('CATALOG_RESOURCES_DIR', storage_path('catalog/resources')),
            'maxSize' => env('CATALOG_RESOURCES_MAX_SIZE', 100),
        ]

    ]
];
