<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCatalogProductsTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('catalog_products', function (Blueprint $table) {
            $table->id();
            $table->string('code')->unique();
            $table->string('name');
            $table->string('short_description')->nullable();
            $table->string('long_description')->nullable();
            $table->string('status')->nullable();
            $table->string('coefficient')->nullable();
            $table->integer('items_per_carton')->nullable();
            $table->integer('min_qta')->nullable();
            $table->string('um')->nullable();
            $table->string('other_um')->nullable();
            $table->string('vat_value')->nullable();

            // Classifiche
            $table->string('cla1ma')->nullable();
            $table->string('cla2ma')->nullable();
            $table->string('cla3ma')->nullable();
            $table->string('cla4ma')->nullable();
            $table->string('cla5ma')->nullable();

            // Classifiche tecniche
            $table->string('cl01md')->nullable();
            $table->string('cl02md')->nullable();
            $table->string('cl03md')->nullable();
            $table->string('cl04md')->nullable();
            $table->string('cl05md')->nullable();
            $table->string('cl06md')->nullable();
            $table->string('cl07md')->nullable();
            $table->string('cl08md')->nullable();
            $table->string('cl09md')->nullable();
            $table->string('cl10md')->nullable();
            $table->string('cl11md')->nullable();
            $table->string('cl12md')->nullable();
            $table->string('cl13md')->nullable();
            $table->string('cl14md')->nullable();
            $table->string('cl15md')->nullable();

            // Classifiche dimensione
            $table->string('dm01md')->nullable();
            $table->string('dm02md')->nullable();
            $table->string('dm03md')->nullable();
            $table->string('dm04md')->nullable();
            $table->string('dm05md')->nullable();
            $table->string('dm06md')->nullable();
            $table->string('dm07md')->nullable();
            $table->string('dm08md')->nullable();
            $table->string('dm09md')->nullable();
            $table->string('dm10md')->nullable();
            $table->string('dm11md')->nullable();
            $table->string('dm12md')->nullable();
            $table->string('dm13md')->nullable();
            $table->string('dm14md')->nullable();
            $table->string('dm15md')->nullable();

            $table->boolean('synchronized')->default(1);
//            $table->boolean('active')->default(true);
//            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('catalog_products');
    }
}
