<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCatalogCategoriesTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('catalog_categories', function (Blueprint $table) {
            $table->id();
            $table->string('code')->index();
            $table->string('name');
            $table->foreignId('parent_id')->nullable()->constrained("catalog_categories")->cascadeOnUpdate()->cascadeOnDelete();
            $table->integer('synchronized')->default(1);
//            $table->integer('position')->default(0);
//            $table->boolean('active')->default(true);
//            $table->timestamps();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('catalog_categories');
    }
}
