<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCatalogCategoryProductsTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('catalog_category_products', function (Blueprint $table) {
            $table->foreignId('category_id')->nullable()->constrained("catalog_categories")->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('product_id')->nullable()->constrained("catalog_products")->cascadeOnUpdate()->cascadeOnDelete();
//            $table->integer('position')->nullable();
            $table->primary(['category_id', 'product_id']);

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('catalog_category_products');
    }
}
