<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCatalogProductsImagesTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('catalog_products_images', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('gallery')->default(1);
            $table->string('product_code')->index();
            $table->integer('position')->default(1);
            $table->string('filename');
            $table->string('description')->nullable();
            $table->string('imported_filename');
            $table->double('size');
            $table->boolean('synchronized')->default(1);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('catalog_products_images');
    }
}
