<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCatalogResourcesCollectionTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('catalog_resources_collection', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->integer('position')->default(1);
            $table->foreignId('parent_id')->nullable()->constrained("catalog_resources_collection")->cascadeOnUpdate()->cascadeOnDelete();
            $table->boolean('synchronized')->default(1);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('catalog_resources_collection');
    }
}
