<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCatalogResourcesTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('catalog_resources', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('collection')->default(1);
            $table->string('type');
            $table->integer('position')->default(1);
            $table->string('filename');
            $table->string('description')->nullable();
            $table->double('size');
            $table->string('imported_filename');
            $table->boolean('synchronized')->default(1);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('catalog_resources');
    }
}
