<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCatalogFeatureCustomersTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('catalog_customer_has_feature', function (Blueprint $table) {
            $table->foreignId('feature_id')->nullable()->constrained("catalog_customer_features")->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('customer_id')->nullable()->constrained("ioc_users")->cascadeOnUpdate()->cascadeOnDelete();
            $table->string('value');

//            $table->integer('position')->nullable();
//            $table->timestamps();

            $table->primary(['feature_id', 'customer_id']);

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('catalog_customer_has_feature');
    }
}
