<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCatalogProductsRelatedTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('catalog_products_related', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('product');
            $table->unsignedBigInteger('related');

            // Chiavi esterne per referenziare la tabella products
            $table->foreign('product', 'fk_catalog_product')->references('id')->on('catalog_products')->onDelete('cascade');
            $table->foreign('related', 'fk_catalog_related')->references('id')->on('catalog_products')->onDelete('cascade');

            // Indici univoci per evitare duplicati
            $table->unique(['product', 'related']);

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('catalog_products_related');
    }
}
