<?php


namespace FourWords\AppManager\Catalog\Importer;

use FourWords\AppManager\Catalog\Model\AttributeValue;
use FourWords\AppManager\DataExtractor\DataExtractor;

class AttributesValuesImporter extends AbstractImporter
{

    protected $throwIfEmptyResult = true;
    protected $underTransaction = true;

    public function __construct(AttributeValue $model, DataExtractor $dataExtractor)
    {
        parent::__construct($model, $dataExtractor);
    }

    public function getRecords()
    {
        // Prendo classifiche prodotto da CLA1MA a CLA5MA (indice da 1 a 5), aggiungo classifiche tecniche da CL01MD a CL15MD (indice da 6 a 20), aggiungo classifiche cliente da CLA1CA a CLA5CA
        // TODO: Aggiungere valori dimensioni? DA DM01MD a DM15MD
        $query = "
            SELECT 
                'CL' CONCAT SUBSTR(K00001, 5, 2) CONCAT 'MA' AS classifica,
                SUBSTR(K00001,7,3) AS codifica,
                SUBSTR(K00001, 6, 1) AS indice,
                SUBSTR(F00002, 9, 20) AS valore
            FROM ".config('catalog.as.library')."CSTAB
            WHERE K00001 LIKE '01C2A%' AND SUBSTR(F00002, 9, 20) <> ''
            UNION
            SELECT 
                'CL' CONCAT SUBSTR(K00001, 5, 2) CONCAT 'MD' AS classifica,
                SUBSTR(K00001,7,3) AS codifica,
                5 + CAST(SUBSTR(K00001, 5, 2) AS INTEGER) AS indice,
                SUBSTR(F00002, 9, 20) AS valore
            FROM ".config('catalog.as.library')."CSTAB
            WHERE K00001 LIKE '01M2%' AND SUBSTR(F00002, 9, 20) <> ''
            UNION
            SELECT 
                'CL' CONCAT SUBSTR(K00001, 5, 2) CONCAT 'CA' AS classifica,
                SUBSTR(K00001,7,3) AS codifica,
                SUBSTR(K00001, 6, 1) AS indice,
                SUBSTR(F00002, 9, 20) AS valore
            FROM ".config('catalog.as.library')."CSTAB
            WHERE K00001 LIKE '01C2A%' AND SUBSTR(F00002, 9, 20) <> ''
";

        return $this->dataExtractor->execute($query);
    }



}
