<?php


namespace FourWords\AppManager\Catalog\Importer;

use FourWords\AppManager\Catalog\Model\CategoryProduct;
use FourWords\AppManager\Catalog\Model\FeatureProduct;
use FourWords\AppManager\Catalog\Model\Product;
use FourWords\AppManager\DataExtractor\DataExtractor;
use Illuminate\Support\Facades\DB;

class ProductImporter extends SyncableAbstractImporter
{

    protected $throwIfEmptyResult = true;

    public function __construct(Product $model, DataExtractor $dataExtractor)
    {
        parent::__construct($model, $dataExtractor);
    }

    public function getRecords()
    {

        //TODO: Togliere questa condizione? AND GRVAMD = ''
        // è gruppo variante, non averla crea problemi di chiave duplicata in ambienti demo/sporchi
        $query = "SELECT DISTINCT
MA0F.CDARMA AS code,
DSARMA AS name,
IFNULL(DSSAMA, '') AS short_description,
CASE WHEN STATMA = '' THEN 1 ELSE 0 END AS status,
PZCFMS item_per_carton,
QTMNMS AS min_qta,
UMBAMA AS um,
UMALMA AS other_um,
IFNULL((SELECT SUBSTR(XDATTB,29,2) FROM ".config('catalog.as.library')."SMTAB00F WHERE XTIPTB = '01CI' AND XCODTB = ALIVMA), '') vat_value,
COEFMA AS coefficient,
CLA1MA,
CLA2MA,
CLA3MA,
CLA4MA,
CLA5MA,
CL01MD,
CL02MD,
CL03MD,
CL04MD,
CL05MD,
CL06MD,
CL07MD,
CL08MD,
CL09MD,
CL10MD,
CL11MD,
CL12MD,
CL13MD,
CL14MD,
CL15MD,
DM01MD,
DM02MD,
DM03MD,
DM04MD,
DM05MD,
DM06MD,
DM07MD,
DM08MD,
DM09MD,
DM10MD,
DM11MD,
DM12MD,
DM13MD,
DM14MD,
DM15MD
FROM ".config('catalog.as.library')."MGART00F MA0F
JOIN ".config('catalog.as.library')."MGART02F ON MA0F.CDARMA = CDARMD AND CDCMMD = ''
JOIN ".config('catalog.as.library')."MGART03F ON MA0F.CDARMA = CDARVA
JOIN ".config('catalog.as.library')."MGSPE00F ON MA0F.CDARMA = CDARMS AND CDCLMS = ''
WHERE MA0F.CDDTMA = '01' AND MA0F.CDARMA IN
(	SELECT DISTINCT CDARML
	FROM ".config('catalog.as.library')."MGLIS01F
	WHERE (DTUAML <= ".date('Ymd')." AND (DTLVML >= ".date('Ymd')." OR DTLVML = 0))
)
AND STATMA = ' ' AND DSARMA <> '' AND LEFT(DSARMA,1) <> '.' AND LEFT(CDARMA,1) <> '.' AND GRVAMD = ''";

        return $this->dataExtractor->execute($query);

    }

}
