<?php

namespace FourWords\AppManager\Catalog\Model;

class Category extends SyncableModel
{
    protected $guarded = [];
    protected $table = 'catalog_categories';
    public $timestamps = false;
    public $distinctKey = 'code';

    public function products()
    {
        return $this->belongsToMany(Product::class, 'catalog_category_products', 'category_id', 'product_id');
    }

    public function subcategories()
    {
        return $this->hasMany(Category::class, 'parent_id', 'id')->with('subcategories');
    }

    public static function getAllSubcategoryIds($category, &$result, $storeId = false) {

        if ($storeId) $result[] = $category->id;

        $subCategories = $category->subcategories;
        if (!empty($subCategories)) {
            foreach ($subCategories as $subcategory) {
                self::getAllSubcategoryIds($subcategory, $result, true);
            }
        }
    }

    public static function getAllSubcategoryProductsCount($category, &$result) {

        $result += $category->products()->count();

        $subCategories = $category->subcategories;
        if (!empty($subCategories)) {
            foreach ($subCategories as $subcategory) {
                self::getAllSubcategoryProductsCount($subcategory, $result);
            }
        }
    }

}
