<?php

namespace FourWords\AppManager\Catalog\Model;

class Product extends SyncableModel
{

    protected $guarded = [];
    protected $table = 'catalog_products';
    public $timestamps = false;

    public $distinctKey = 'code';

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsToMany
     */
    public function categories()
    {
        return $this->belongsToMany(Category::class, 'catalog_category_products', 'product_id', 'category_id');
    }

    public function features()
    {
        return $this->belongsToMany(Feature::class, 'catalog_feature_products', 'product_id', 'feature_id');
    }

    public function resources()
    {
        return $this->belongsToMany(Resource::class, 'catalog_products_have_resources', 'product', 'resource');
    }

    public function related()
    {
        return $this->belongsToMany(ProductsRelated::class, 'catalog_products_related', 'product', 'related');
    }
}
