<?php

namespace FourWords\AppManager\Catalog\Model;

class ResourceCollection extends SyncableModel
{
    protected $guarded = [];
    protected $table = 'catalog_resources_collection';
    public $timestamps = false;

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function resources() {
        return $this->hasMany(Resource::class, 'collection');
    }

    public function subcollections()
    {
        return $this->hasMany(ResourceCollection::class, 'parent_id', 'id')->with('subcollections');
    }

    public static function getAllSubcollectionIds($collection, &$result, $storeId = false) {

        if ($storeId) $result[] = $collection->id;

        $subCategories = $collection->subcategories;
        if (!empty($subCategories)) {
            foreach ($subCategories as $subcollection) {
                self::getAllSubcollectionIds($subcollection, $result, true);
            }
        }
    }

}
