<?php

namespace FourWords\AppManager\Catalog\Resources;


class ResourceAttributes
{
    protected $filename = '';
    protected $code = '';
    protected $collection = '';
    protected $type = '';
    protected $position = 1;
    protected $size = 0;

    /**
     * @param string $filename
     * @param string $code
     * @param int $size
     * @param int $position
     * @param string|null $type
     */
    public function __construct(string $filename, int $size, int $position = 1, ?string $type = null)
    {
        $this->filename = $filename;
        $this->size = $size;
        $this->type = $type ?? pathinfo($filename, PATHINFO_EXTENSION);
        $this->position = $position;
    }

    public function getCollection(): string
    {
        return $this->collection;
    }

    public function setCollection(string $collection): void
    {
        $this->collection = $collection;
    }

    public function getCode(): string
    {
        return $this->code;
    }

    public function getType(): string
    {
        return $this->type;
    }

    public function getPosition(): int
    {
        return $this->position;
    }

    public function getFilename(): string
    {
        return $this->filename;
    }

    public function getSize(): int
    {
        return $this->size;
    }

    public function setFilename(string $filename): void
    {
        $this->filename = $filename;
    }

    public function setCode(string $code): void
    {
        $this->code = $code;
    }

    /**
     * @param string $type
     */
    public function setType(string $type): void
    {
        $this->type = $type;
    }

    public function setPosition(int $position): void
    {
        $this->position = $position;
    }

    public function setSize(int $size): void
    {
        $this->size = $size;
    }



}