<?php

class DataExtractor
{
    protected static $PROJECT;

    private $destination_folder = 'temp/';

    public function __construct()
    {
        try {

            //recupero il nome del progetto se non specificato manualmente nella dichiarazione della proprietà $PROJECT
            self::$PROJECT = $_REQUEST['project'] ?? null;

            //verifico sia presente il nome del progetto
            if(!self::$PROJECT) {
                throw new Exception('PROJECT name mancante');
            }

            //definizione della query
            $className = $_REQUEST['className'] ?? '';

            switch ($className) {
                case "bonjour":
                    $this->bonjour();
                    break;
                default:
                    $this->dataExtractor();
            }

        } catch (Exception $e) {
            echo $e->getMessage();
            exit();
        }

    }

    /**
     * metodo che simula la servlet dataExtractor del B2B
     * @param string $className
     * @throws Exception
     */
    private function dataExtractor($className = 'dataExtractor')
    {

        $sql = $_REQUEST['sql'];
        $file = $_REQUEST['file'];
        $meta = (int)$_REQUEST['meta'];
        $debug = (int)$_REQUEST['debug'] ?? 0;

        //rimuovo l'estensione se presente
        $file = pathinfo($file, PATHINFO_FILENAME);

        //eseguo la query
//        $res = shell_exec('java -jar DataExtractor.jar ' . $className . ' '. self::$PROJECT .' ' . $sql . ' ' . $this->destination_folder . $file . ' 0 ' . $meta);

        $res = shell_exec('java -Xshare:off -jar DataExtractor.jar ' . self::$PROJECT .' ' . $sql . ' ' . $this->destination_folder . $file . ' '.$debug.' ' . $meta);

        //se non ha eseguito correttamente lancio un eccezione
        if ($res != "OK\n") {
            throw new Exception();
        }

        //creo il file zip
        $zipFile = $this->createZipFile($this->destination_folder, $file);

        //avvio il download del file zip
        $this->downloadZip($zipFile);

    }



//    /**
//     * Metodo che esegue il login all'interno dell'as400
//     * @param string $className
//     * @throws Exception
//     */
//    private function bonjour($className = 'bonjour')
//    {
//
//        $user = $_REQUEST['user'];
//        $pwd = $_REQUEST['pwd'];
//
//        //eseguo la query
//        $res = shell_exec('java -jar DataExtractor.jar ' . $className . ' premac ' . $user . ' ' . $pwd . ' 1');
//
//        if (strpos($res, "KO")) {
//            echo json_encode(array("status"=>"NO_AUTH","data"=>array("error"=>"Incorect Username or Password!")));
//        }
//        if (strpos($res, "OK")) {
//            echo json_encode(array("status"=>"OK"));
//        }
//    }

    /**
     * @param $destination_folder
     * @param $file
     * @return string
     * @throws Exception
     */
    private function createZipFile($destination_folder, $file)
    {

        $zipFile = $destination_folder . $file . '.zip';

        //creo un nuovo oggetto di tipo ZipArchive
        $zip = new ZipArchive();

        //creo l'archivio zip assegnandogli un nome e la cartella di destinazione e lo apro
        if ($zip->open($zipFile, ZipArchive::CREATE) != TRUE)
            throw new Exception('function createDbSqliteZip: impossibile creare il nuovo file zip');

        //aggiungo all'archivio il file sqlite appena popolato
        $zip->addFile($destination_folder . $file . '.txt', $file . '.txt');
        $zip->close();

        return $zipFile;
    }

    /**
     * @param $realpath
     */
    private function downloadZip($realpath)
    {

        $file_name = pathinfo($realpath, PATHINFO_BASENAME);

        $mtime = ($mtime = filemtime($realpath)) ? $mtime : gmmktime();
        $size = intval(sprintf("%u", filesize($realpath)));
        // Maybe the problem is we are running into PHPs own memory limit, so:
        if (intval($size + 1) > 134217728 && intval($size * 1.5) <= 1073741824) { //Not higher than 1GB
            ini_set('memory_limit', intval($size * 1.5));
        }
        // Maybe the problem is Apache is trying to compress the output, so:
        //@apache_setenv('no-gzip', 1);
        @ini_set('zlib.output_compression', 0);
        // Maybe the client doesn't know what to do with the output so send a bunch of these headers:
        header("Content-type: application/force-download");
        header('Content-Type: application/octet-stream');
        if (strstr($_SERVER["HTTP_USER_AGENT"] ?? "", "MSIE") != false) {
            header("Content-Disposition: attachment; filename=" . urlencode(basename($file_name)) . '; modification-date="' . date('r', $mtime) . '";');
        } else {
            header("Content-Disposition: attachment; filename=\"" . basename($file_name) . '"; modification-date="' . date('r', $mtime) . '";');
        }
        // Set the length so the browser can set the download timers
        header("Content-Length: " . $size);
        // If it's a large file, readfile might not be able to do it in one go, so:
        $chunksize = 1 * (1024 * 1024); // how many bytes per chunk
        if ($size > $chunksize) {
            $handle = fopen($realpath, 'rb');
            while (!feof($handle)) {
                $buffer = fread($handle, $chunksize);
                echo $buffer;
                ob_flush();
                flush();
            }
            fclose($handle);
        } else {
            readfile($realpath);
        }
        // Exit successfully. We could just let the script exit
        // normally at the bottom of the page, but then blank lines
        // after the close of the script code would potentially cause
        // problems after the file download.
        exit;
    }
}

new DataExtractor();


