<?php

use FourWords\AppManager\Director\Director;

if (!function_exists("director")){

    /**
     * @return Director
     */
    function director()
    {
        return app()->make(Director::class);
    }
}

if (!function_exists("pushEvent")){
    /**
     * @param $event
     * @return array|mixed|null
     */
    function pushEvent($event)
    {

        /** @var \Illuminate\Events\Dispatcher $eventDispatcher */
        $eventDispatcher = app()->make('events');
        if ($eventDispatcher->hasListeners(get_class($event))) {
            $result = event($event);
        } else {
            $result = [$event];
        }

        if (is_array($result) && !empty($result) && $result[0] instanceof $event && property_exists($result[0],'payload')) {
            return $result[0]->payload;
        }

        if (is_array($result) && !empty($result)) {
            return last($result);
        }

        return $result;
    }
}

if (!function_exists("onEvent")){
    /**
     * @param string $eventNameSpace
     * @param closure $closure
     */
    function onEvent($eventNameSpace, $closure)
    {
        return app()->make('events')->listen($eventNameSpace, $closure);
    }
}

if (!function_exists("absuri")) {
    /**
     * Dato un path restituisce l'url assoluto
     * @param $path string path del file o della cartella
     * @return string
     */
    function absuri($path)
    {
        return ((isset($_SERVER['HTTPS'])) ? 'https://' : 'http://') . str_replace($_SERVER['DOCUMENT_ROOT'], (isset($_SERVER['SERVER_NAME']) ? $_SERVER['SERVER_NAME'] : ''), realpath($path));
    }
}

if (!function_exists("rounded")) {
    function rounded($value, $maxDigits = 2, $isCurrency = false) {

        $formatter = new NumberFormatter("it_IT", NumberFormatter::DECIMAL);
        $formatter->setAttribute(NumberFormatter::MIN_FRACTION_DIGITS, 0);
        $formatter->setAttribute(NumberFormatter::MAX_FRACTION_DIGITS, $maxDigits);

        $formattedString = $formatter->format($value);

        if (strpos($formattedString, ',') !== false) {
            $decimalIndex = strpos($formattedString, ',');
            $decimalCount = strlen($formattedString) - $decimalIndex - 1;
            if ($decimalCount == 1) {
                $formattedString .= '0';
            }
        } elseif ($isCurrency && strpos($formattedString, ',') === false && $value < 1000) {
            $formattedString .= ',00';
        }

        return $formattedString;
    }
}

if (!function_exists("currency")) {
    function currency($value, $maxDigits = 2) {
        return rounded($value, $maxDigits, true);
    }
}
