<?php
/**
 * Copyright (c) 2020/2
 * Created by Federico Papetti
 */

namespace FourWords\AppManager\Director\Providers;

use Closure;
use FourWords\AppManager\Director\Director;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\Event;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Str;

class DirectorServiceProvider extends ServiceProvider
{

    public function register() {

        $this->app->singleton(Director::class, function($app, $params) {
            return new Director(...$params);
        });

    }

    /**
     * @throws \Exception
     */
    public function boot() {

        // Metodo che permettere di rimuovere uno specifico Listener di un evento
        if (version_compare(app()->version(), '7.0.0', '>=')) {
            Event::macro('removeListener', function (string $listener) {
                foreach ($this->listeners as $eventName => $eventListeners) {
                    foreach ($eventListeners as $closureIndex => $closure) {
                        $reflection = new Laravel\SerializableClosure\Support\ReflectionClosure($closure);

                        $reflection = $reflection->getUseVariables();
                        $inner = Arr::get($reflection, 'listener');

                        if ($inner === null || $inner instanceof Closure || $inner !== $listener) {
                            continue;
                        }

                        unset($this->listeners[$eventName][$closureIndex]);
                    }
                }
            });
        }

        /*
        |--------------------------------------------------------------------------
        | Registro il provider \FourWords\AppManager\NomeCliente...
        |--------------------------------------------------------------------------
        */
//        $clientName = app('director')->getClientName();
//
//        // Se il nome del cliente non è stato specificato
//        if ($clientName == null || empty($clientName)) {
//            throw new \Exception('Non è stato trovato un package con il file modules.json al suo interno');
//        }
//
//        // Se il modulo con il nome del cliente non è stato trovato
//        if (!app('director')->isInstalled(strtolower($clientName))) {
//            throw new \Exception('Il modulo 4words/'.$clientName.' non è stato trovato nel composer');
//        }
//
//        // Se il modulo implementa il ModuleServiceProvider lo richiamo
//        if (class_exists('FourWords\\AppManager\\'.ucfirst($clientName).'\\Providers\\ModuleServiceProvider')) {
//            App::register('FourWords\\AppManager\\'.ucfirst($clientName).'\\Providers\\ModuleServiceProvider'); // Non utilizzato al momento
//        } else {
//            // Altrimenti includo tutti i ServiceProvider di tutti i moduli in 4words/*, ordinati dal modules.json
//            foreach (app('director')->get4wProviders() as $provider) {
//                app()->register($provider);
//            }
//        }





    }

}
