<?php

/**
 * Copyright (c) 2020/2
 * Created by Federico Papetti
 */

namespace FourWords\AppManager\IocClient\Databases\Generic;

use FourWords\AppManager\IocClient\Databases\Generic\Entities\PaggPriceList;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\AttributesProducts;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\AttributesValues;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\Features;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\FeaturesCollections;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\FeaturesProducts;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\Images;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\ImagesCollections;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\Languages;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\Parameters;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\Payments;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\Products;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\ProductsBarcodes;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\ProductsHaveResources;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\ProductsRelated;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\Resources;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\ResourcesCollections;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities\ShippingModes;

class Generic extends \FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Generic {

    public $order = 1;

//    public function __construct(SqliteGenerator $sqliteGenerator)
//    {
//        parent::__construct($sqliteGenerator);
//        $this->startFrom = config('ioc.ps.icmSqliteDir'). 'icmdb.db';
//    }

    public function populate() {

        /** Standard */

        // Tabelle di base
        Languages::populate([['iso' => 'it', 'name' => 'Italiano (Italian)', 'col_suffix' => 'lang_1','main' => true]]);
        Parameters::populate();

        Products::autoImport();
        ProductsBarcodes::autoImport();
        AttributesValues::autoImport();
        AttributesProducts::autoImport();
        ProductsRelated::autoImport();

        // Feature
        FeaturesCollections::populate([['name_lang_1' => 'Caratteristiche']]);
        Features::autoImport();
        FeaturesProducts::autoImport();

        // Immagini
        ImagesCollections::autoImport();
        Images::autoImport();

        // Risorse aziendali
        ResourcesCollections::autoImport();
        Resources::autoImport();
        ProductsHaveResources::autoImport();

        Payments::autoImport();
        ShippingModes::autoImport();

        // Categorie gerarchiche
        $this->generateCategoriesAndTrees();

//        // Converto i documenti prodotto del pim in resources
//        ResourcesCollections::create(['id' => 1, 'name' => 'Schede Tecniche']);
//        $pimDocuments = $this->getConnection()->select('SELECT * FROM documents');
//        foreach ($pimDocuments as $document) {
//            Resources::create(['id' => $document->id, 'collection' => $document->collection, 'type' => $document->type, 'position' => $document->rank, 'filename' => $document->name_lang_1, 'description' => $document->desc_lang_1, 'size' => $document->file_size_lang_1, 'imported_filename' => $document->file_lang_1]);
//            ProductsHaveResources::create(['product' => $document->product, 'resource' => $document->id]);
//        }

        /** Custom */
        PaggPriceList::autoImport();


//        // Inserisco i parametri iOC nella tabella parameters generata dal PIM
//        $rootCategory = Categories::where('code','prodotti')->first()->id;
//        $rootResourcesCollection = ResourceCollection::where('name','Home')->first()->id;
//
//        $this->parameters()->set('PRODUCTS_CATEGORY_ID', $rootCategory);
//        $this->parameters()->set('COMPANY_RESOURCES_ROOT_COLLECTION_ID', $rootResourcesCollection);

    }
}
