<?php

use FourWords\AppManager\Ioc\Database\Seeders\PermissionsSeeder;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePermissionsTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('ioc_permissions', function (Blueprint $table) {
            $table->id();
            $table->foreignId('group_id')->nullable()->constrained("ioc_permission_group")->cascadeOnUpdate()->cascadeOnDelete();
            $table->string('slug')->unique();
            $table->string('name');
            $table->string('description');
            $table->boolean('active')->default(true);
            $table->timestamps();

        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('ioc_permissions');
    }
}
