<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRolesPermissionsTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('ioc_roles_permissions', function (Blueprint $table) {
            $table->id();
            $table->foreignId('role_id')->nullable()->constrained("ioc_roles")->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('permission_id')->nullable()->constrained("ioc_permissions")->cascadeOnUpdate()->cascadeOnDelete();
            $table->boolean('active')->default(true);
            //$table->primary(['role_id', 'permission_id']);
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('ioc_roles_permissions');
    }
}
