<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersPermissionsTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('ioc_users_permissions', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->nullable()->constrained("ioc_roles")->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('permission_id')->nullable()->constrained("ioc_permissions")->cascadeOnUpdate()->cascadeOnDelete();
            $table->boolean('action'); //0 = remove | 1 = add
            $table->boolean('active')->default(true);
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('ioc_users_permissions');
    }
}
