<?php

use FourWords\AppManager\Ioc\Database\Seeders\SidebarItemSeeder;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSidebarItemTable extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('ioc_sidebar_item', function (Blueprint $table) {
            $table->id();
            $table->foreignId('parent_id')->nullable()->constrained("ioc_sidebar_item")->cascadeOnUpdate()->cascadeOnDelete();

            $table->string('name');
            $table->string('route')->nullable();
            $table->integer('position');
            $table->string('icon')->nullable();
            $table->string('permission')->nullable();

            $table->index(['parent_id', 'name']);
        });

        (new SidebarItemSeeder())->run();

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('ioc_sidebar_item');
    }
}
