<?php

use FourWords\AppManager\Ioc\Database\Seeders\TaskSeeder;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateIocTasks extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ioc_tasks', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('target_class');
            $table->string('timezone')->nullable();
            $table->string('frequency');
            $table->string('parameters')->nullable();
            $table->boolean('active')->default(false);
            $table->boolean('running')->default(false);
            $table->timestamps();
        });

        (new TaskSeeder())->run();


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ioc_tasks');
    }
}
