<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateIocUsersDevices extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ioc_users_devices', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->nullable()->constrained("ioc_users")->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('device_id')->nullable()->constrained("ioc_devices")->cascadeOnUpdate()->cascadeOnDelete();

            $table->enum('status',['WAIT','DISABLED','OK']);
            $table->timestamp('last_access')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ioc_users_devices');
    }
}
