@extends('ioc::layout.main')

@section('head')
<title>iOC > Geolocalizzazioni fallite</title>
@endsection

@section('headJs')
    @parent
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.4/dist/leaflet.css"
          integrity="sha256-p4NxAoJBhIIN+hmNHrzRCf9tD/miZyoHS5obTRR9BMY="
          crossorigin=""/>

    <!-- Make sure you put this AFTER Leaflet's CSS -->
    <script src="https://unpkg.com/leaflet@1.9.4/dist/leaflet.js"
            integrity="sha256-20nQCchB9co0qIjJZRGuk2/Z9VM+kNiyxNV1lvTlZBo="
            crossorigin=""></script>

@endsection

@section('breadcrumb')
<i data-feather="chevron-right" class="breadcrumb__icon"></i>
<a href="{{ route('dashboard') }}" class="breadcrumb--active">Dashboard</a>
<i data-feather="chevron-right" class="breadcrumb__icon"></i>
<a href="{{ route('dashboard.geo') }}" class="breadcrumb--active">Geolocalizzazione</a>
<i data-feather="chevron-right" class="breadcrumb__icon"></i>
<a href="{{ route('dashboard.geo-failed') }}" class="breadcrumb--active">Falliti</a>
@endsection

@section('content')

    @can('view-stats')

        <div class="mt-2 flex justify-end">
            <a href="{{route('dashboard.geo')}}">
                <button class="ml-auto button text-white bg-theme-1 shadow-md"><i class="fal fa-arrow-left mr-2"></i>Torna alla lista</button>
            </a>
        </div>

        @livewire('geo-failed-table')
    @endcan

@endsection