@extends('ioc::layout.main')

@section('head')
<title>iOC > Dashboard</title>
@endsection

@section('headJs')
    @parent
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
@endsection

@section('breadcrumb')
<i data-feather="chevron-right" class="breadcrumb__icon"></i>
<a href="{{ route('dashboard') }}" class="breadcrumb--active">Dashboard</a>
@endsection

@section('content')
    <div class="grid grid-cols-12 gap-6">
        <div class="col-span-12 xxl:col-span-9 grid grid-cols-12 gap-6">

            @can('view-stats')
                @livewire('general-stats')
            @endcan

            <!-- CHARTS -->
            @livewire('ordini-ricevuti-chart')
            @livewire('accessi-giornalieri-chart')
        </div>

        <div class="col-span-12 xxl:col-span-3 xxl:border-l border-theme-5 -mb-10 pb-10">
            <div class="xxl:pl-6 grid grid-cols-12">
                @livewire('attivi-ora-stats')
                @livewire('ultimi-ordini-stats')
                @livewire('clienti-top-chart')
            </div>
        </div>
    </div>

@endsection