<div class="activenow @if(count($activeNow) > 0) mb-6 @endif col-span-12 md:col-span-6 xl:col-span-4 xxl:col-span-12" wire:poll.15000ms="getActiveNow">
    @if(count($activeNow) > 0)
    <div class="intro-y flex items-center h-10">
        <h2 class="text-lg font-medium truncate mr-5">Utenti in tempo reale</h2>
        <svg wire:loading style="position: absolute;z-index: 10;right: 8px;bottom: 8px;" width="25" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="rgb(45, 55, 72)" class="w-8 h-8">
            <g fill="none" fill-rule="evenodd" stroke-width="4">
                <circle cx="22" cy="22" r="1">
                    <animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                    <animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                </circle>
                <circle cx="22" cy="22" r="1">
                    <animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                    <animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                </circle>
            </g>
        </svg>
    </div>
    <div class="intro-y mt-5">
        <div x-data="{ open: false }" class="box p-5 flex flex-col items-center justify-center relative">
            <div class="pulse">
                <div class="text-4xl font-bold z-20 text-white text-center">{{count($activeNow)}}</div>
            </div>
            <div class="text-sm text-gray-400 text-center mt-4 italic">Stanno consultando l'App in questo momento</div>
            <div @click="open = !open" class="text-sm text-blue-400 text-center mt-2 cursor-pointer" x-text="open ? 'Nascondi utenti' : 'Mostra utenti'">Mostra utenti</div>

            <div x-cloak x-show="open" class="top-8 w-full p-2" x-transition.opacity>
                @foreach($activeNow as $user)
                    <div class="box px-5 py-3 mb-3 flex items-center zoom-in">

                        <div class="w-10 h-10 flex items-center justify-center">
                                <i class="fa fa-brands @if($user->app_id == 1) fa-apple text-theme-16 @else fa-android text-theme-9 @endif text-2xl"></i>
                        </div>
                        <div class="ml-4 mr-auto">
                            <div class="font-medium">{{$user->name}}</div>
                            <div class="text-gray-600 text-xs">{{ $user->device_name }}</div>
                        </div>
                        <div class="text-sm text-gray-400">{{ $user->username }}</div>
                    </div>
                @endforeach
            </div>
        </div>

    </div>

    <style>
        .pulse {
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: #FF6D4A;
            width: 80px;
            height: 80px;
            border-radius: 50%;
            box-shadow: 0 0 0 #FF6D4A;
            animation: pulse 2s infinite;
        }

        .pulse div {
            max-width: 80%;
            max-height: 80%;
            text-align: center;
        }

        @-webkit-keyframes pulse {
            0% {
                -webkit-box-shadow: 0 0 0 0 #FF6D4A;
            }
            70% {
                -webkit-box-shadow: 0 0 0 20px transparent;
            }
            100% {
                -webkit-box-shadow: 0 0 0 0 transparent;
            }
        }
        @keyframes pulse {
            0% {
                -moz-box-shadow: 0 0 0 0 #FF6D4A;
                box-shadow: 0 0 0 0 #FF6D4A;
            }
            70% {
                -moz-box-shadow: 0 0 0 20px transparent;
                box-shadow: 0 0 0 20px transparent;
            }
            100% {
                -moz-box-shadow: 0 0 0 0 transparent;
                box-shadow: 0 0 0 0 transparent;
            }
        }
    </style>
    @endif

</div>
