<div class="col-span-12 lg:col-span-12 mt-8">
    <div class="intro-y block sm:flex items-center h-10">
        <h2  id="accessi-giornalieri" class="text-lg font-medium truncate mr-5">Accessi Giornalieri</h2>
        <!--<div class="sm:ml-auto mt-3 sm:mt-0 relative text-gray-700 dark:text-gray-300">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar w-4 h-4 z-10 absolute my-auto inset-y-0 ml-3 left-0"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg>
            <select name="line-chart-days" id="line-chart-days-select" class="input w-full sm:w-56 box pl-10">
                <option value="line-chart-last-14-days" >Ultimi 14 giorni</option>
                <option value="line-chart-last-30-days">Ultimi 30 giorni</option>
            </select>
        </div>-->
        <svg wire:loading style="position: absolute;z-index: 10;right: 8px;bottom: 8px;" width="25" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="rgb(45, 55, 72)" class="w-8 h-8">
            <g fill="none" fill-rule="evenodd" stroke-width="4">
                <circle cx="22" cy="22" r="1">
                    <animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                    <animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                </circle>
                <circle cx="22" cy="22" r="1">
                    <animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                    <animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                </circle>
            </g>
        </svg>
    </div>
    <div class="intro-y box p-5 mt-12 sm:mt-5">
        <div class="flex flex-col xl:flex-row xl:items-center">
            <div class="flex">
                <div>
                    <div class="text-theme-20 dark:text-gray-300 text-lg xl:text-xl font-bold">{{$currentPeriodValue}}</div>
                    <div class="text-gray-600 dark:text-gray-600">{{ $currentPeriodName }}</div>
                </div>
                <div class="w-px h-12 border border-r border-dashed border-gray-300 dark:border-dark-5 mx-4 xl:mx-6"></div>
                <div>
                    <div class="text-gray-600 dark:text-gray-600 text-lg xl:text-xl font-medium">{{$lastPeriodValue}}</div>
                    <div class="text-gray-600 dark:text-gray-600">{{$lastPeriodName}}</div>
                </div>
            </div>
        </div>
        <div class="report-chart" wire:init="createAccessLineChart">
            <canvas id="chartBarAccessiGiornalieri" height="100" class="mt-6"></canvas>
        </div>
    </div>

    <script>
        var ctxAccessLine = document.getElementById('chartBarAccessiGiornalieri');
        var chartAccessLine = null;
        var configAccessLine = null;

        window.addEventListener('dailyAccessLineChartChanged', (e) => {
            if(chartAccessLine !== null) {
                chartAccessLine.destroy();
            }

            configAccessLine = configAccessLineChart(e.detail.uniqueAccessData, e.detail.allAccessData)
            chartAccessLine = new Chart(ctxAccessLine, configAccessLine);
        });

        function configAccessLineChart(uniqueAccessData, allAccessData) {
            var accessLineDatasets = [
                {
                    label: uniqueAccessData.label,
                    data: uniqueAccessData.y,
                    fill: true,
                    borderColor: uniqueAccessData.color,
                    backgroundColor: uniqueAccessData.bgColor,
                    tension: 0.4
                },
                {
                    label: allAccessData.label,
                    data: allAccessData.y,
                    fill: true,
                    borderColor: allAccessData.color,
                    backgroundColor: allAccessData.bgColor,
                    tension: 0.4
                }
            ];

            var chartDataAccessLine = {
                labels: uniqueAccessData.x,
                datasets: accessLineDatasets
            };

            return {
                type: 'line',
                data: chartDataAccessLine,
                options: {
                    scales: {
                        y: {
                            suggestedMin: 0,
                            suggestedMax: Math.ceil(Math.max.apply(null, allAccessData.y)) + (Math.ceil(Math.max.apply(null, allAccessData.y))/5),
                        },
                        yAxes: [{
                            display: true,
                            ticks: {
                                suggestedMin: 0,    // minimum will be 0, unless there is a lower value.
                                suggestedMax: Math.ceil(Math.max.apply(null, allAccessData.y)) + (Math.ceil(Math.max.apply(null, allAccessData.y))/5),
                            }
                        }]
                    }
                }
            };
        }
    </script>
</div>