<div class="col-span-12">
    <div class="intro-y flex items-center h-10">
        <div class="flex items-center">
            <h2 class="text-lg font-medium truncate mr-2">{{ $title }}</h2>
        </div>
        <div class="ml-3 mt-3 sm:mt-0 relative text-gray-700 dark:text-gray-300">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar w-4 h-4 z-10 absolute my-auto inset-y-0 ml-3 left-0"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg>
            <select name="line-chart-days" id="line-chart-days-select" class="input w-full sm:w-56 box pl-10" wire:model="statsPeriod">
                <option value="30" wire:selected>Ultimi 30 giorni</option>
                <option value="14">Ultimi 14 giorni</option>
                <option value="-1">Totale</option>
            </select>

        </div>
        <div class="relative ml-3 mt-3 ml-auto">
            <span class="cursor-pointer flex text-theme-1" wire:click="refreshStats()"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="feather feather-refresh-ccw w-4 h-4 mr-3"><polyline points="1 4 1 10 7 10"></polyline><polyline points="23 20 23 14 17 14"></polyline><path d="M20.49 9A9 9 0 0 0 5.64 5.64L1 10m22 4l-4.64 4.36A9 9 0 0 1 3.51 15"></path></svg>
                Forza Aggiornamento</span>

        </div>


{{--        <div class="sm:ml-auto mt-3 sm:mt-0 relative text-gray-700 dark:text-gray-300">--}}
{{--            <!--<i data-feather="calendar" class="w-4 h-4 z-10 absolute my-auto inset-y-0 ml-3 left-0"></i>--}}
{{--            <input type="text" class="datepicker input w-full sm:w-56 box pl-10">-->--}}
{{--        </div>--}}
    </div>

    <div class="grid grid-cols-12 gap-6 mt-5">
        @livewire('prodotti-venduti-stats', ['version' => $version, 'lazy' => true])
        @livewire('ordini-ricevuti-stats', ['version' => $version, 'lazy' => true])
        @livewire('totale-ordinato-stats', ['version' => $version, 'lazy' => true])
        @livewire('media-ordini-stats', ['version' => $version, 'lazy' => true])

        @livewire('clienti-con-ordini-stats', ['version' => $version, 'lazy' => true])
        @livewire('clienti-senza-ordini-stats', ['version' => $version, 'lazy' => true])
        @livewire('valore-medio-ordini-stats', ['version' => $version, 'lazy' => true])
        @livewire('righe-medie-ordini-stats', ['version' => $version, 'lazy' => true])

        @livewire('clienti-attivati-stats', ['version' => $version, 'lazy' => true])
        @livewire('clienti-usano-app-senza-ordini-stats', ['version' => $version, 'lazy' => true])
        @livewire('clienti-non-usano-app-stats', ['version' => $version, 'lazy' => true])
        @livewire('media-visite-stats', ['version' => $version, 'lazy' => true])
    </div>

    <script>
        document.addEventListener('livewire:load', function () {
                Livewire.emit('refreshStats', 30);
        });
    </script>

</div>
