<div class="{{$classes !== "" ? $classes : 'col-span-12 sm:col-span-6 xl:col-span-6 intro-y'}}">
    @if($link) <a href="{{$link}}"> @endif
        <div class="report-box zoom-in">
            <svg wire:loading style="position: absolute;z-index: 10;right: 8px;bottom: 8px;" width="25" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="rgb(45, 55, 72)" class="w-8 h-8">
                <g fill="none" fill-rule="evenodd" stroke-width="4">
                    <circle cx="22" cy="22" r="1">
                        <animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                        <animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                    </circle>
                    <circle cx="22" cy="22" r="1">
                        <animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                        <animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                    </circle>
                </g>
            </svg>
            <div class="box p-5">
                <div class="flex items-center">
                    {!! $icon !!}
                    <div class="text-base text-gray-600 mx-2">{{ $title }}:</div>
                    <div class="text-3xl font-bold leading-8">{{ $result ?? 0 }}</div>
                    <div class="ml-auto">
                    @if($percent > 0)
                            <div class="report-box__indicator bg-theme-9 cursor-pointer" >
                                +{{ $percent }}% <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-up w-4 h-4"><polyline points="18 15 12 9 6 15"></polyline></svg>
                            </div>
                        @elseif($percent < 0)
                            <div class="report-box__indicator bg-theme-6 cursor-pointer">
                                {{ $percent }}% <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-down w-4 h-4"><polyline points="6 9 12 15 18 9"></polyline></svg>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
        @if($link) </a> @endif
</div>

@if($version == 'horizontal')
    <style>
        .report-box::before {display: none}
    </style>
@endif
