<div class="col-span-12 md:col-span-6 xl:col-span-4 xxl:col-span-12 mb-6">
    <div class="intro-x flex items-center h-10">
        <h2 class="text-lg font-medium truncate mr-5">Ultimi ordini</h2>
        <svg wire:loading style="position: absolute;z-index: 10;right: 8px;bottom: 8px;" width="25" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="rgb(45, 55, 72)" class="w-8 h-8">
            <g fill="none" fill-rule="evenodd" stroke-width="4">
                <circle cx="22" cy="22" r="1">
                    <animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                    <animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                </circle>
                <circle cx="22" cy="22" r="1">
                    <animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                    <animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                </circle>
            </g>
        </svg>
    </div>
    <div class="mt-5">

        @if(!$orders || $orders->isEmpty())
            <div class="text-base text-gray-600 mt-1 mb-3">Nessun ordine ricevuto</div>
        @else
            @foreach ($orders as $order)
                <div class="intro-x">
                    <div class="box px-5 py-3 mb-3 flex items-center zoom-in">
                        <div class="w-10 h-10 flex-none image-fit rounded-full overflow-hidden">
                            <img alt="iOC Admin Panel" src="{{ asset('static/images/avatar-icon.jpg') }}">
                        </div>
                        <div class="ml-4 mr-auto">
                            <div class="font-medium">{{ $order->username }}</div>
                            <div class="text-gray-600 text-xs">{{ $this->formattedDate($order->created_at) }}</div>
                        </div>
                        <div class="text-theme-9">{{ currency($order->total) }}€</div>
                    </div>
                </div>
            @endforeach
        @endif
        <a href="{{ route('orders.index') }}"
           class="intro-x w-full block text-center rounded-md py-3 border border-dotted border-theme-15 dark:border-dark-5 text-theme-16 dark:text-gray-600">Mostra tutti
        </a>
    </div>
</div>
