<div class="col-span-12 mb-6">
    <div class="intro-y flex items-center h-10">
        <h2 class="text-lg font-medium truncate mr-5">{{ $title }}</h2>
        <svg wire:loading style="position: absolute;z-index: 10;right: 8px;bottom: 8px;" width="25" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="rgb(45, 55, 72)" class="w-8 h-8">
            <g fill="none" fill-rule="evenodd" stroke-width="4">
                <circle cx="22" cy="22" r="1">
                    <animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                    <animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                </circle>
                <circle cx="22" cy="22" r="1">
                    <animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                    <animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                </circle>
            </g>
        </svg>
    </div>
    <div class="intro-y box p-5 mt-12 sm:mt-5">
        <div>
            <canvas id="chartPie" height="100"></canvas>
            <div class="mt-8">
                @foreach($data as $i => $d)
                    <div class="flex items-center">
                        <div class="w-2 h-2 rounded-full mr-3" style="background-color: {{ $bgColor[$i] }}"></div>
                        <span class="truncate">{{ $label[$i] }}</span>
                        <div class="h-px flex-1 border border-r border-dashed border-gray-300 mx-3"></div>
                        <span class="font-medium xl:ml-auto">{{ currency($d).'€' }}</span>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
    <div class="mt-3">
        <a href="{{ route('user.index') }}"
           class="intro-x w-full block text-center rounded-md py-3 border border-dotted border-theme-15 dark:border-dark-5 text-theme-16 dark:text-gray-600">Mostra tutti
        </a>
    </div>

    <script>
        var ctx = document.getElementById('chartPie');

        var chartData = {
            datasets: [{
                data: @json($data),
                backgroundColor: @json($bgColor)
            }],
        };

        var config = {
            type: 'doughnut',
            data: chartData,
            hoverOffset: 12,
            options: {
                legend: {
                    display: false
                }
            }
        };

        new Chart(ctx, config);
    </script>
</div>