@php use Illuminate\Support\Facades\App; @endphp
        <!-- BEGIN: Mobile Menu -->
<div class="mobile-menu md:hidden">
    <div class="mobile-menu-bar">
        <a href="" class="flex mr-auto">
            <img alt="iOC Admin Panel" class="w-8" src="{{ asset('static/images/logo.svg') }}">
        </a>
        <a href="javascript:;" id="mobile-menu-toggler">
            <i data-feather="bar-chart-2" class="w-8 h-8 text-white transform -rotate-90"></i>
        </a>
    </div>
    <ul class="border-t border-theme-24 py-5 hidden">
        @if (App::environment() !== 'production')
            @livewire('refresh-sidebar')
        @endif
    @foreach ($side_menu as $menu)

            @if($menu->level != 0)
                @continue
            @endif

            @if ($menu->name == 'devider')
                <li class="menu__devider my-6"></li>
            @elseif ($menu->permission == null || auth()->user()->can($menu->permission))
                <li>
                    <a href="{{ Route::has($menu->route) ? route($menu->route) : '#' }}" class="{{ preg_match('/^('. $menu->allRouteBase() . ')/', Route::currentRouteName()) ? 'menu menu--active' : 'menu' }}">
                        <div class="menu__icon">
{{--                            ico--}}
                            <i class="{{ $menu->icon }}"></i>
                        </div>
                        <div class="menu__title">
                            {{ $menu->name }}
                            @if ($menu->children->count() > 0)
                                <i data-feather="chevron-down" class="menu__sub-icon"></i>
                            @endif
                        </div>
                    </a>
                    @if ($menu->children->count() > 0)
                        {{--                        class="{{ 'test' == $menu['page_name'] ? 'menu__sub-open' : '' }}"--}}
                        <ul>
                            @foreach ($menu->children as $subMenu)
                                <li>
                                    <a href="{{ Route::has($subMenu->route) ? route($subMenu->route) : '#' }}" class="{{ $subMenu->route == Route::currentRouteName() ? 'menu menu--active' : 'menu' }}">
                                        <div class="menu__icon">
                                            <i class="{{ $subMenu->icon }}"></i>
                                            {{--                                  <i ... {{ $subMenu->icon }} ...> --}}
                                        </div>
                                        <div class="menu__title">
                                            {{ $subMenu->name }}
{{--                                            @if (isset($subMenu['sub_menu']))--}}
{{--                                                <i data-feather="chevron-down" class="menu__sub-icon"></i>--}}
{{--                                            @endif--}}
                                        </div>
                                    </a>
{{--                                    @if (isset($subMenu['sub_menu']))--}}
{{--                                        <ul class="{{ 'test2' == $subMenu['page_name'] ? 'menu__sub-open' : '' }}">--}}
{{--                                            @foreach ($subMenu['sub_menu'] as $lastSubMenu)--}}
{{--                                                <li>--}}
{{--                                                    <a href="{{ Route::has($subMenu->route) ? route($subMenu->route) : '#' }}" class ="side-menu">--}}
{{--                                                        <a href="{{ isset($lastSubMenu['layout']) ? route('page', ['layout' => $lastSubMenu['layout'], 'theme' => $theme, 'pageName' => $lastSubMenu['page_name']]) : 'javascript:;' }}" >--}}
{{--                                                            <div class="menu__icon">--}}
{{--                                                                <i data-feather="zap"></i>--}}
{{--                                                            </div>--}}
{{--                                                            <div class="menu__title">{{ $lastSubMenu['title'] }}</div>--}}
{{--                                                        </a>--}}
{{--                                                </li>--}}
{{--                                            @endforeach--}}
{{--                                        </ul>--}}
{{--                                    @endif--}}
                                </li>
                            @endforeach
                        </ul>
                    @endif
                </li>
            @endif
        @endforeach
    </ul>
</div>
<!-- END: Mobile Menu -->
