<div wire:init="loadLogContent" wire:poll.3000ms="loadLogContent">
            <div id="logViewer" x-cloak-alternative>

                <div x-data="{ open: @entangle('showModal'), working: false, static: {{ isset($static) && $static ? 'true' : 'false' }} }">
                    <div x-show="open"
                         class="fixed z-100 bottom-0 inset-x-0 px-4 pb-4 inset-0 flex items-center justify-center">
                        <div x-show="open" x-transition:enter="ease-out duration-300" x-transition:enter-start="opacity-0"
                             x-transition:enter-end="opacity-100" x-transition:leave="ease-in duration-200"
                             x-transition:leave-start="opacity-100" x-transition:leave-end="opacity-0"
                             class="fixed inset-0 transition-opacity">
                            <div @click="if (!static) { open = false }" class="absolute inset-0 bg-gray-500 opacity-75"></div>
                        </div>

                        <div x-show="open" x-transition:enter="ease-out duration-300"
                             x-transition:enter-start="opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
                             x-transition:enter-end="opacity-100 translate-y-0 sm:scale-100"
                             x-transition:leave="ease-in duration-200"
                             x-transition:leave-start="opacity-100 translate-y-0 sm:scale-100"
                             x-transition:leave-end="opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
                             class="relative bg-white rounded-lg overflow-y-auto max-h-screen shadow-xl transform transition-all">
                            <!-- Inizio modale -->
                            <div class="w-full">
                                <div class="p-6">
                                    <div class="hidden sm:block absolute top-0 right-0 pt-4 pr-4">
                                        <button @click="open = false" type="button"
                                                class="text-gray-400 hover:text-gray-500 focus:outline-none focus:text-gray-500 transition ease-in-out duration-150">
                                            <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                      d="M6 18L18 6M6 6l12 12" />
                                            </svg>
                                        </button>
                                    </div>

                                    <h2 class="text-lg font-medium mr-auto mb-4">Log {{ $name }}</h2>
                                    <pre id="logContent" style="max-height: 500px; overflow-y: auto; white-space: pre-line;">
                                        {{ $logContent }}
                                    </pre>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

    <style>
        [x-cloak-alternative] {
            visibility: hidden;
        }
        #logContent::-webkit-scrollbar {
            width: 0.7em;
        }
        #logContent::-webkit-scrollbar-track {
            background:none;
        }
        #logContent::-webkit-scrollbar-thumb {
            background-color: darkgrey;
            border-radius: 20px;
        }
    </style>
    <script>

        document.addEventListener('livewire:load', function () {

                let shouldScrollToBottom = true;

                var logContent = document.getElementById('logContent');

                cash('[x-cloak-alternative]').removeAttr('x-cloak-alternative');
                cash('[x-cloak-alternative]').css('visibility', 'visible');

                // Quando il log viene scrollato
                logContent.addEventListener('scroll', function () {
                    // Imposto il flag a true se sono nella parte più bassa
                    shouldScrollToBottom = logContent.scrollHeight - logContent.clientHeight <= logContent.scrollTop + 1;
                });

                Livewire.on('logContentLoaded', (data) => {
                    cash('#logViewer').css('visibility','visible');
                    // Ogni volta che viene caricato il contenuto del log,se sono nella parte più bassa del log scrollo automaticamente
                    // Se invece ho scrollato manualmente verso l'alto, non scrollerò automaticamente finché non tornerò manualmente verso la parte più bassa del log
                    if (shouldScrollToBottom) {
                        //TODO: L'autoscroll non funziona se c'è la direttiva x-cloak sul modale, porta scrollTop e scrollHeight a 0... fixare
                        logContent = document.getElementById('logContent');
                        logContent.scrollTop = logContent.scrollHeight;
                    }

                });

        });
    </script>

</div>

