<div class="geomap col-span-12" wire:init="getInitialData">
        <div id="map"></div>
        <style>
                #map {
                        height: 600px;
                }
        </style>
        <script>

                var map, tileLayer, markerLayer = null;

                var markers = [];
                var mapMarkers = [];

                function setupMarkers() {


                        markerLayer.clearLayers();
                        mapMarkers.length = 0;

                        for (let i = 0; i < markers.length; i++) {
                                var marker = markers[i];

                                var icon = L.icon({
                                        iconUrl: marker.iconUrl,
                                        iconSize: marker.iconSize, // size of the icon
                                        iconAnchor: marker.iconAnchor, // point of the icon which will correspond to marker's location
                                        popupAnchor: marker.popupAnchor // point from which the popup should open relative to the iconAnchor
                                });

                                if (marker.latitude == null || marker.longitude == null) {
                                        continue;
                                }

                                var pinMarker = L.marker([marker.latitude, marker.longitude], {icon: icon}).addTo(markerLayer);
                                pinMarker.bindPopup(marker.popup);

                                handleMarkerClick(pinMarker);

                                mapMarkers.push(pinMarker);

                        }

                        map.fitBounds(markerLayer.getBounds(), { maxZoom: 8 });

                        if (mapMarkers.length === 1) mapMarkers[0].openPopup();

                }

                function setupMap() {

                        if (map == null) {
                                map = L.map('map').setView([42.415, 12.777], 6);
                                tileLayer = L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
                                        maxZoom: 19,
                                        attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
                                }).addTo(map);

                                markerLayer = L.featureGroup();
                                markerLayer.addTo(map);
                        }

                }

                function handleMarkerClick(marker) {
                        marker.on('click', function () {
                                map.setView(marker.getLatLng(), map.getZoom() < 8 ? 8 : map.getZoom());
                        });
                }

                window.addEventListener('livewire:load', () => {

                        // setTimeout(function () {
                        //         Livewire.emit('requestAllData');
                        // }, 2000);

                        // console.log("livewire:load");

                        window.addEventListener('mapDataUpdated', (e) => {
                                markers = JSON.parse(e.detail);
                                setupMap();
                                setupMarkers();
                        });

                        // Livewire.emit('fetchMapData');
                        // Livewire.on('closeDropdowns', () => {
                        //         hide();
                        // });
                })

        </script>
</div>