<div>

    <div class="mt-2 flex">
        <button wire:click="$emit('onCreateClick')" class="ml-auto button text-white bg-theme-1 shadow-md">Nuovo permesso</button>
    </div>

    <x-modal :static="true">
        <x-slot name="content">
            <div class="p-6">
                <h2 class="text-lg font-medium mr-auto mb-4">{{ $title }}</h2>

                <div class="grid grid-cols-4 gap-4 row-gap-3">
                    <div class="col-span-4 sm:col-span-2 @error('name') has-error @enderror">
                        <label for="name">Nome:</label>
                        <input type="text" class="input w-full border mt-2" id="name" placeholder="Modificare un utente" wire:model.lazy="name">
                        @error('name')
                            <div class="text-theme-6 mt-2">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-span-4 sm:col-span-2 @error('slug') has-error @enderror">
                        <label for="email">Slug:</label>
                        <input type="text" class="input w-full border mt-2" id="slug" wire:model="slug" wire:click="slugChanged()" placeholder="edit-user">
                        @error('slug')
                            <div class="text-theme-6 mt-2">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-span-4 sm:col-span-2 @error('permissionGroupId') has-error @enderror">
                        <label for="role">Gruppo permessi:</label>
                        {{--                        <input type="text" class="input w-full border mt-2" id="type" wire:model.defer="type" placeholder="daily | everyThirtyMinutes | cron ...">--}}

                        <select wire:model="permissionGroupId" class="input w-full border mt-2" id="permissionGroupId">
                            @foreach ($permissionGroups as $permissionGroup)
                                <option value="{{ $permissionGroup->id }}">{{ $permissionGroup->name }}</option>
                            @endforeach
                            <option value="new">[ Nuovo gruppo ]</option>
                        </select>
                        @if(!$showAddPermissionGroup)
                            <div>
                                @error('permissionGroupId')
                                    <div class="text-theme-6 mt-2">{{ $message }}</div>
                                @enderror

                                <!--<div class="flex mt-4 relative items-center cursor-pointer" wire:click="togglePermissionGroupAddComponent(true)">
                                    <i class="fa-solid fa-circle-plus text-gray-400 text-sm mr-2"></i>
                                    <p class="text-gray-400 text-sm">Nuovo gruppo</p>
                                </div>-->
                            </div>
                        @else
                            <div>
                                @livewire('permission-group-add')
                            </div>
                        @endif
                    </div>
                    <div class="col-span-4 sm:col-span-2 @error('description') has-error @enderror">
                        <label>Descrizione:</label>
                        <textarea class="input w-full border mt-2" id="description" style="height: 8rem" wire:model="description" placeholder="Tutti i permessi necessari per l'autenticazione"></textarea>
                        @error('description')
                        <div class="text-theme-6 mt-2">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
            </div>
            <div class="px-5 py-3 text-right border-t border-gray-200 dark:border-dark-5">
                <button @click="open = false" class="button w-24 border dark:border-dark-5 text-gray-700 dark:text-gray-300 ml-1">Annulla</button>
                <button wire:click.prevent="$emit('onSave')" class="button w-20 bg-theme-1 text-white ml-auto">Salva</button>
            </div>
        </x-slot>
    </x-modal>


</div>