<div>

    <div class="mt-2 flex">
        <button wire:click="$emit('onCreateClick')" class="ml-auto button text-white bg-theme-1 shadow-md mr-2">Nuovo Task</button>
    </div>

    <x-modal :static="true">
        <x-slot name="content">
            <div class="p-6">

                <div class="hidden sm:block absolute top-0 right-0 pt-4 pr-4">
                    <button @click="open = false" type="button"
                            class="text-gray-400 hover:text-gray-500 focus:outline-none focus:text-gray-500 transition ease-in-out duration-150">
                        <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                  d="M6 18L18 6M6 6l12 12" />
                        </svg>
                    </button>
                </div>

                <h2 class="text-lg font-medium mr-auto mb-4">{{ $title }}</h2>

                <div class="grid grid-cols-4 gap-4 row-gap-3">
                    <div class="col-span-4 sm:col-span-4 @error('name') has-error @enderror">
                        <label for="name">Nome:</label>
                        <input type="text" class="input w-full border mt-2" id="name" placeholder="Importazione dati da ..." wire:model.defer="name">
                        @error('name')
                        <div class="text-theme-6 mt-2">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-span-4 sm:col-span-3 @error('target_class') has-error @enderror">
                        <label for="target_class">Classe o comando:</label>
                        <input type="text" class="input w-full border mt-2" id="target_class" wire:model.defer="target_class" placeholder="Namespace\Class o comando">
                        @error('target_class')
                        <div class="text-theme-6 mt-2">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-span-4 sm:col-span-1">
                        <label for="target_class">Disponibili:</label>
                        {{--                        <input type="text" class="input w-full border mt-2" id="target_class" wire:model.defer="target_class" placeholder="daily | everyThirtyMinutes | cron ...">--}}
                        <select wire:change="setSelectedClass()" class="input w-full border mt-2" name="target_class" id="target_class" wire:model="selected_class">
                            <option value="">Seleziona una classe</option>
                        @foreach (director()->jobs as $job)
                                <option value="{{$job}}">{{ $job }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-span-4 sm:col-span-2 @error('frequency') has-error @enderror">
                        <label for="frequency">Frequenza:</label>
{{--                        <input type="text" class="input w-full border mt-2" id="frequency" wire:model.defer="frequency" placeholder="daily | everyThirtyMinutes | cron ...">--}}
                        <select class="input w-full border mt-2" name="frequency" id="frequency" wire:model="frequency">
                            <option value="">Seleziona frequenza</option>
                        @foreach ($this->frequencies as $k => $f)
                                <option value="{{$k}}">{{ $f['frequency'] }}</option>
                            @endforeach
                        </select>

                        @error('frequency')
                        <div class="text-theme-6 mt-2">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-span-4 sm:col-span-2 @error('parameters') has-error @enderror">
                        <label for="parameters">Parametri:</label>

                        <input type="text" @if($frequency && $frequencies[$frequency]['withParams'] === false) disabled @endif class="input w-full border mt-2" id="parameters" wire:model="parameters" placeholder="{{ $frequency && $frequencies[$frequency]['hint'] ? $frequencies[$frequency]['hint'] : '' }}">
                        <span class="text-xs">{{ empty($parameters) && $frequency && $frequencies[$frequency]['detail'] ? $frequencies[$frequency]['detail'] : '' }}</span>
                        @error('parameters')
                        <div class="text-theme-6 mt-2">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-span-4 sm:col-span-2 @error('active') has-error @enderror">
                        <label for="parameters">Attivo:</label>
                        <input type="checkbox" class="input input--switch border" id="parameters" wire:model.defer="active">
                        @error('active')
                        <div class="text-theme-6 mt-2">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
            </div>
            <div class="px-5 py-3 text-right border-t border-gray-200 dark:border-dark-5">
                <button @click="open = false" class="button w-24 border dark:border-dark-5 text-gray-700 dark:text-gray-300 ml-1">Annulla</button>
                <button wire:click.prevent="$emit('onSave')" class="button w-20 bg-theme-1 text-white ml-auto">Salva</button>
            </div>
        </x-slot>
    </x-modal>


</div>