@php use Illuminate\Support\Facades\Session; @endphp
@extends('ioc::layout.login')

@section('head')
    <title>Login - iOC</title>
@endsection

@section('content')
    <div class="container sm:px-10">
        <div class="block xl:grid grid-cols-2 gap-4">
            <!-- BEGIN: Login Info -->
            <div class="hidden xl:flex flex-col min-h-screen">
                <a href="" class="-intro-x flex items-center pt-5">
                    <img alt="iOC Admin Panel" class="w-8" src="{{ asset('static/images/logo.svg') }}">
                    <span class="text-white text-lg ml-3">
                        iOC <span class="font-medium">Admin</span>
                    </span>
                </a>
                <div class="my-auto">
                    <img alt="iOC Admin Panel" class="-intro-x w-1/2 -mt-16"
                         src="{{ asset('static/images/illustration.svg') }}">
                    <div class="-intro-x text-white font-medium text-4xl leading-tight mt-10">iOC
                        Admin {{ ucfirst(env('APP_NAME')) }}</div>
                    <div class="-intro-x mt-5 text-lg text-white dark:text-gray-500">Ricevi ordini dai tuoi clienti in
                        modo semplice e veloce
                    </div>
                </div>
            </div>
            <!-- END: Login Info -->
            <!-- BEGIN: Login Form -->
            <div class="h-screen xl:h-auto flex py-5 xl:py-0 my-10 xl:my-0">
                @livewire('forgot-password-form')
            </div>
            <!-- END: Login Form -->
        </div>
    </div>
@endsection

@section('script')
    @livewireScripts
@endsection
