<div x-data="{ open: {{ isset($open) && $open ? 'true' : 'false' }} }" x-cloak wire:key="run-{{ $value }}">
    <span x-on:click="open = true">

        <button class="flex items-center" @if(!$job || $running) disabled @endif style="@if(!$job || $running) color:grey !important; @endif">
            <i class="mr-1 fa-light fa-play"></i> Avvia
        </button>

    </span>

    <div x-show="open"
        class="fixed z-100 bottom-0 inset-x-0 px-4 pb-4 sm:inset-0 sm:flex sm:items-center sm:justify-center">
        <div x-show="open" x-transition:enter="ease-out duration-300" x-transition:enter-start="opacity-0"
            x-transition:enter-end="opacity-100" x-transition:leave="ease-in duration-200"
            x-transition:leave-start="opacity-100" x-transition:leave-end="opacity-0"
            class="fixed inset-0 transition-opacity">
            <div class="absolute inset-0 bg-gray-500 opacity-75"></div>
        </div>

        <div x-show="open" x-transition:enter="ease-out duration-300"
            x-transition:enter-start="opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
            x-transition:enter-end="opacity-100 translate-y-0 sm:scale-100"
            x-transition:leave="ease-in duration-200"
            x-transition:leave-start="opacity-100 translate-y-0 sm:scale-100"
            x-transition:leave-end="opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
            class="relative bg-white rounded-lg px-4 pt-5 pb-4 overflow-hidden shadow-xl transform transition-all sm:max-w-lg sm:w-full sm:p-6">
            <div class="hidden sm:block absolute top-0 right-0 pt-4 pr-4">
                <button @click="open = false" type="button"
                    class="text-gray-400 hover:text-gray-500 focus:outline-none focus:text-gray-500 transition ease-in-out duration-150">
                    <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M6 18L18 6M6 6l12 12" />
                    </svg>
                </button>
            </div>
            <div class="w-full">
                <div class="mt-3">
                    <h3 class="text-lg leading-6 font-medium text-gray-900 text-center">
                        {{ $name }}
                    </h3>
                    <div class="mt-2">
                        <div>
                            @if($job)
                                @foreach ($job->parameters() as $index => $param)

                                    <div class="grid grid-cols-4 gap-4 row-gap-3">
                                        <div class="mt-3 col-span-4 sm:col-span-4">
                                            <label for="name">{{$param['name']}}:</label>
                                            <input type="text" wire:model="jobParams.{{$param['id']}}" class="input w-full border mt-2" placeholder="{{$param['description']}}" id="{{ \Illuminate\Support\Str::slug($param['name']) }}">
        {{--                                        @error('name')--}}
        {{--                                        <div class="text-theme-6 mt-2">{{ $message }}</div>--}}
        {{--                                        @enderror--}}
                                        </div>
                                    </div>
                                @endforeach
                            @endif

                        </div>
                        <div class="mt-10 flex justify-center">
                            <span class="mr-2">
                                <button @click="open = false" class="w-32 shadow-sm inline-flex justify-center items-center px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-white bg-gray-600 hover:bg-gray-700 focus:outline-none focus:border-gray-700 focus:shadow-outline-teal active:bg-gray-700 transition ease-in-out duration-150">
                                    Annulla
                                </button>
                            </span>
                            <span x-on:click="open = false" >
                                <button wire:click="runTask('{{ $value }}')" class="w-32 button w-20 bg-theme-1 text-white ml-auto">
                                    Avvia
                                </button>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
