<?php

namespace FourWords\AppManager\Ioc\Commands;

use FourWords\AppManager\Ioc\Helpers\Client;
use FourWords\AppManager\Ioc\Helpers\IocPackageManifest;
use Illuminate\Console\Command;
use Illuminate\Contracts\Filesystem\FileNotFoundException;
use Illuminate\Filesystem\Filesystem;
use Illuminate\Support\Composer;
use Illuminate\Support\Facades\File;

class DumpAutoload extends Command
{

    protected $composer;

    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'ioc:dumpautoload';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Eseguo il comando composer dump-autoload dopo aver cancellato la cache';

    /**
     * @param string $name
     */
    public function __construct(Composer $composer)
    {
        parent::__construct();
        $this->composer = $composer;
    }


    /**
     * Execute the console command.
     *
     * @param Filesystem $filesystem
     *
     * @return void
     * @throws FileNotFoundException
     */
    public function handle(Filesystem $filesystem)
    {
        $this->info('Cancello la cache del composer');
        try {
            shell_exec('composer clear-cache');
        } catch (\Exception | \Throwable $ignored) {}
        $this->info('Cache composer cancellata');
        $this->info('Eseguo il dump autoload del composer...');
        $this->composer->dumpAutoloads();
        $this->info('Dump autoload concluso');
    }

}
