<?php

namespace FourWords\AppManager\Ioc\Commands;

use FourWords\AppManager\Ioc\Helpers\Client;
use FourWords\AppManager\Ioc\Helpers\IocPackageManifest;
use FourWords\AppManager\IocClient\Providers\IocClientServiceProvider;
use Illuminate\Console\Command;
use Illuminate\Contracts\Filesystem\FileNotFoundException;
use Illuminate\Filesystem\Filesystem;
use Illuminate\Support\Facades\File;

class ReorderPackages extends Command
{

    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'ioc:reorderpackages';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Imposto il package del Cliente iOC all\'ultima posizione';

    /**
     * Execute the console command.
     *
     * @param Filesystem $filesystem
     *
     * @return void
     * @throws FileNotFoundException
     */
    public function handle(Filesystem $filesystem)
    {

        // Forzo il Package del Cliente ad essere eseguito per ultimo
        try {
            $packageManifest = new IocPackageManifest(new Filesystem(), app()->basePath(), app()->getCachedPackagesPath());

            if (!File::exists(app()->getCachedPackagesPath())) {
                $packageManifest->build();
//                Artisan::call('package:discover');
            }
            $packages = File::getRequire(app()->getCachedPackagesPath());

            // Se il file packages.php esiste e non è vuoto
            if ($packages && !empty($packages)) {

                $clientPackageName = '4words/' . Client::getPackageName();

                // Se il package ioc-cliente non è già l'ultimo
                if (last(array_keys($packages)) != $clientPackageName) {

                    $clientPackage = $packages[$clientPackageName];

                    unset($packages[$clientPackageName]);
                    $packages[$clientPackageName] = $clientPackage;

                    $packageManifest->write($packages);

                    $this->info('Modulo Cliente iOC riordinato');
                }

            }
        } catch (\Exception $ignored) {}


    }

}
