<?php

namespace FourWords\AppManager\Ioc\Commands;

use FourWords\AppManager\Ioc\Database\Seeders\DemoDataSeeder;
use FourWords\AppManager\Ioc\Models\IocUser;
use Illuminate\Console\Command;
use Illuminate\Filesystem\Filesystem;

class SeedDemoDataCommand extends Command
{

    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'ioc:demo';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Seed iOC demo data';

    /**
     * Execute the console command.
     *
     * @param Filesystem $filesystem
     *
     * @return void
     */
    public function handle(Filesystem $filesystem)
    {
        if (IocUser::count() > 0) {
            $this->alert('Dati demo già presenti!');
            return;
        }

        $this->info('Inizializzo dati iOC Demo');

        (new DemoDataSeeder())->run();

        // fine aggiornamento con successo!
        $this->info('Dati iOC Demo installati correttamente!');
    }

}
