<?php

namespace FourWords\AppManager\Ioc\Contracts;

use Monolog\Logger;

interface Bonjour
{

    /**
     * @return bool
     */
    public function hasLicenses();

    public function report($message, $gravity = Logger::WARNING);

    public function addBonjourToHistory();

    public function getDevice();
    public function createDevice();
    public function updateDevice();
    public function isDeviceEnabled();
    public function shouldWipe();



    public function getCurrentUserDevice();
    public function setUserDeviceStatus($status);
    public function updateUserDeviceLastAccess();
    public function isUserDeviceEnabled();
    public function attachUserToDevice();

    public function getOtherActiveUserDevicesCount();



    public function isUserEnabled();
    public function shouldWaitApproval();
    public function isDemo();
    public function authenticate();
    public function shouldAuthenticateRemotely();
    public function authenticateRemotely();
    public function createToken();
    public function getUserData();
    public function bonjour();

    public function sendResponse($status = 'OK', $message = '', $response = []);
    public function onException($e);

}
