<?php

namespace FourWords\AppManager\Ioc\Contracts;

use Illuminate\Database\Eloquent\Model;

interface UserImporter
{

    /**
     * Il model da importare
     *
     * @return Model|null
     */
    public function getModel();

    /**
     * Recupera gli utenti
     *
     * @return array
     */
    public function getUsers();

    /**
     * Crea o aggiorna l'utente passato come parametro
     *
     * @param  array  $userData
     */
    public function saveOrUpdateUser(&$userData);

    /**
     * Modifica/valida i dati dell'utente
     *
     * @param  array  $userData
     */
    public function prepareUserData(&$userData);

    /**
     * Restituisce un array associativo che mappa colonna del record con proprietà del model es. ['PASSWORDENC' => 'password', ...]
     *
     * @return  array  $userData
     */
    public function recordToUserMap();

    /**
     * Metodo per importare gli utenti
     *
     */
    public function import();

}
