<?php

namespace FourWords\AppManager\Ioc\Controllers;


use FourWords\AppManager\Ioc\Models\Role;
use FourWords\AppManager\Ioc\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Gate;

class AdminController extends IocController {

    public static $rules = [
//        'username' => 'required|min:2|max:60',
        'name' => 'required|min:2|max:60',
        'email' => 'required|email',
//            'password' => 'nullable|confirmed|min:6|max:20',
        // 'role' => 'required|integer'
    ];

    public function edit(User $user)
    {

        $isSelf = Auth::id() == $user->id;

        if ($isSelf && Gate::denies('edit-own-profile') || !$isSelf && Gate::denies('edit-other-admin')) {
            abort(403);
        }

        $roles = Auth::id() == Role::SUPERADMIN_ID ? Role::all() : Role::all()->except(Role::SUPERADMIN_ID);
        return view('ioc::admin.edit', ['user' => $user, 'roles' => $roles]);
    }

    public function index()
    {
        $this->checkPermission('view-admin');
        return view('ioc::admin.index');
    }

//    public function update(Request $request, User $user)
//    {
//        if (!Gate::allows('update-admin')) {
//            abort(403);
//        }
//
//        $user = User::findOrFail($user->id);
//
//        $request->validate(self::$rules);
//
//        $user->fill($request->except('password', 'password_confirmation'));
//
////        if ($request->get("password") !== null) {
////            $user->password = bcrypt(request()->password);
////        }
//
//        // Estraggo l'username dalla mail
////        $user->username = explode('@',$request->input('email'))[0];
//
//        $user->role()->associate(Role::find($request->get('role')));
//        $user->save();
//
//        return redirect()->route('admin.index')->with('success', 'Operazione effettuata correttamente');
//    }

}
