<?php

namespace FourWords\AppManager\Ioc\Controllers;

use FourWords\AppManager\Ioc\Contracts\Bonjour;
use Illuminate\Routing\Controller;

class BonjourController extends Controller {

    public function hasRequiredParams() {

        if (!request()->bearerToken() && !( request()->has('user') && request()->has('pwd') ) ) {
            return false;
        }

        $requiredKeys = ['oudid', 'system_name', 'system_version', 'app_version', 'model', 'app'];
        foreach ($requiredKeys as $requiredKey) {
            if (!request()->has($requiredKey) || empty(request()->get($requiredKey))) {
                return false;
            }
        }
        return true;
    }

    public function bonjour()
    {

        if (!$this->hasRequiredParams()) {
            abort(400);
        }

        return app()->make(Bonjour::class)->bonjour();

    }

}
