<?php

namespace FourWords\AppManager\Ioc\Controllers;

use FourWords\AppManager\Ioc\Resource\ResourceRepository;
use Illuminate\Routing\Controller;
use Illuminate\Support\Arr;

class ResourceController extends Controller {

    public function hasRequiredParams() {

        if (!request()->bearerToken() && !( request()->has('token') ) ) {
            return false;
        }

        if (!request()->has(['file'])) {
            return false;
        }

        return true;
    }

    public function get()
    {

        if (!$this->hasRequiredParams()) {
            abort('400');
        }

        if (request('type') === 'db' && !request()->bearerToken()) {
            abort('401');
        }

        //$params = request()->except(['token','file','type']);

        return app()->make(ResourceRepository::class)->downloadFile(request('file'), request('type'));

    }

}
