<?php

namespace FourWords\AppManager\Ioc\Database\Seeders;

use FourWords\AppManager\Ioc\Models\Permission;
use FourWords\AppManager\Ioc\Models\PermissionGroup;
use FourWords\AppManager\Ioc\Models\Role;
use Illuminate\Database\Seeder;

class RolesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        // elimino eventuali ruoli già presenti
        Role::query()->forceDelete();

        $this->createSuperadmin();
        //$this->createCustomer();
        $this->createManager();
    }

    protected function createCustomer()
    {
        $role = new Role();
        $role->name = "Cliente";
        $role->description = "Cliente";
        $role->save();

        $permission = new Permission();
        $permissions = $permission->whereIn('slug', [
            'edit-user',
        ])->get();
        $role->permissions()->attach($permissions);
    }

    protected function createManager()
    {
        $role = new Role();
        $role->name = "Manager";
        $role->description = "Gestore clienti";
        $role->save();

        $pushNotificationPermissions = PermissionGroup::with('permissions')->where('name', '=', 'Notifiche Push')->first()->permissions->pluck('slug')->toArray();

        $permissions = Permission::whereIn('slug', array_merge(['edit-own-profile', 'view-stats', 'view-app-users', 'create-app-users', 'edit-app-users', 'delete-app-users', 'view-app-devices', 'view-orders', 'run-tasks'], $pushNotificationPermissions))->get();
        $role->permissions()->attach($permissions);
    }

    protected function createSuperadmin()
    {
        $role = new Role();
        $role->name = "Superadmin";
        $role->description = "L'utente è superadmin, possiede tutti i permessi";
        $role->save();
    }

}
