<?php

namespace FourWords\AppManager\Ioc\Database\Seeders;

use FourWords\AppManager\Ioc\Models\SidebarItem;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Cache;

class SidebarItemSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        // voce di menu per accedere alla dashboard
        $dashboardBase = SidebarItem::create([
            'parent_id' => null,
            'name' => 'Dashboard',
            'route' => null,
            'icon' => 'fal fa-home',
            'permission' => 'view-stats',
            'position' => 1
        ]);

        SidebarItem::create([
            'parent_id' => $dashboardBase->id,
            'name' => 'Statistiche',
            'route' => 'dashboard',
            'icon' => 'fal fa-chart-line',
        ]);

        SidebarItem::create([
            'parent_id' => $dashboardBase->id,
            'name' => 'Geolocalizzazione',
            'route' => 'dashboard.geo',
            'icon' => 'fal fa-map-location-dot',
        ]);

//        $settingsBase = SidebarItem::create([
//            'parent_id' => NULL,
//            'name' => 'Impostazioni',
//            'route' => NULL,
//            'icon' => 'fal fa-cogs',
//            'permission' => NULL]);

//        $authAppBase = SidebarItem::create([
//            'parent_id' => NULL,
//            'name' => 'Autenticazione App',
//            'route' => NULL,
//            'icon' => 'fal fa-screen-users',
//            'permission' => NULL]);

        SidebarItem::create([
            'parent_id' => NULL,
            'name' => 'Utenti App',
            'route' => 'user.index',
            'icon' => 'fal fa-users',
            'permission' => 'view-app-users']);

        SidebarItem::create([
            'parent_id' => NULL,
            'name' => 'Dispositivi App',
            'route' => 'device.index',
            'icon' => 'fal fa-mobile',
            'permission' => 'view-app-devices']);

        $userBase = SidebarItem::create([
            'parent_id' => NULL,
            'name' => 'Amministrazione',
            'route' => NULL,
            'position' => 30,
            'icon' => 'fal fa-user-gear',
            'permission' => 'view-admin'
        ]);

        SidebarItem::create([
            'parent_id' => $userBase->id,
            'name' => 'Amministratori',
            'route' => 'admin.index',
            'icon' => 'fal fa-users',
            'permission' => 'view-admin'
        ]);

        SidebarItem::create([
            'parent_id' => $userBase->id,
            'name' => 'Ruoli',
            'route' => 'role.index',
            'icon' => 'fal fa-user-tag',
            'permission' => 'view-roles'
        ]);

        SidebarItem::create([
            'parent_id' => $userBase->id,
            'name' => 'Permessi',
            'route' => 'permission.index',
            'icon' => 'fal fal fa-user-shield',
            'permission' => 'view-permissions'
        ]);

        SidebarItem::create([
            'parent_id' => $userBase->id,
            'name' => 'Gruppi di permessi',
            'route' => 'permission-group.index',
            'icon' => 'fal fa-shield-alt',
            'permission' => 'view-permission-groups'
        ]);

//        SidebarItem::create([
//            'parent_id' => $settingsBase->id,
//            'position' => 1,
//            'name' => 'API',
//            'route' => 'api.dashboard',
//            'icon' => 'fal fa-key',
//            'permission' => 'view-api-clients'
//        ]);

        $tasksBase = SidebarItem::create([
            'parent_id' => NULL,
            'name' => 'Task',
            'route' => NULL,
            'position' => 20,
            'icon' => 'fal fa-list-dropdown',
            'permission' => 'view-tasks']);

        SidebarItem::create([
            'parent_id' => $tasksBase->id,
            'name' => 'Task',
            'route' => 'task.index',
            'icon' => 'fal fa-list-tree',
            'permission' => 'view-tasks']);

        SidebarItem::create([
            'parent_id' => $tasksBase->id,
            'name' => 'Task Logs',
            'route' => 'task.log.index',
            'icon' => 'fal fa-list-check',
            'permission' => 'view-task-logs']);

    }
}
