<?php

namespace FourWords\AppManager\Ioc\Database\Seeders;

use FourWords\AppManager\Ioc\Jobs\GenerateDatabases;
use FourWords\AppManager\Ioc\Jobs\GeocodeIocUsers;
use FourWords\AppManager\Ioc\Jobs\ImportCatalog;
use FourWords\AppManager\Ioc\Jobs\ImportIocUsers;
use FourWords\AppManager\Ioc\Jobs\ImportProductImages;
use FourWords\AppManager\Ioc\Jobs\ImportResources;
use FourWords\AppManager\Ioc\Models\Task;
use FourWords\AppManager\PushNotifications\Jobs\SendPushNotifications;
use Illuminate\Database\Seeder;

class TaskSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $model = app(Task::class);

        $model->create([
            'name' => 'Importazione Clienti',
            'target_class' => ImportIocUsers::class,
            'frequency' => 'daily',
            'active' => false
        ]);

//        $model->create([
//            'name' => 'Importazione Clienti in Prestashop',
//            'target_class' => ImportPsUsers::class,
//            'frequency' => 'daily',
//            'active' => false
//        ]);

        $model->create([
            'name' => 'Invio notifiche push',
            'target_class' => SendPushNotifications::class,
            'frequency' => 'everyFiveMinutes',
            'active' => false
        ]);

        $model->create([
            'name' => 'Generazione database',
            'target_class' => GenerateDatabases::class,
            'frequency' => 'daily',
            'active' => false
        ]);

//        $model->create([
//            'name' => 'Importazioni Ordini da Prestashop',
//            'target_class' => ImportOrders::class,
//            'frequency' => 'daily',
//            'active' => false
//        ]);

//        $model->create([
//            'name' => 'Importazioni Utenti da Prestashop',
//            'target_class' => ImportEmployees::class,
//            'frequency' => 'daily',
//            'active' => false
//        ]);

//        $model->create([
//            'name' => 'Importazioni Dispositivi da Prestashop',
//            'target_class' => ImportDevices::class,
//            'frequency' => 'daily',
//            'active' => false
//        ]);

        $model->create([
            'name' => 'Geolocalizza Clienti',
            'target_class' => GeocodeIocUsers::class,
            'frequency' => 'daily',
            'active' => false
        ]);

        $model->create([
            'name' => 'Importazione Catalogo (Prodotti, Categorie, Feature)',
            'target_class' => ImportCatalog::class,
            'frequency' => 'daily',
            'active' => false
        ]);

        $model->create([
            'name' => 'Importazione Immagini Prodotto',
            'target_class' => ImportProductImages::class,
            'frequency' => 'daily',
            'active' => false
        ]);

        $model->create([
            'name' => 'Importazione Risorse (Documenti aziendali, schede prodotto...)',
            'target_class' => ImportResources::class,
            'frequency' => 'daily',
            'active' => false
        ]);

    }

}
