<?php

namespace FourWords\AppManager\Ioc\Geo;

use FourWords\AppManager\Ioc\Models\IocUser;
use Illuminate\Database\Eloquent\Model;

class GeoUserData extends Model
{
    protected $table = 'geo_users';

    protected $guarded = [];

    public static function withGeocodedData( GeocodedData $geocodedData, IocUser $user): GeoUserData
    {
        $instance = self::firstOrNew(['code' => $user->code]);
        $instance->address = $geocodedData->address;
        $instance->city = $geocodedData->city;
        $instance->cap = $geocodedData->cap;
        $instance->prov = $geocodedData->prov;
        $instance->country = $geocodedData->country;
        $instance->latitude = $geocodedData->latitude;
        $instance->longitude = $geocodedData->longitude;

        return $instance;
    }

    public function user()
    {
        return $this->belongsTo(IocUser::class, 'code', 'code');
    }

}
