<?php

namespace FourWords\AppManager\Ioc\Geo;

use FourWords\AppManager\Ioc\Models\IocUser;
use Illuminate\Database\Eloquent\Model;

class GeoUserFailed extends Model
{
    protected $table = 'geo_failed';

    protected $guarded = [];

    public $timestamps = true;

    public static function for(IocUser $user, string $hash): GeoUserFailed
    {
        return self::firstOrNew(['code' => $user->code, 'hash' => $hash]);
    }

    public static function removeFor(IocUser $user) {
        self::where('code','=', $user->code)->delete();
    }

}
