<?php

namespace FourWords\AppManager\Ioc\Geo;

use Illuminate\Support\Facades\DB;

class LocalGeocoder extends AbstractGeocoderService
{
   public function geolocalize(): ?GeocodedData
   {
       if (empty($this->cap) && empty($this->province) && empty($this->city)) return null;

       $result = DB::select("
    SELECT * FROM `geo_towns` WHERE `name` = ?
    UNION
    SELECT * FROM `geo_towns` WHERE (`prov` = ?) OR (`cap` = ?) LIMIT 1
", [ucwords($this->city), strtoupper($this->province), $this->cap]);

       if (count($result) == 0) return null;

       $geocodedRecord = $result[0];

       return new GeocodedData($geocodedRecord->name, $geocodedRecord->cap, $geocodedRecord->prov, $geocodedRecord->latitude,$geocodedRecord->longitude, $geocodedRecord->country);

   }
}