<?php

namespace FourWords\AppManager\Ioc\Handlers;

use Illuminate\Console\Command;
use Monolog\Logger;
use Monolog\Handler\AbstractProcessingHandler;

class LaravelConsoleHandler extends AbstractProcessingHandler
{
    protected $command;

    public function __construct(Command $output, $level = Logger::DEBUG, $bubble = true)
    {
        parent::__construct($level, $bubble);
        $this->command = $output;
    }

    protected function write(array $record): void
    {
        $message = $record['formatted'];

        switch ($record['level']) {
            case Logger::NOTICE:
            case Logger::INFO:
            case Logger::DEBUG:
                $this->command->info($message);
                break;
            case Logger::WARNING:
                $this->command->warn($message);
                break;
            case Logger::CRITICAL:
            case Logger::ALERT:
            case Logger::EMERGENCY:
            case Logger::ERROR:
                $this->command->error($message);
                break;
        }
    }
}