<?php

namespace FourWords\AppManager\Ioc\Helpers;

use Illuminate\Support\Facades\File;
use Illuminate\Support\Str;

class Client
{

    public static function getSluggedName() {
        return !empty(env('CLIENT_NAME')) ? env('CLIENT_NAME') : Str::slug(env('APP_NAME'));
    }

    public static function getName() {
        return env('APP_NAME');
    }

    public static function getPackageName() {
        return "ioc-".self::getSluggedName();
    }

    public static function getPackageDir() {
        return __DIR__ . '/../../../'.static::getPackageName().'/';
    }

    public static function getStoragePublicDir() {
        return static::getPackageDir().'resources/storage/public/';
    }

    public static function getStaticResourcesDir() {
        return static::getPackageDir().'resources/static/';
    }

    public static function getInternalResourcesDir() {
        return static::getPackageDir().'resources/internal/';
    }

    public static function getResourcesDir() {
        return static::getPackageDir().'resources/';
    }

    public static function getToCompileDir() {
        return static::getPackageDir().'resources/to-compile/';
    }

    public static function webPack() {
        return static::getPackageDir().'webpack.mix.js';
    }

    public static function tailwindConfig() {
        return static::getPackageDir().'tailwind.config.js';
    }

    public static function hasWebpack() {
        return File::exists(self::webPack());
    }

    public static function hasTailwindConfig() {
        return File::exists(self::tailwindConfig());
    }
}
