<?php

namespace FourWords\AppManager\Ioc\Jobs;

use FourWords\AppManager\SqliteGen\SqliteGenerator;
use Monolog\Logger;

class GenerateDatabases extends IocJob
{

    protected $logLevel = Logger::INFO;

    public function handleJob()
    {
        parent::handleJob();

        /** @var SqliteGenerator $sqg */
        $sqg = app('sqlitegen');

        // Aggiungo i miei handler per loggare l'andamento della generazione in tasks/nome-task.log
        // N.B. In caso il queue:worker fosse persistente (senza opzione --once) essendo sqg una singleton si accavallerebbero gli handlers
        foreach ($this->logger->getHandlers() as $handler) {
            $sqg->pushHandler($handler);
        }

        $sqg->generate($this->params['db'])->skipping($this->params['skipdb'])->forced(true)->forOwners($this->params['codice-cliente']);

    }

    public function parameters() {
        return [
            ['id' => 'db', 'name' => 'Database da generare (vuoto per generare tutti)',  'description' => 'Generic o Specific o Warehouse...'],
            ['id' => 'skipdb', 'name' => 'Salta specifico database',  'description' => 'Generic o Specific o Warehouse...'],
            ['id' => 'codice-cliente', 'name' => 'Filtro su codici cliente',  'description' => '1234 oppure 1234, 5678, 9999'],
        ];
    }
}
