<?php

namespace FourWords\AppManager\Ioc\Jobs;

use FourWords\AppManager\Ioc\Models\IocUser;
use FourWords\AppManager\Ioc\Ps\Traits\PSConnection;
use Illuminate\Database\Connection;

class ImportEmployees extends ImportJob
{
    use PSConnection;
    protected Connection $psDB;

    public function getEntityName(): string {
        return 'Utente';
    }

    public function getPrimaryKeys($entity): array {
        return [
            'username' => explode('@', $entity->email)[0],
            'code' => $entity->code
        ];
    }

    public function entityMapFields(): array {
        return [
            'username' => 'username',
            'firstname' => 'name',
            'email' => 'username',
            'passwd' => 'password',
            'personal_email' => 'email',
            'vat_code' => 'vat_code',
            'fiscal_code' => 'fiscal_code',
            'code' => 'code',
            'active' => 'active'
        ];
    }

    public function getEntities(): array {
        $this->psDB = $this->loadPSConnection();
        return $this->psDB->select('SELECT * FROM ps_employee AS pe JOIN icm_employees as ie ON pe.id_employee = ie.id_employee WHERE ie.code <> 1');
    }

    public function getModel() : string {
        return IocUser::class;
    }

    protected function changeModelData(&$model, $entity) {
        foreach ($this->entityMapFields() as $recordColumn => $modelProperty) {
            if($recordColumn == 'email') {
                $model->username = explode('@', $entity->email)[0];
                continue;
            } else if($recordColumn == 'passwd') {
                $model->passwordMD5 = $entity->passwd;
                continue;
            }

            $model->{$modelProperty} = $entity->{$recordColumn};
        }
    }
}
