<?php

namespace FourWords\AppManager\Ioc\Livewire\Dashboard\Charts;

use Carbon\Carbon;
use FourWords\AppManager\Ioc\Livewire\Dashboard\GeneralStats;

class ClientiTopChart extends PieChartStats {

    protected $listeners = ['refreshStats'];

    public function refreshStats() {

    }

    public function mount() {
        $this->title = 'Clienti Top';
        $this->fillData();
    }

    public function fillData() {
        $bestClients = GeneralStats::getBestClients();
        $this->bestClientsChart($bestClients);
    }

    private function bestClientsChart($bestClients) {
        $this->bgColor = ["#1a58c7cf", "#ff7e33cf", "#ffbd42cf", "#9cc341cf", "#e5232dcf"];

        $users = GeneralStats::getUsers();
        foreach($bestClients as &$client) {
            $user = $users->first(function ($user) use ($client) {
                return $user->username === $client->username;
            });
            // Sostituisco l'username con la ragione sociale
            if ($user) $client->username = $user->name;

            $this->label[] = $client->username;
            $this->data[] = round($client->total_spent);
        }
    }
}

