<?php

namespace FourWords\AppManager\Ioc\Livewire\Dashboard\Stats;

use FourWords\AppManager\Ioc\Livewire\Dashboard\GeneralStats;
use FourWords\AppManager\Orders\Model\Order;

class OrdiniRicevutiStats extends SingleValueBoxStats {

    public function mount() {
        $this->title = 'Ordini ricevuti';
        $this->column = 'total';
        $this->icon = '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="feather feather-monitor report-box__icon text-theme-12"><rect x="2" y="3" width="20" height="14" rx="2" ry="2"></rect><line x1="8" y1="21" x2="16" y2="21"></line><line x1="12" y1="17" x2="12" y2="21"></line></svg>';
        $this->link = route('orders.index');
        $this->fromDay = -1;
        if (!$this->lazy) $this->fillData();
    }

    protected function sumValues($orders) {
        $this->result = 0;
        $lastPeriodData = 0;
        $date = \Carbon\Carbon::today()->subDays($this->fromDay-1);

        foreach($orders as $order) {
            if($this->fromDay <= 0 || $order->created_at >= $date) {
                $this->result++;
            } else {
                $lastPeriodData++;
            }
        }
        return $lastPeriodData;
    }
}
