<?php

namespace FourWords\AppManager\Ioc\Livewire\Dashboard\Stats;

use FourWords\AppManager\Ioc\Livewire\Dashboard\GeneralStats;
use FourWords\AppManager\Orders\Model\Order;

class TotaleOrdinatoStats extends SingleValueBoxStats {

    public function mount() {
        $this->title = 'Totale ordinato';
        $this->column = 'total';
        $this->icon = '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="feather feather-credit-card report-box__icon text-theme-11"><rect x="1" y="4" width="22" height="16" rx="2" ry="2"></rect><line x1="1" y1="10" x2="23" y2="10"></line></svg>';
        $this->link = route('orders.index');
        if (!$this->lazy) $this->fillData();
    }

    protected function fillData()
    {
        parent::fillData();
        $this->result = currency($this->result).'€';
    }

}
