<?php

namespace FourWords\AppManager\Ioc\Livewire\Dashboard\Stats;

use Carbon\Carbon;
use FourWords\AppManager\Ioc\Livewire\Dashboard\GeneralStats;
use FourWords\AppManager\Ioc\Livewire\IocComponent;

class UltimiOrdiniStats extends IocComponent {

    protected $listeners = ['refreshStats'];

    public function refreshStats() {

    }

    public function render() {
        $orders = GeneralStats::getOrders()->reverse()->take(5)->values();
        $users = GeneralStats::getUsers();

        foreach ($orders as &$order) {
            $user = $users->first(function ($user) use ($order) {
                return $user->username === $order->username;
            });
            // Sostituisco l'username con la ragione sociale
            if ($user) $order->username = $user->name;
        }

        return view('ioc::dashboard.livewire.latest-orders-stats', compact('orders'));
    }

    public function formattedDate($createdAt): string
    {
        $createdDate = Carbon::parse($createdAt);

        if ($createdDate->greaterThan(Carbon::now()->subDays(7))) {
            return $createdDate->diffForHumans();
        } else {
            return $createdDate->translatedFormat('j F Y');
        }
    }
}
