<?php

namespace FourWords\AppManager\Ioc\Livewire\Log;

use FourWords\AppManager\Ioc\Livewire\IocComponent;

class LogViewer extends IocComponent
{
    public $logFilePath;
    public $once = false;
    public $shouldReloadLog = true;
    public $isReloadingLog = false;
    public $logContent = '';
    public $name = '';

    public $showModal = false;

    protected $listeners = [
        'showLog'
    ];


    public function showLog($data) {
        $this->showModal = true;
        [$name, $logFile] = json_decode($data);
        $this->name = $name;
        $this->logFilePath = $logFile;
        $this->shouldReloadLog = true;
        $this->loadLogContent();

    }

    public function updated($name, $value)
    {
        if ($name == 'showModal') {
            if ($value) {
                $this->shouldReloadLog = true;
            } else {
                $this->logFilePath = null;
                $this->shouldReloadLog = false;
            }
        }
    }

    public function mount($logFilePath = null, $once = false)
    {
        $this->logFilePath = $logFilePath;
        $this->once = $once;
//        $this->loadLogContent();
    }

    public function loadLogContent()
    {
        if ($this->isReloadingLog) {
            return;
        }

        if ($this->logFilePath && $this->shouldReloadLog) {
            $this->isReloadingLog = true;
            $this->logContent = file_get_contents($this->logFilePath);
            $this->isReloadingLog = false;

            if ($this->once)
                $this->shouldReloadLog = false;

        }

        if (!empty($this->logContent))
            $this->emit('logContentLoaded');

    }

    public function render()
    {
        return view('ioc::livewire.log.viewer');
    }

}