<?php

namespace FourWords\AppManager\Ioc\Livewire\Login;

use FourWords\AppManager\Ioc\Controllers\AuthController;
use FourWords\AppManager\Ioc\Controllers\PasswordController;
use FourWords\AppManager\Ioc\Livewire\IocComponent;

class ForgotPasswordForm extends IocComponent
{
    public $email;

    public function mount() {
        if(env('APP_ENV') == 'local') {
            $this->email = 'webmanager@4words.it';
        }
    }

    public function render() {
        return view("ioc::livewire.login.forgot-password-form");
    }

    public function reset() {
        $validated = $this->validate([
            'email' => 'required|email',
        ]);

        $controller = app()->make(AuthController::class);
        $controller->forgotPasswordSendEmail($this->email);
    }
}

