<?php

namespace FourWords\AppManager\Ioc\Livewire\Table;

use FourWords\AppManager\Ioc\Models\IocUser;
use Mediconesystems\LivewireDatatables\BooleanColumn;
use Mediconesystems\LivewireDatatables\Column;

class GeoFailedTable extends IocTable
{

    public function initialisePerPage()
    {
        $this->getSessionStoredPerPage();

        if (!$this->perPage) {
            $this->perPage = 50;
        }
    }

    public function builder()
    {
        return IocUser::query()
            ->join('geo_failed', 'ioc_users.code', '=', 'geo_failed.code');
    }

    public function columns()
    {
        return [

            Column::checkbox(),

            BooleanColumn::name('active')
                ->label('Attivo')
                ->booleanFilterable(),

//            Column::name('id')
//                ->label('ID')
//                ->hide(),
//                ->filterable()
//                ->defaultSort('asc'),

            Column::name('code')
                ->label('ID Gestionale')
                ->filterable()
                ->searchable(),

            Column::name('agent')
                ->label('Agente')
                ->filterable(),

            Column::callback(['type'], function ($type) {
                return $type == 'D' ? 'Destinazione' : 'Cliente';
            })
                ->label('Tipo')
                ->filterable(['C' => 'Cliente', 'D' => 'Destinazione'])
                ->filterName('type')
                ->hide(),


            Column::name('name')
                ->label('Nome')
                ->filterable()
                ->searchable(),

            Column::name('ioc_users.username')
                ->label('Username')
                ->filterName('username')
                ->filterable()
                ->searchable()
                ->hide(),

            Column::name('vat_code')
                ->label('Partita IVA')
                ->filterable()
                ->searchable()
                ->hide(),

            Column::name('fiscal_code')
                ->label('Codice Fiscale')
                ->filterable()
                ->searchable()
                ->hide(),

            Column::name('province')
                ->label('Provincia')
                ->filterable(),

            Column::name('city')
                ->label('Città')
                ->filterable(),

            Column::name('cap')
                ->label('Cap')
                ->filterable(),

            Column::name('address')
                ->label('Indirizzo')
                ->filterable(),

            Column::name('email')
                ->label('Email')
                ->filterable()
                ->searchable()
                ->hide(),

            Column::name('created_at')
                ->label('Creato il')
                ->defaultSort('desc')
                ->hide(),
//                ->filterable()
//                ->searchable(),

//            Column::callback(['id', 'name'], function ($id, $name) {
//                return view('datatables::table-actions', [
//                    'id' => $id,
//                    'name' => $name,
//                    'permission' => 'delete-app-users'
//                ]);
//            })
//                ->label('Azioni')
//                ->unsortable()
//                ->excludeFromExport(),
        ];

    }

}
