<?php

namespace FourWords\AppManager\Ioc\Livewire\Table;

use FourWords\AppManager\Ioc\Models\PermissionGroup;
use Mediconesystems\LivewireDatatables\BooleanColumn;
use Mediconesystems\LivewireDatatables\Column;

class PermissionGroupTable extends IocTable
{

    public function builder()
    {
        return PermissionGroup::query();
    }


    public function columns()
    {
        return [

            Column::checkbox(),

            Column::name('id')
                ->label('ID')
                ->filterable()
                ->defaultSort('desc')
                ->hide(),

            Column::name('name')
                ->label('Nome')
                ->filterable()
                ->searchable(),

            Column::name('description')
                ->label('Descrizione')
                ->filterable()
                ->searchable(),

            Column::callback(['id', 'name'], function ($id, $name) {
                return view('datatables::table-actions', [
                    'id' => $id,
                    'name' => $name,
                    'permission' => 'delete-permission-groups'
                ]);
            })->label('Azioni')
                ->unsortable()
                ->excludeFromExport(),
        ];

    }
}
