<?php

namespace FourWords\AppManager\Ioc\Livewire\Table;

use FourWords\AppManager\Ioc\Models\Permission;
use Mediconesystems\LivewireDatatables\BooleanColumn;
use Mediconesystems\LivewireDatatables\Column;

class PermissionTable extends IocTable
{

    public function builder()
    {
        return Permission::join('ioc_permission_group', 'ioc_permission_group.id', 'ioc_permissions.group_id');
    }


    public function columns()
    {
        return [

            Column::checkbox(),

            Column::name('id')
                ->label('ID')
                ->filterable()
                ->defaultSort('desc')
                ->hide(),

            Column::name('name')
                ->label('Nome')
                ->filterable()
                ->searchable(),

            Column::name('ioc_permission_group.name')
                ->label('Gruppo permessi')
                ->filterable(),

            Column::name('slug')
                ->label('Slug')
                ->filterable()
                ->searchable(),

            Column::name('description')
                ->label('Descrizione')
                ->filterable()
                ->searchable(),

            Column::callback(['id', 'name'], function ($id, $name) {
                return view('datatables::table-actions', [
                    'id' => $id,
                    'name' => $name,
                    'permission' => 'delete-permissions'
                ]);
            })->label('Azioni')
                ->unsortable()
                ->excludeFromExport(),
        ];
    }


}
