<?php

namespace FourWords\AppManager\Ioc\Livewire\Table;

use FourWords\AppManager\Ioc\Models\Role;
use Mediconesystems\LivewireDatatables\Column;

class RoleTable extends IocTable
{

    public function builder() {
        return Role::query();
    }


    public function columns()
    {
        return [

            Column::checkbox(),

            Column::name('id')
                ->label('ID')
                ->filterable()
                ->defaultSort('desc')
                ->hide(),

            Column::name('name')
                ->label('Nome')
                ->filterable()
                ->editable()
                ->searchable(),

            Column::name('description')
                ->label('Descrizione')
                ->filterable()
                ->searchable(),

            Column::callback(['id', 'name'], function ($id, $name) {
                return view('datatables::table-actions', [
                    'id' => $id,
                    'name' => $name,
                    'permission' => 'delete-roles'
                ]);
            })->label('Azioni')
                ->unsortable()
                ->excludeFromExport(),
        ];

    }
}
