<?php

namespace FourWords\AppManager\Ioc\Livewire\User;

use FourWords\AppManager\Ioc\Livewire\Dashboard\GeneralStats;
use FourWords\AppManager\Ioc\Livewire\IocComponent;
use FourWords\AppManager\Ioc\Models\IocUser;
use Illuminate\Support\Facades\Auth;

class ActivatedUsersBox extends IocComponent
{
    public $user;

    protected $listeners = ['refreshActivatedUsers'];

    public function mount() {
        $this->user = IocUser::where('active', true)->get()->count();
    }

    public function render()
    {
        return view('ioc::livewire.user.activated-users-box');
    }

    public function refreshActivatedUsers() {
        $this->user = IocUser::where('active', true)->get()->count();
    }
}
