<?php

namespace FourWords\AppManager\Ioc\Livewire\User;

use FourWords\AppManager\Ioc\Livewire\IocComponent;
use Illuminate\Support\Facades\Hash;

class ChangePassword extends IocComponent
{

    public $newPassword;
    public $confirmPassword;

    public $user;

    // public function onToastClick($data)
    // {
    //    redirect(route('admin.index'));
    // }

    public function mount($user)
    {
        $this->user = $user;
    }

    public function updatePassword()
    {
        $this->validate([
            'newPassword' => 'required|min:6',
            'confirmPassword' => 'required|same:newPassword',
        ]);

        // Update the user's password
        $this->user->update([
            'password' => $this->newPassword,
        ]);

        $this->newPassword = '';
        $this->confirmPassword = '';

        $this->successToast('Password modificata con successo');


//        $this->emit('refreshUser');
    }

    public function render()
    {
        return view('ioc::livewire.user.change-password');
    }
}
