<?php

namespace FourWords\AppManager\Ioc\Livewire\User;

use FourWords\AppManager\Ioc\Livewire\IocComponent;
use FourWords\AppManager\Ioc\Models\IocUser;

class UserDevices extends IocComponent
{

    public $user;
    public $devices;

    protected $listeners = [
        'refreshUserDevices'
    ];

    // public function onToastClick($data)
    // {
    //    redirect(route('admin.index'));
    // }

    public function refreshUserDevices($user) {
        if ($user != null && $user->id != $this->user->id) {
            $this->user = $user;
            $this->getDevices();
        }
    }

    public function mount(IocUser $user)
    {
        $this->refreshUserDevices($user);
    }


    public function getDevices() {
        $this->devices = $this->user->devices()->withPivot('id','last_access','status')->get();
    }

    public function render()
    {
        return view('ioc::livewire.user.user-devices');
    }
}
