<?php

namespace FourWords\AppManager\Ioc\Livewire\User;

use FourWords\AppManager\Ioc\Livewire\IocComponent;
use FourWords\AppManager\Ioc\Controllers\AdminController;
use FourWords\AppManager\Ioc\Models\Role;
use FourWords\AppManager\Ioc\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Gate;

class UserEdit extends IocComponent
{


    public $name;
//    public $username;
    public $email;
    public $role;

    public $user;
    public $roles;
    public $roleId;

    public function mount(User $user, $roles)
    {
        $this->roles = $roles;
        $this->user = $user;

        $this->roleId = $this->user->role->id;

        $this->name = $this->user->name;
        $this->email = $this->user->email;
//        $this->username = $this->user->username;

        // $this->roles = $this->user->role->pluck('id')->toArray();
    }

    public function delete() {
        if(!$this->checkPermission('delete-admin')) {
            return null;
        }

        $this->user->delete();
        $this->successToast('Utente eliminato con successo');

        if ($this->user->id == Auth::id()) {
            return redirect()->route('login');
        } else {
            return redirect()->route('admin.index');
        }
    }

    public function update()
    {
        $isSelf = Auth::id() == $this->user->id;

        if ($isSelf && Gate::denies('edit-own-profile') || !$isSelf && Gate::denies('edit-other-admin')) {
            $this->errorToast('Non si dispone dei permessi per effettuare questa azione');
            return;
        }

        $this->validate(AdminController::$rules);

        $this->user->role()->associate($this->roles->where('id','=',$this->roleId)->first());
        $this->user->name = $this->name;
        $this->user->email = $this->email;
//        $this->user->username = $this->username;
        $this->user->save();

        $this->successToast('Utente aggiornato con successo');
        $this->emit('refreshUser');
    }

    public function render()
    {
        return view('ioc::livewire.user.user-edit');
    }
}
