<?php

namespace FourWords\AppManager\Ioc\Livewire\User;

use FourWords\AppManager\Ioc\Livewire\IocComponent;
use Illuminate\Support\Facades\Auth;

class UserTitle extends IocComponent
{
    protected $listeners = ['refreshUser'];

    public $user;
    public $style;

    public $nameClasses = 'font-medium text-base';
    public $roleClasses = 'text-gray-600';
    public $divClasses = 'ml-4 mr-auto';

    public function mount($user = null, $style = '')
    {
        if ($user != null) {
            $this->user = $user;
        } else {
            $this->user = Auth::user();
        }

        if ($style == 'topbar') {
            $this->nameClasses = 'font-medium';
            $this->roleClasses = 'text-xs text-theme-41 dark:text-gray-600';
            $this->divClasses = 'p-4 border-b border-theme-40 dark:border-dark-3';
        }
    }

    public function refreshUser() {
        // Update
    }

    public function render()
    {
        return view('ioc::livewire.user.title');
    }
}
