<?php

namespace FourWords\AppManager\Ioc\Livewire\UserDevice;

use FourWords\AppManager\Ioc\Livewire\IocComponent;
use Illuminate\Support\Facades\DB;

class UserDeviceStatus extends IocComponent
{

    public $userDeviceId;
    public $status;

    public function mount($userDeviceId, $status)
    {
        $this->userDeviceId = $userDeviceId;
        $this->status = $status;
    }

    public function changeStatus() {
        try {
            DB::table('ioc_users_devices')->where('id', '=', $this->userDeviceId)->update(['status' => $this->status]);
            $this->successToast('Coppia utente/dispositivo aggiornata');
        } catch (\Exception $e) {
            $this->errorToast('Impossibile aggiornare coppia utente/dispositivo');
        }
    }

    public function render()
    {
        return view('ioc::livewire.userdevice.status');
    }
}
