<?php

namespace FourWords\AppManager\Ioc\MailMessage\ResetPassword;

use Illuminate\Auth\Notifications\ResetPassword;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Support\Facades\Lang;

class ResetPasswordItalian extends ResetPassword
{
    public $route = 'password.reset';
    protected function resetUrl($notifiable)
    {
        if (static::$createUrlCallback) {
            return call_user_func(static::$createUrlCallback, $notifiable, $this->token);
        }

        return url(route($this->route, [
            'token' => $this->token,
            'email' => $notifiable->getEmailForPasswordReset(),
        ], false));
    }

    protected function buildMailMessage($url)
    {
        $mail = new MailMessage();
        $mail->markdown = 'ioc::mail-message.email-italian';
        return ($mail)
            ->subject(Lang::get('Reimposta la tua password'))
            ->line(Lang::get('Stai ricevendo questa email perchè è stato richiesto di reimpostare la password di questo account'))
            ->action(Lang::get('Reimposta Password'), $url)
            ->line(Lang::get('Questo link scadrà in :count minuti.', ['count' => config('auth.passwords.'.config('auth.defaults.passwords').'.expire')]))
            ->line(Lang::get('Se non hai richiesto di reimpostare la tua password puoi ignorare la email.'));
    }
}