<?php

namespace FourWords\AppManager\Ioc\Models;

use FourWords\AppManager\Appstore\Models\AppstoreApp;
use FourWords\AppManager\PushNotifications\Model\PushNotification;
use Illuminate\Database\Eloquent\Model;

class Device extends Model
{
    protected $table = "ioc_devices";
//    use HasFactory;

    var $timestamps = false;

    var $guarded = [];

    static $statuses = ['WAIT', 'DISABLED', 'OK'];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsToMany
     */
    public function users()
    {
        return $this->belongsToMany(IocUser::class, 'ioc_users_devices', 'device_id', 'user_id');
    }

    public function bonjours()
    {
        return $this->hasMany(BonjourHistory::class, 'device');
    }

    public function app()
    {
        return $this->belongsTo(AppstoreApp::class, 'app_id');
    }

//    public function appType()
//    {
//        return $this->hasOneThrough(AppstoreType::class, AppstoreApp::class, 'id', 'id', 'app_id', 'type');
//    }

    /**
     * @param PushNotification $pushNotification
     * @return array[]|null
     * @throws \Exception
     */
    public function sendApple($pushNotification) {
        return $pushNotification->sendApple($this->push_device_token);
    }

    /**
     * @param PushNotification $pushNotification
     * @return array|null
     * @throws \Exception
     */
    public function sendGoogle($pushNotification) {
        return $pushNotification->sendGoogle($this->push_device_token);
    }

//    protected static function newFactory()
//    {
//        return new DeviceFactory();
//    }
}
