<?php

namespace FourWords\AppManager\Ioc\Models;

use Illuminate\Contracts\Container\BindingResolutionException;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class PermissionGroup extends Model {

    public $table = 'ioc_permission_group';

    protected $fillable = ['slug','name','description'];

    /**
     * Get the route key for the model.
     *
     * @return string
     */
    public function getRouteKeyName() {
        return 'slug';
    }

    /**
     * Get the value of the model's route key.
     *
     * @return mixed
     */
    public function getRouteKey() {
        return $this->slug;
    }

    /**
     * @return HasMany
     * @throws BindingResolutionException
     */
    public function permissions() {
        return $this->hasMany(Permission::class, 'group_id');
    }
}
