<?php

namespace FourWords\AppManager\Ioc\Models;

use Illuminate\Database\Eloquent\Model;

class TaskLog extends Model
{

    protected $table = 'ioc_task_logs';
    public $timestamps = false;

    protected $fillable = ['start', 'end', 'isOK'];

    public function job()
    {
        return $this->belongsTo(app()->make('Job'));
    }

    public function getStartFormattedAttribute()
    {
        return date('Y-m-d H:i:s', $this->start);
    }

    public function getEndFormattedAttribute()
    {
        return date('Y-m-d H:i:s', $this->end);
    }
}
