<?php

namespace FourWords\AppManager\Ioc\Providers;

use FourWords\AppManager\Ioc\Models\IocUser;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Config;

class PasswordResetsServiceProvider extends ServiceProvider
{

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        Config::set('auth.passwords.ioc_users', [
            'provider' => 'ioc_users',
            'table' => 'password_resets',
            'expire' => 60,
            'throttle' => 60,
        ]);
    }
}
