<?php

namespace FourWords\AppManager\Ioc\Traits;

use Closure;

trait HasToasts
{
    static $toastGravity = 'top';
    static $toastPosition = 'right';

    public function successToast($message)
    {
        $this->toast($message, 'success');
    }

    public function errorToast($message)
    {
        $this->toast($message, 'error');
    }

    public function infoToast($message)
    {
        $this->toast($message, 'info');
    }

    public function toast($message, $type = 'success', $duration = 3000, $livewireEventOnClick = 'onToastClick')
    {
        // $background = 'linear-gradient(to right, rgb(0, 176, 155), rgb(150, 201, 61));';

        // switch ($type) {
        //     case 'info':
        //         $background = 'linear-gradient(135deg, #73a5ff, #5477f5);';
        //         break;

        //     case 'error':
        //         $background = 'linear-gradient(to right, rgb(255, 95, 109), rgb(255, 195, 113));';
        //         break;
        // }

        $this->dispatchBrowserEvent('showToast', [
            'message' => $message,
            'type' => $type,
            'duration' => $duration,
            'gravity' => self::$toastGravity,
            'position' => self::$toastPosition,
            'livewireEventOnClick' => $livewireEventOnClick
        ]);
    }

    public function customToast(array $customData)
    {
        $this->dispatchBrowserEvent('showToast', $customData);
    }
}