<?php

namespace FourWords\AppManager\Ioc\View;

class FileViewFinder extends \Illuminate\View\FileViewFinder
{

    protected function findNamespacedView($name)
    {
        /**
         * l'ordine in cui si presentano i namespace all'iinterno della variable
         * hints varia, al variare di dove parte la chiamata al blade:
         * view(blade) da ioc-customer:
         *  - ioc
         *  - ioc-customer
         *
         * view(blade) da ioc:
         *  - ioc-customer
         *  - ioc
         *
         * faccio in modo che cerchi il file blade, prima nella parte custom e poi nella parte std
         * ordinando l'array
         */
        [$namespace, $view] = $this->parseNamespaceSegments($name);

        usort($this->hints[$namespace], function($a,$b){
            return strlen($a) <= strlen($b);
        });
        return $this->findInPaths($view, $this->hints[$namespace]);
    }

}
