<?php

namespace Mediconesystems\LivewireDatatables;

use Illuminate\Support\Str;

class BooleanColumn extends Column
{
    public $type = 'boolean';
    public $callback;
    public $togglable = false;

    public function __construct()
    {

        $this->callback = function ($value, $row, $key) {
            return view('datatables::boolean', [
                'togglable' => $this->isTogglable(),
                'value' => $value,
                'key' => $key,
                'column' => Str::after($this->name, '.'),
                'rowId' => $row->checkbox_attribute,
            ]);
        };

        $this->exportCallback = function ($value) {
            return $value ? 1 : 0;
        };
    }

    public function togglable($togglable = true)
    {
        $this->exportCallback = function ($value) {
            return $value;
        };

        $this->togglable = $togglable;

        return $this;
    }

    public function isTogglable() {
        return $this->togglable;
    }
}
