<?php

namespace Mediconesystems\LivewireDatatables\Traits;

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

trait WithCallbacks
{
    public function edited($value, $key, $column, $rowId)
    {
        DB::table(Str::before($key, '.'))
            ->where(Str::after($key, '.'), $rowId)
            ->update([$column => $value]);

        $this->emit('fieldEdited', $rowId, $column);
    }

    public function toggled($value, $key, $column, $rowId)
    {
        $value = $value === "1" ? "0" : "1";

        DB::table(Str::before($key, '.'))
            ->whereIn(Str::after($key, '.'),!empty($this->selected) ? $this->selected : [$rowId])
            ->update([$column => $value]);

        $this->emit('fieldEdited', $rowId, $column);

    }
}
