<?php

namespace Mediconesystems\LivewireDatatables\Tests;

use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\File;
use Mediconesystems\LivewireDatatables\Tests\TestCase as BaseTestCase;

class LivewireTestCase extends BaseTestCase
{
    public function setUp(): void
    {
        $this->afterApplicationCreated(function () {
            $this->makeACleanSlate();
        });

        $this->beforeApplicationDestroyed(function () {
            $this->makeACleanSlate();
        });

        parent::setUp();
    }

    public function makeACleanSlate()
    {
        Artisan::call('view:clear');

        File::deleteDirectory($this->livewireClassesPath());
        File::delete(app()->bootstrapPath('cache/livewire-components.php'));
    }

    protected function livewireClassesPath($path = '')
    {
        return app_path('Http/Livewire' . ($path ? '/' . $path : ''));
    }
}
