<?php

return [
    'orders' => [

        /*
        |--------------------------------------------------------------------------
        | Configurazione dei log
        |--------------------------------------------------------------------------
        |
        | dir => Path dove vengono salvati i file di log
        |-------------------------------------------------------------------------- */
        'log' => [
            'dir' =>  storage_path(env('ORDERS_LOG_DIR','logs/orders/')),
            'dirPermissions' =>  env('ORDERS_LOG_FILE_PERMISSIONS',0770),
            'filePermissions' =>  env('ORDERS_LOG_FILE_PERMISSIONS',0660)
        ],

        /*
        |--------------------------------------------------------------------------
        | B2B
        |--------------------------------------------------------------------------
        |
        |-------------------------------------------------------------------------- */
        'b2b' => [
            'url' => env('ORDERS_B2B_URL', config('ioc.b2b.url')),
            'appConfigPath' => env('ORDERS_B2B_APPCONFIG_PATH', config('ioc.b2b.appConfigPath')),
            'isGdprEnabled' => env('ORDERS_B2B_GDPR_ENABLED', config('ioc.b2b.isGdprEnabled')),
            'version' => env('ORDERS_B2B_VERSION', config('ioc.b2b.version')),
        ],

        /*
        |--------------------------------------------------------------------------
        | JGalileo
        |--------------------------------------------------------------------------
        |
        | as.ip => Ip AS400
        | as.library => Libreria AS400 da utilizzare per estrarre dati es. "PRO90DAT." N.B. Tenere il punto dopo la stringa
        |-------------------------------------------------------------------------- */

        'as' => [
            'ip' => env('ORDERS_AS_IP', config('ioc.as.ip')),
            'library' => env('ORDERS_AS_LIBRARY', config('ioc.as.library')),
            'user' => env('ORDERS_AS_USER', config('ioc.as.user')),
            'password' => env('ORDERS_AS_PASSWORD', config('ioc.as.password')),
            'headTable' => env('ORDERS_AS_HEAD_TABLE', config('ioc.as.headTable')),
            'rowsTable' => env('ORDERS_AS_ROWS_TABLE', config('ioc.as.rowsTable')),
            'commentTable' => env('ORDERS_AS_COMMENT_TABLE', config('ioc.as.commentTable')),
        ],

    ]
];
