<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrdersTable extends Migration {

    public function up() {

        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->string('creation_date');
            $table->string('username');
            $table->string('code');
            $table->string('agent')->nullable();
            $table->unsignedInteger('attempts')->default(1);
            $table->string('status')->nullable();
            $table->string('reference')->nullable();        // Identificativo ordine restituito da b2b o progressivo
            $table->timestamp('sqlite_db_date')->nullable();   // Data in cui è stato creato il db dell'app
            $table->timestamp('response_date')->nullable();   // Data in cui è stata ricevuta risposta dal servizio
            $table->longText('response_error')->nullable();
            $table->double('total')->default(0.0);
            $table->double('quantity_total')->default(0.0);
            $table->double('colli')->default(0.0);
            $table->timestamps();

            $table->index(['creation_date', 'username']);

        });

    }

    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
