<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrdersRowsTable extends Migration {

    public function up() {

        Schema::create('orders_rows', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('orderid');
            $table->string('product');
            $table->string('row_type');
            $table->string('row');
            $table->string('product_name')->nullable();
            $table->string('um')->nullable();
            $table->double('gross_price');
            $table->double('reduced_price');
            $table->integer('quantity');
            $table->string('packages');
            $table->string('price_list')->nullable();
            $table->string('discounts_type')->nullable();
            $table->double('discount_1')->nullable()->default(0);
            $table->string('discount_type_1')->nullable();
            $table->double('discount_2')->nullable()->default(0);
            $table->string('discount_type_2')->nullable();
            $table->double('discount_3')->nullable()->default(0);
            $table->string('discount_type_3')->nullable();
            $table->double('discount_4')->nullable()->default(0);
            $table->string('discount_type_4')->nullable();
            $table->double('discount_5')->nullable()->default(0);
            $table->string('discount_type_5')->nullable();
            $table->double('discount_6')->nullable()->default(0);
            $table->string('discount_type_6')->nullable();
            $table->double('discount_7')->nullable()->default(0);
            $table->string('discount_type_7')->nullable();
            $table->double('discount_8')->nullable()->default(0);
            $table->string('discount_type_8')->nullable();
            $table->timestamps();

            $table->foreign('orderid')
                ->references('id')
                ->on('orders')
                ->onDelete('cascade');
        });

    }

    public function down()
    {
        Schema::dropIfExists('orders_rows');
    }
}
