<div>
    <x-modal :static="false" :large="true">
        <x-slot name="content">
            <div class="p-6">
                <h2 class="text-lg font-medium mr-auto mb-4">{{ $title }}</h2>

                <div class="hidden sm:block absolute top-0 right-0 pt-4 pr-4">
                    <button @click="open = false" type="button"
                            class="text-gray-400 hover:text-gray-500 focus:outline-none focus:text-gray-500 transition ease-in-out duration-150">
                        <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                  d="M6 18L18 6M6 6l12 12" />
                        </svg>
                    </button>
                </div>

                <div>
                    <div class="flex justify-between w-full items-center">
                        <p class="font-bold">{{ $order->user->name }}</p>
                        <div class="flex justify-end flex-col items-end">
                            <p class="font-bold">Data:</p>
                            <p>{{ \Carbon\Carbon::parse($order->created_at)->format('d F Y H:i') }}</p>
                        </div>
                    </div>

                    <p>{{ 'Username: '. $order->user->username }} </p>
                    <p>{{ 'E-mail: '.$order->user->email }}</p>
                    <p>{{ 'P.Iva: '.$order->user->vat_code ?? 'CF: '.$order->user->fiscal_code }}</p><br />

                    <p>{{ $order->user->address }}</p>
                    <p>{{ $order->user->cap }}</p>
                    <p>{{ $order->user->city .' ('.$order->user->province.')' }}</p>
                    <p>Italia</p><br />
                </div>

                @livewire('order-rows-table')

                <div class="flex flex-col justify-end items-end w-full">
                    <div class="w-2/5">
                        <div class="flex justify-between w-full p-4 bg-theme-14">
                            <p>Totale righe</p>
                            <p>{{ $order->rows ? $order->rows->count() : 0}}</p>
                        </div>
                        <div class="flex justify-between w-full p-4 bg-theme-14">
                            <p>Totale colli</p>
                            <p>{{ $order->colli }}</p>
                        </div>
                        <div class="flex justify-between w-full p-4 bg-theme-14">
                            <p>Totale quantità</p>
                            <p>{{ $order->quantity_total }}</p>
                        </div>

                        <div class="flex justify-between w-full p-4 bg-theme-14">
                            <p class="font-bold">Totale merce</p>
                            <p class="font-bold">{{ $order->rows ? currency($this->grossPrice) : 0 }}€</p>
                        </div>
                        <div class="flex justify-between w-full p-4 bg-theme-25">
                            <p class="font-bold">Totale scontato</p>
                            <p class="font-bold">{{ $order->rows ? currency($this->reducedPrice) : 0 }}€</p>
                        </div>
                    </div>
                </div>
            </div>
        </x-slot>
    </x-modal>


</div>