<?php

use FourWords\AppManager\Orders\Controllers\OrdersController;
use FourWords\AppManager\Orders\Interfaces\OrderServiceInterface;
use FourWords\AppManager\Orders\Model\AppModels\OrderResponse;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Rotte WEB
|--------------------------------------------------------------------------
*/

Route::middleware('web')->group(function () {

    Route::prefix('orders')->group(function () {

        Route::get('', [OrdersController::class, 'index'])->name('orders.index');

    });

});




/*
|--------------------------------------------------------------------------
| Rotte API protette
|--------------------------------------------------------------------------
*/

Route::prefix('api/order')->middleware(['api', 'iocapi'])->group(function () {

//    Route::get('send', 'OrderController@send');

    Route::post('send', function (OrderServiceInterface $orderService) {

//        /** @var OrderServiceInterface $orderService */
//        $orderService = app()->make(OrderServiceInterface::class);

        try {

            $jsonOrder = json_decode(urldecode(request()->get('ordine')));
            if ($jsonOrder == null) throw new Exception('Errore nei dati ordine');

        } catch (\Exception $e) {
            return response()->make('', 400);
        }

//        $orderFromApp = new AppOrder();
//        foreach ($jsonOrder as $key => $value) {
//            if (property_exists($orderFromApp, $key)) {
//                $orderFromApp->{$key} = $value;
//            }
//        }

        $order = $jsonOrder;
        try {
            $order = $orderService->send($jsonOrder);
        } catch (\Exception $e) {
            telegramError("Errore invio ordine:\n".$e->getMessage());
            $order->response = new OrderResponse('ERROR', 'Errore invio remoto ordine');
        }

        return response()->json($order->response);

    });


});