<?php

namespace FourWords\AppManager\Orders\Interfaces;

use FourWords\AppManager\Orders\Model\Order;
use Illuminate\Support\Collection;

interface OrderRepositoryInterface
{
    public function all() : Collection;
    public function create(Array $attributes) : ?Order;
    public function insert(Array $attributes) : bool;
    public function delete($creationDate, string $username) : bool;
    public function find($creationDate, string $username) : ?Order;
    public function update($creationDate, string $username, array $attributes) : bool;
}
