<?php

namespace FourWords\AppManager\Orders\Livewire;

use FourWords\AppManager\Ioc\Livewire\IocComponent;
use FourWords\AppManager\Orders\Model\Order;

class OrderRowsView extends IocComponent
{
    protected $modelName = "ordine";

    public $order;
    public $grossPrice = 0.00, $reducedPrice = 0.00;

    public $modelId;

    public $showModal = false;

    public string $title;

    protected $listeners = [
        'onViewClick',
    ];

    public $fields = [
        'id',
    ];

    public function mount() {
        $this->title = "Crea un nuovo ".$this->modelName;
    }

    /**
     * Reseting all inputted fields
     * @return void
     */
    public function resetFields() {


    }

    public function render() {
        return view('orders::livewire.order-rows-view');
    }

    public function onViewClick($id) {
        $this->order = app()->make(Order::class)->where('orders.id', '=', $id)->first();
        if (!$this->order) {
            return;
        }
        
        $this->title = "Visualizza ".$this->modelName." #".$this->order->id;
        $this->showModal = true;

        $this->grossPrice = 0;
        $this->reducedPrice = 0;
        foreach ($this->order->rows as $row) {
            $this->grossPrice += $row->gross_price * $row->quantity;
            $this->reducedPrice += $row->reduced_price * $row->quantity;
        }

        $this->emit('setOrderRowTable', $this->order);
    }
}
