<?php

namespace FourWords\AppManager\Orders\Livewire\Table;

use FourWords\AppManager\Ioc\Jobs\IocJob;
use FourWords\AppManager\Ioc\Livewire\Table\IocTable;
use FourWords\AppManager\Orders\Model\Order;
use FourWords\AppManager\Orders\Model\OrderRow;
use Illuminate\Support\Facades\DB;
use Mediconesystems\LivewireDatatables\BooleanColumn;
use Mediconesystems\LivewireDatatables\Column;
use Mediconesystems\LivewireDatatables\DatetimeColumn;
use Mediconesystems\LivewireDatatables\NumberColumn;

class OrderRowsTable extends IocTable
{
    public $order;

    protected $listeners = ['setOrderRowTable'];

    public function builder()
    {
        return OrderRow::query()->where('orderid', '=', $this->order['id']);
    }

    public function columns()
    {
        return [

            Column::name('row')
                ->label('Riga')
                ->defaultSort('asc')
                ->hide(),

            Column::name('product')
                ->label('Prodotto'),

            Column::name('product_name')
                ->label('Nome prodotto'),

            Column::name('packages')
            ->label('Colli'),

            NumberColumn::name('quantity')
                ->label('Quantità'),

            Column::name('um')
                ->label('Unità'),

            NumberColumn::callback(['gross_price'], function ($price) {
                return currency($price)."€";
            })->label('Prezzo Lordo'),

            NumberColumn::callback(['reduced_price'], function ($price) {
                return currency($price)."€";
            })->label('Prezzo Scontato'),

            NumberColumn::callback(['reduced_price', 'quantity'], function ($reducedPrice, $quantity) {
                return currency($reducedPrice*$quantity)."€";
            })->label('Totale riga'),
        ];
    }

    public function setOrderRowTable($order) {
        $this->order = $order;
        $this->setPage(1);
    }
}
