<?php

namespace FourWords\AppManager\Orders\Model;

use FourWords\AppManager\Director\Traits\HasCompositePrimaryKey;
use FourWords\AppManager\Ioc\Models\IocUser;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Order extends Model
{
    //use HasCompositePrimaryKey;

    protected $table = "orders";

    //protected $primaryKey = ['creation_date', 'username'];

    protected $guarded = [];

    public static $WAIT = "WAIT";
    public static $OK = "OK";
    public static $ERROR = "ERROR";

    public function isSent() {
        return $this->status === self::$OK && $this->reference != null;
    }

    public function hasErrors() {
        return $this->status !== self::$OK && $this->status !== self::$WAIT;
    }

    /**
     * @return HasMany
     */
    public function rows()
    {
        return $this->hasMany(OrderRow::class, 'orderid', 'id');
    }

    public function user()
    {
        return $this->belongsTo(IocUser::class, 'username', 'username');
    }

}
