<?php

namespace FourWords\AppManager\Orders\Model;

use FourWords\AppManager\Director\Traits\HasCompositePrimaryKey;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class OrderRow extends Model
{

    protected $table = "orders_rows";

    protected $guarded = [];

    public function order()
    {
        // Assuming the foreign key relationship is on 'creation_date' and 'username'
        return $this->belongsTo(Order::class, 'orderid', 'id');
    }

    public static function fromApp($orderRow, $orderId, $createdAt) {

        $instance = self::firstOrNew(['orderid' => $orderId, 'created_at' => $createdAt, 'row' => $orderRow->numeroRiga]);

        $mapAppToBackend = [
            'codiceProd' => 'product',
            'descrizioneProd' => 'product_name',
            'unitaMisura' => 'um',
            'listino' => 'price_list',
            'qta' => 'quantity',
            'colli' => 'packages',
            'numeroRiga' => 'row',
            'tipoMovimento' => 'row_type',
            'prezzoLordo' => 'gross_price',
            'prezzoNetto' => 'reduced_price',
            'sconto1' => 'discount_1',
            'sconto2' => 'discount_2',
            'sconto3' => 'discount_3',
            'sconto4' => 'discount_4',
            'sconto5' => 'discount_5',
            'sconto6' => 'discount_6',
            'sconto7' => 'discount_7',
            'sconto8' => 'discount_8',
            'flagSconto1' => 'discount_type_1',
            'flagSconto2' => 'discount_type_2',
            'flagSconto3' => 'discount_type_3',
            'flagSconto4' => 'discount_type_4',
            'flagSconto5' => 'discount_type_5',
            'flagSconto6' => 'discount_type_6',
            'flagSconto7' => 'discount_type_7',
            'flagSconto8' => 'discount_type_8',
        ];

        foreach($mapAppToBackend as $key => $value) {
            $instance->{$value} = $orderRow->{$key};
        }

        $instance->orderid = $orderId;
        $instance->created_at = $createdAt;

        return $instance;
    }

}
