<?php

return [
    'push-notifications' => [

        //settings apple
//        'ps_push_device_token_url' => '',//es: http://robsim.local:8888/ps_oyster/modules/icm/ws/pushDeviceToken

        /*
        |--------------------------------------------------------------------------
        | Impostazioni generali
        |--------------------------------------------------------------------------
        |
        | dyRun => Se abilitato l'invio delle notifiche è fittizio. Viene seguito il flusso completo, tranne la chiamata ai servizi apple/google
        | storeIfFailed => Segno comunque la notifica come inviata, anche se il servizio apple/google ha fallito. Così le notifiche verranno comunque mostrate nello storico
        */
        'dryRun' => env('NOTIFICATIONS_DRY_RUN', false),
        'storeIfFailed' => env('NOTIFICATIONS_STORE_IF_FAILED', true),

        /*
        |--------------------------------------------------------------------------
        | Apple (iOS)
        |--------------------------------------------------------------------------
        | https://documentation.onesignal.com/docs/establishing-an-apns-authentication-key
        */
        'apple' => [
//            'cert_p12' => env('NOTIFICATIONS_APPLE_CERT_P12',''),
//            'cert_p12_password' => env('NOTIFICATIONS_APPLE_CERT_P12_PASSWORD','appioc'),
            'key_file' => env('NOTIFICATIONS_APPLE_KEY_FILE',''), //nome del file certificato es: xxx.p8
            'keyid' => env('NOTIFICATIONS_APPLE_KEY_ID',''),     // Certificates, Identifiers & Profiles -> Keys
            'teamid' => env('NOTIFICATIONS_APPLE_TEAM_ID',''),   // Certificates, Identifiers & Profiles ->  In alto a dx vicino il nome
            'bundleid' => env('NOTIFICATIONS_APPLE_BUNDLEID','it.sanmarcoinformatica.ioc.demo'),
            'url' => env('NOTIFICATIONS_APPLE_URL','https://api.development.push.apple.com'), //es: https://api.development.push.apple.com | https://api.push.apple.com
        ],

        /*
        |--------------------------------------------------------------------------
        | Google (Android)
        |-------------------------------------------------------------------------- */
        'google' => [
            'server_key' => env('NOTIFICATIONS_GOOGLE_SERVERKEY',''),
            'url' => env('NOTIFICATIONS_GOOGLE_URL','https://fcm.googleapis.com/fcm/send'),
            'click_action' => env('NOTIFICATIONS_GOOGLE_CLICK_ACTION','it.smi.catalog.MAIN'),
        ]
    ]
];