<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePushNotifications extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('push_notifications', function (Blueprint $table) {
            $table->id();
            $table->string('name');

            // Notifica push
            $table->string("image")->nullable();
            $table->string("url")->nullable();
            $table->string("product")->nullable();
            $table->string('title')->nullable();
            $table->string('subtitle')->nullable();
            $table->text('message');

            // Avanzate notifica push
            $table->string('priority')->nullable();
            $table->string('collapse_id')->nullable();                    // Notifiche con lo stesso collapse_id verranno sostituite invece di essere mostrate insieme alle altre dello stesso id
            $table->unsignedInteger('ttl')->default(259200);        // In secondi. default 3 giorni

            $table->boolean('ios_send')->default(true);
            $table->string('ios_image')->nullable();

            $table->boolean('android_send')->default(true);
            $table->string('android_image')->nullable();

            $table->timestamp('send_at');
            $table->timestamp('sent_at')->nullable();
            $table->boolean('draft')->default(false);
            $table->boolean('sent')->default(false);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('push_notifications');
    }
}
