<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePushNotificationsHasGroups extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('push_notifications_has_groups', function (Blueprint $table) {

            $table->unsignedBigInteger('notification_id');
            $table->unsignedBigInteger('group_id');

            $table->foreign('notification_id', 'push_notifications_has_groups_notification_id')
                ->references('id')
                ->on('push_notifications')
                ->onDelete('cascade');

            $table->foreign('group_id', 'push_notifications_has_groups_group_id')
                ->references('id')
                ->on('push_notifications_groups')
                ->onDelete('cascade');

            $table->primary(['notification_id', 'group_id'], 'push_notifications_has_groups_primary');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('push_notifications_has_groups');
    }
}
