<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePushNotificationsHasSegments extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('push_notifications_has_segments', function (Blueprint $table) {

            $table->unsignedBigInteger('notification_id');
            $table->unsignedBigInteger('segment_id');

            $table->foreign('notification_id', 'push_notifications_has_segments_notification_id')
                ->references('id')
                ->on('push_notifications')
                ->onDelete('cascade');

            $table->foreign('segment_id', 'push_notifications_has_segments_segment_id')
                ->references('id')
                ->on('push_notifications_segments')
                ->onDelete('cascade');

            $table->primary(['notification_id', 'segment_id'], 'push_notifications_has_segments_primary');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('push_notifications_has_segments');
    }
}
