<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePushNotificationsSegmentHasSubsegmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('push_notifications_segment_has_subsegments', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('segment_id');
            $table->unsignedBigInteger('subsegment_id');
            $table->unsignedBigInteger('operator_id');
            $table->string('value')->nullable();
            $table->integer('position');
            $table->integer('select_parent_position')->nullable();

            $table->foreign('segment_id', 'push_notifications_ss_segment')
                ->references('id')
                ->on('push_notifications_segments')
                ->onDelete('cascade');

            $table->foreign('subsegment_id', 'push_notifications_ss_subsegment')
                ->references('id')
                ->on('push_notifications_subsegments')
                ->onDelete('cascade');

            $table->foreign('operator_id', 'push_notifications_ss_operator')
                ->references('id')
                ->on('push_notifications_subsegments_operators')
                ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('push_notifications_segment_has_subsegments');
    }
}
