<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePushNotificationsSubsegmentsHasFiltersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('push_notifications_subsegments_has_filters', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('subsegment_id');
            $table->unsignedBigInteger('filter_id');
            $table->string('column');
            $table->integer('placeholder');

            $table->foreign('subsegment_id', 'push_notifications_sf_subsegment')
                ->references('id')
                ->on('push_notifications_subsegments')
                ->onDelete('cascade');

            $table->foreign('filter_id', 'push_notifications_sf_filter')
                ->references('id')
                ->on('push_notifications_subsegments_filters')
                ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('push_notifications_subsegments_has_filters');
    }
}
