<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePushNotificationSentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('push_notification_sent', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('push_notification_id');
            $table->string('groups_names')->nullable();
            $table->string('segments_names')->nullable();

            $table->integer('estimated_users')->default(0);
            $table->integer('estimated_devices')->default(0);

            $table->integer('sent_to')->default(0);
            $table->integer('read')->default(0);
            $table->integer('opened')->default(0);
            $table->integer('results')->default(0);

            $table->dateTime('sent_at');

            $table->foreign('push_notification_id', 'push_notification_sent_push_notification_id')
                ->references('id')
                ->on('push_notifications')
                ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('push_notification_sent');
    }
}
