<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePushNotificationSentUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('push_notification_sent_users', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('push_notification_id');
            $table->unsignedBigInteger('user');

            $table->boolean('read')->default(false);
            $table->boolean('opened')->default(false);
            $table->boolean('result')->default(false);

            $table->timestamps();

            $table->foreign('push_notification_id', 'push_notification_sent_users_push_notification_id')
                ->references('id')
                ->on('push_notifications')
                ->onDelete('cascade');

            $table->foreign('user', 'push_notification_sent_users_user')
                ->references('id')
                ->on('ioc_users')
                ->onDelete('cascade');

            });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('push_notification_sent_users');
    }
}
