<section id="push-audience" wire:init="sendAudienceData" class="flex">
    <div class="intro-y box lg:mt-6 tab-content__pane active w-2/3">
        <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5">
            <h1 class="text-lg font-medium">1. Audience</h1>
        </div>

        <div class="p-5">
            <div class="col-span-6 items-center">
                <div class="flex items-center text-gray-700 dark:text-gray-500">
                    <input type="radio" wire:model="audience" class="input border mr-2" id="push-notification-audience-all-users" name="push-notification-audience" value="push-notification-audience-all-users" checked>
                    <label class="cursor-pointer select-none" for="push-notification-audience-all-users">Invia notifica a tutti gli utenti dell'app</label>
                </div>

                <div class="flex items-center text-gray-700 dark:text-gray-500 mt-2">
                    <input type="radio" wire:model="audience" class="input border mr-2" id="push-notification-audience-specific-users" name="push-notification-audience" value="push-notification-audience-specific-users">
                    <label class="cursor-pointer select-none" for="push-notification-audience-specific-users">Invia notifica a specifici gruppi di utenti dell'app</label>
                </div>

                @if($audience == 'push-notification-audience-specific-users')
                    <div class="flex flex-col text-gray-600 dark:text-gray-500 mt-2 px-8">
                        <p>Quali gruppi di utenti <b>dovrebbero</b> ricevere la notifica?</p>

                        <div class="flex mt-2 {{ $groupsSaved ? : 'hidden' }}">
                            @foreach ($groupsSaved as $i => $group)
                                <div class="flex items-center bg-theme-23 p-2 rounded-lg mt-1 mr-2 cursor-pointer hover:border-theme-13 transition ease-in-out duration-300" style="border-width: 1px">
                                    <i class="fa fa-users mr-2"></i>
                                    <p class="mr-8 p-1">{{ $group }}</p>
                                    <i class="ml-auto fa-light fa-x ml-2 cursor-pointer" wire:click="removeGroup({{ $i }})"></i>
                                </div>
                            @endforeach
                        </div>

                        <div class="flex items-center text-theme-1 mt-4 cursor-pointer {{ $audienceSectionsValue ? : 'hidden' }}" wire:click="chooseGroup">
                            <i class="fa-solid fa-circle-plus mr-1"></i>
                            <p>Aggiungi gruppo</p>
                        </div>
                    </div>

                    <div class="flex flex-col text-gray-600 dark:text-gray-500 mt-4 px-8">
                        <p>Quali segmenti di utenti <b>dovrebbero</b> ricevere la notifica?</p>

                        <div class="flex mt-2 {{ $segmentsSaved ? : 'hidden' }}">
                            @foreach ($segmentsSaved as $i => $segment)
                                <div class="flex items-center bg-theme-23 p-2 rounded-lg mt-1 mr-2 cursor-pointer hover:border-theme-13 transition ease-in-out duration-300" style="border-width: 1px" wire:click="onEditSegmentClick('{{ $i }}')">
                                    <i class="fa-sharp fa-solid fa-chart-pie-simple mr-2"></i>
                                    <p class="mr-8 p-1">{{ $segment }}</p>
                                    <i class="ml-auto fa-light fa-x ml-2 cursor-pointer" wire:click="removeSegment('{{ $i }}')" onclick="event.stopPropagation();"></i>
                                </div>
                            @endforeach
                        </div>

                        <div class="flex items-center text-theme-1 mt-4 cursor-pointer" wire:click="chooseSegment">
                            <i class="fa-solid fa-circle-plus mr-1"></i>
                            <p>Aggiungi segmento</p>
                        </div>
                    </div>
                @endif

                <div class="mt-8">
                    <p>La notifica <b>sarà</b> inviata agli utenti:</p>
                    <div class="flex mt-2">
                        <div class="flex items-center text-gray-700 dark:text-gray-500 mr-4">
                            <input type="checkbox" wire:model="androidSend" class="input border mr-2" id="push-notification-audience-android" name="push-notification-audience-os" value="push-notification-audience-android" checked>
                            <label class="cursor-pointer select-none" for="push-notification-audience-android">Android</label>
                        </div>
                        <div class="flex items-center text-gray-700 dark:text-gray-500">
                            <input type="checkbox" wire:model="iosSend" class="input border mr-2" id="push-notification-audience-specific-ios" name="push-notification-audience-os" value="push-notification-audience-ios" checked>
                            <label class="cursor-pointer select-none" for="push-notification-audience-specific-ios">iOS</label>
                        </div>
                    </div>
                </div>
            </div>

            @error('title')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
        </div>
    </div>

    <div class="ml-4 intro-y box lg:mt-6 tab-content__pane active w-1/3 h-60">
        <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5">
            <h1 class="text-lg font-medium">Stima notifiche da inviare</h1>
        </div>
        <div class="p-5 flex justify-between">
            <div class="flex flex-col items-center w-full">
                <i class="fa fa-users text-2xl"></i>
                <h1 class="text-4xl text-theme-1 mt-4">{{ $estimateUsersNotificationsSent }}</h1>
                <p>utenti</p>
            </div>
            <div class="flex flex-col items-center w-full">
                <i class="fa fa-mobile text-2xl"></i>
                <h1 class="text-4xl text-theme-1 mt-4">{{ $estimateDevicesNotificationsSent }}</h1>
                <p>dispositivi</p>
            </div>
            <div class="flex flex-col items-center w-full">
                <i class="fa fa-mobile text-2xl"></i>
                <h1 class="text-4xl text-theme-1 mt-4">{{ $estimateDevicesNotificationsActivatedSent }}</h1>
                <p class="text-center">con notifiche attivate</p>
            </div>
        </div>
    </div>

    <x-modal :static="true">
        <x-slot name="content">
            <div class="pt-6 px-6">

                <div class="hidden sm:block absolute top-0 right-0 pt-4 pr-4">
                    <button wire:click="closeModal" type="button"
                            class="text-gray-400 hover:text-gray-500 focus:outline-none focus:text-gray-500 transition ease-in-out duration-150">
                        <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                  d="M6 18L18 6M6 6l12 12" />
                        </svg>
                    </button>
                </div>

                @if($modalTitle == 'Aggiungi Gruppo')
                    <h2 class="text-lg font-medium mr-auto mb-4">{{ $modalTitle }}</h2>

                    <div class="grid grid-cols-4 gap-4 row-gap-3">
                        <div class="col-span-4 sm:col-span-2 @error('audienceSectionValue') has-error @enderror">
                            <label>Gruppo di utenti:</label>

                            <select class="input w-full border mt-2" id="audienceSectionValueSelected" wire:model="audienceSectionValueSelected">
                                @foreach ($audienceSectionsValue as $i => $audienceSectionValue)
                                    <option value="{{ $i }}">{{ $audienceSectionValue }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <div class="mt-6 py-3 text-right border-t border-gray-200 dark:border-dark-5">
                        <button wire:click.prevent="onSaveAudience()" class="button w-20 bg-theme-1 text-white ml-auto">Salva</button>
                        <button @click="open = false" class="button w-24 border dark:border-dark-5 text-gray-700 dark:text-gray-300 ml-1">Annulla</button>
                    </div>
                @elseif($modalTitle == 'Aggiungi Segmento')
                    <h2 class="text-lg font-medium mr-auto">{{ $modalTitle }}</h2>

                    <button class="flex items-center text-theme-1 cursor-pointer mt-4 mb-8" wire:click="onCreateNewSegment">
                        <i class="fa-solid fa-circle-plus mr-1"></i>
                        <p>Crea un nuovo segmento</p>
                    </button>

                    <div class="grid grid-cols-2 gap-2 row-gap-3 pb-6">
                        <div class="col-span-2 @error('audienceSectionValue') has-error @enderror">

                            @if(!$segmentValue)
                                <p class="p-4 text-xl w-full text-center">
                                    Nessun segmento nell'elenco
                                </p>
                            @endif

                            @foreach ($segmentValue as $segmentSlug => $segment)
                                <div class="flex items-center p-4 w-full bg-gray-100 mb-1 rounded-md">
                                    {{ $segment }}
                                    <div class="ml-auto">
                                        <button class="p-1 text-theme-1 rounded hover:bg-theme-1 hover:text-white cursor-pointer" wire:click="selectSegmentValue('{{ $segmentSlug }}')">Aggiungi</button>
                                        <button class="p-1 text-yellow-600 rounded hover:bg-yellow-600 hover:text-white cursor-pointer" wire:click="onEditSegmentClick('{{ $segmentSlug }}')">Modifica</button>
                                    </div>
                                </div>
                            @endforeach
                        </div>

                        <div class="col-span-4 sm:col-span-2 @error('audienceSectionValue') has-error @enderror">
                            @if($segmentValueSelected == 'custom-query')
                                <label>{{ $segmentValue[$segmentValueSelected] }}:</label>
                                <input type="text" class="input w-full border mt-2" wire:model.lazy="messageTitle"/>
                            @endif
                        </div>
                    </div>
                @else
                    <h2 class="text-lg font-medium mr-auto mb-4">{{ $modalTitle }}</h2>

                    <form autocomplete="off" wire:submit.prevent>
                        <div class="grid grid-cols-4 gap-4 row-gap-3" x-data="{showRuleList: true}">
                            <div class="my-4 col-span-2">
                                <label for="">Nome Segmento:</label>
                                <input type="text" class="input w-full border mt-2" placeholder="Nome Segmento" wire:model="segmentName"/>
                                @error('segmentName')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                            </div>

                            @if($subsegmentsAddedList == [])
                                <div class="col-span-4" x-show="showRuleList">
                                    <label class="mb-2">Filtri Segmento:</label>

                                    @foreach($subsegments as $i => $subsegment)
                                        <div id="sub{{$i}}" class="bg-gray-100 rounded w-full my-1 items-center cursor-pointer py-3" style="display: flex; min-height: 40px;" wire:click="addSubsegment({{ $subsegment }})">
                                            <p class="w-full text-gray-800 pl-4">
                                                {{ $subsegment->name }}
                                            </p>

                                            <div class="ml-auto py-1 flex flex-col justify-center items-center pl-4">
                                                <div class="text-gray-400 text-xl ml-auto mr-4">
                                                    +
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            @else
                                <div class="col-span-4">
                                    <label>Filtri Segmento:</label>

                                    @foreach($subsegmentsAddedList as $i => $subsegment)
                                        <div class="hidden">{{$i}}</div>
                                        <div class="relative w-full my-0 mx-auto items-center {{ $i != 0 ? 'border-t border-dashed border-gray-400' : '' }}" style="display: flex; min-height: 40px;" id="subsegment{{$i}}">
                                            @if($i != 0)
                                                <div class="absolute -top-3 -left-3 px-2 bg-gray-300 rounded">
                                                    AND
                                                </div>
                                            @endif

                                            <div class="bg-gray-200 py-4 flex items-center" style="flex: 1;max-width: 30%; align-self: stretch;">
                                                <p class="w-full text-gray-800 pl-4">
                                                    {{ $subsegment['name'] }}
                                                </p>
                                            </div>

                                            <div class="bg-gray-100 py-1 flex flex-col pl-4" style="flex: 1; align-self: stretch">
                                                @php $filterPosition = -1; @endphp
                                                @foreach($this->getSubsegmentFilters($subsegment['id']) as $j => $filter)
                                                    @php $filterPosition++ @endphp
                                                    @if($filter->id == 1 || $filter->id == 3)
                                                        <div class="flex items-center my-2">
                                                            <select class="p-2 border border-gray-300 rounded-md" wire:model="filterOperator.{{$i.'.'.$filterPosition}}">
                                                                @foreach($filter->operator as $operator)
                                                                    <option value="{{ $operator->id }}">{{ $operator->operator_name }}</option>
                                                                @endforeach
                                                            </select>

                                                            @if($filter->id == 1)
                                                                <input type="number" class="p-2 border border-gray-300 w-full ml-4 w-36 rounded-md" style="max-width: 9rem; min-width: 9rem" placeholder="0" wire:model="filterValue.{{$i.'.'.$filterPosition}}"/>
                                                            @else
                                                                <div class="relative ml-4 cursor-pointer">
                                                                    <div class="absolute rounded-l w-10 h-full flex items-center justify-center bg-gray-100 border border-gray-300 text-gray-600 dark:bg-dark-1 dark:border-dark-4">
                                                                        <i id="calendar-icon" class="fa fa-calendar"></i>
                                                                    </div>
                                                                    <input type="text" class="input p-2 pl-12 border border-gray-300" data-single-mode="true" placeholder="01 Jan, 2024" id="datepicker-audience{{$datePickerId}}" readonly />
                                                                </div>
                                                                @php $datePickerId++ @endphp
                                                            @endif
                                                        </div>

                                                    @elseif($filter->id == 2)
                                                        <div class="flex items-center my-2">
                                                            <select class="p-2 border border-gray-300 rounded-md" wire:model="filterOperator.{{$i.'.'.$filterPosition}}">
                                                                @foreach($filter->operator as $operator)
                                                                    <option value="{{ $operator->id }}">{{ $operator->operator_name }}</option>
                                                                @endforeach
                                                            </select>

                                                            <input type="text" class="p-2 border border-gray-300 w-full ml-4 w-36 rounded-md" style="max-width: 9rem; min-width: 9rem" placeholder="Valore" wire:model="filterValue.{{$i.'.'.$filterPosition}}"/>
                                                        </div>

                                                    @elseif($filter->id == 4)
                                                        <div class="flex items-center my-2">
                                                            <select class="p-2 border border-gray-300 rounded-md" wire:model="filterOperator.{{$i.'.'.$filterPosition}}">
                                                                @foreach($filter->operator as $operator)
                                                                    <option value="{{ $operator->id }}">{{ $operator->operator_name }}</option>
                                                                @endforeach
                                                            </select>

                                                            <select class="ml-4 p-2 border border-gray-300 rounded-md" wire:model="filterValue.{{$i.'.'.$filterPosition}}">
                                                                @foreach($this->getSubsegmentList($subsegment['list']) as $listValue => $listDescription)
                                                                    <option value="{{ $listValue }}">{{ $listDescription }}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>

                                                    @elseif($filter->id == 5)
                                                        <div class="my-2">
                                                            @foreach($this->getSubsegmentList($subsegment['catalog_customer_has_feature']) as $groupListValue => $groupListDescription)
                                                                <div class="flex my-4">
                                                                    <p class="capitalize mt-2">{{ $groupListDescription }}:</p>

                                                                    <div class="flex flex-col">
                                                                        <div class="flex items-center">
                                                                            <select class="ml-4 p-2 border border-gray-300 rounded-md w-48" wire:model="filterValue.{{$i.'.'.$filterPosition}}">
                                                                                <option value=""></option>
                                                                                @foreach($this->getSubsegmentList_CatalogCustomerHasFeature($subsegment['list'], $groupListValue) as $listValue => $listDescription)
                                                                                    <option value="{{ $listValue }}">{{ $listDescription }}</option>
                                                                                @endforeach
                                                                            </select>

                                                                            @if(count($selects[$i][$filterPosition]) == 0)
                                                                                <button class="flex items-center text-theme-1 pl-4" onclick="addSelect({{$i}}, {{$filterPosition}})">
                                                                                    <i class="fa-solid fa-circle-plus mr-2"></i>
                                                                                </button>
                                                                            @endif
                                                                        </div>

                                                                        @foreach($selects[$i][$filterPosition] as $index => $select)
                                                                            <div class="flex items-center">
                                                                                <select class="mt-1 ml-4 p-2 border border-gray-300 rounded-md w-48" wire:model="filterValue.{{$i.'.'.$select}}">
                                                                                    <option value=""></option>
                                                                                    @foreach($this->getSubsegmentList_CatalogCustomerHasFeature($subsegment['list'], $groupListValue) as $listValue => $listDescription)
                                                                                        <option value="{{ $listValue }}">{{ $listDescription }}</option>
                                                                                    @endforeach
                                                                                </select>

                                                                                @if($index == count($selects[$i][$filterPosition]) - 1)
                                                                                    <div class="flex mt-2">
                                                                                        <button class="flex items-center text-theme-6 pl-4" onclick="removeSelect({{$i}}, {{$filterPosition}}, {{$select}})">
                                                                                            <i class="fa-solid fa-circle-minus mr-2"></i>
                                                                                        </button>
                                                                                        <button class="flex items-center text-theme-1" onclick="addSelect({{$i}}, {{$filterPosition}})">
                                                                                            <i class="fa-solid fa-circle-plus mr-2"></i>
                                                                                        </button>
                                                                                    </div>
                                                                                @endif
                                                                            </div>
                                                                        @endforeach
                                                                    </div>
                                                                </div>
                                                                @php $filterPosition++ @endphp
                                                            @endforeach
                                                            @php $filterPosition-- @endphp
                                                        </div>
                                                    @endif
                                                @endforeach
                                            </div>

                                            <div class="bg-gray-100 py-2 flex flex-col items-center justify-center pr-4" style="flex: 1; align-self: stretch; max-width: 40px">
                                                <button wire:click="$emit('removeSubsegmentJS', {{$i}})" type="button"
                                                        class="text-gray-400 hover:text-gray-500 focus:outline-none focus:text-gray-500 transition ease-in-out duration-150">
                                                    <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                              d="M6 18L18 6M6 6l12 12" />
                                                    </svg>
                                                </button>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            @endif
                        </div>
                        @if($subsegmentsAddedList && count($subsegmentsAddedList) > 0)
                            <div x-data="{showFiltersList: false}">
                                <div class="flex border-t border-dashed	border-gray-400" @click="showFiltersList = true">
                                    <div class="bg-gray-200 py-4 flex items-center cursor-pointer" style="flex: 1;max-width: 30%; align-self: stretch;">
                                        <button class="flex items-center text-theme-1 pl-4">
                                            <i class="fa-solid fa-circle-plus mr-2"></i>
                                            <p>Aggiungi filtro</p>
                                        </button>
                                    </div>
                                    <div class="bg-gray-100 py-4 flex flex-col" style="flex: 1; align-self: stretch"></div>
                                </div>

                                <div class="mt-4 border border-gray-300 p-4 rounded-md" x-show="showFiltersList">
                                    <div class="col-span-4">
                                        <div class="flex justify-between items-center mb-8">
                                            <label>Aggiungi filtro:</label>

                                            <div class="flex flex-col items-center justify-center" style="flex: 1; align-self: stretch; max-width: 30px">
                                                <button type="button" @click="showFiltersList = false"
                                                        class="text-gray-400 hover:text-gray-500 focus:outline-none focus:text-gray-500 transition ease-in-out duration-150">
                                                    <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                                              d="M6 18L18 6M6 6l12 12" />
                                                    </svg>
                                                </button>
                                            </div>
                                        </div>

                                        @foreach($subsegments as $subsegment)
                                            <div class="bg-gray-100 rounded w-full my-1 mx-auto items-center cursor-pointer py-3" style="display: flex; min-height: 40px;" wire:click="addSubsegment({{ $subsegment }})" @click="showFiltersList = false">
                                                <p class="w-full text-gray-800 pl-4">
                                                    {{ $subsegment->name }}
                                                </p>

                                                <div class="py-1 flex flex-col justify-center items-center pl-4">
                                                    <div class="text-gray-400 text-xl ml-auto mr-4">
                                                        +
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                        @endif

                        <div class="flex mt-4 py-3 w-full border-t border-gray-200 dark:border-dark-5">
                            @if($modalTitle == 'Modifica Segmento')
                                <div class="dropdown mr-auto">
                                    <a class="dropdown-toggle block" href="javascript:;">
                                        <button type="button" class="button w-24 text-white bg-red-600">Elimina</button>
                                    </a>

                                    <div class="dropdown-box w-48">
                                        <div class="dropdown-box__content box dark:bg-dark-1">
                                            <div class="p-4 border-b border-gray-200 dark:border-dark-5 font-medium">Eliminare segmento?</div>

                                            <div class="px-3 py-3 border-t border-gray-200 dark:border-dark-5 font-medium flex">
                                                <button wire:click.prevent="$emit('closeDropdowns')" type="button" class="button button--sm bg-gray-200 text-gray-600">Annulla</button>
                                                <button wire:click.prevent="deleteSegment" type="button" class="button button--sm bg-red-600 text-white dark:bg-dark-5 dark:text-gray-300 ml-auto">Elimina</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <button type="button" class="button w-24 text-white bg-theme-1" wire:click.prevent="$emit('sendFilterDataPickerValue', true)">Salva</button>
                            @else
                                <button type="button" class="button w-32 text-white ml-auto {{ !$subsegmentsAddedList?'bg-theme-30 cursor-auto':'bg-theme-1' }}" wire:click.prevent="$emit('sendFilterDataPickerValue')">Crea segmento</button>
                            @endif

                            <button type="button" class="button w-24 border dark:border-dark-5 text-gray-700 dark:text-gray-300 ml-1" wire:click="chooseSegment">Annulla</button>
                        </div>
                    </form>
                @endif
            </div>
        </x-slot>
    </x-modal>

    <script>
        let litePickerAudience = [];
        let datePickerDOM = [];

        Livewire.on('resetDataPickerValue', () => {
            litePickerAudience = [];
            datePickerDOM = [];
        });

        Livewire.on('removeSubsegmentJS', (subsegmentPositionToRemove) => {
            //document.getElementById('subsegment'+subsegmentPositionToRemove).style.visibility = 'hidden'

            let isDatePicker = false;
            for(let i = 0; i < datePickerDOM.length; i++) {
                if(datePickerDOM[i]["subsegmentsCount"] === subsegmentPositionToRemove) {
                    isDatePicker = true;

                    datePickerDOM.splice(i, 1);
                    for (let j = i; j < datePickerDOM.length; j++) {
                        document.getElementById('datepicker-audience'+j).value = datePickerDOM[j]['date'].value
                        datePickerDOM[j]['date'] = document.getElementById('datepicker-audience'+j)

                        datePickerDOM[j].subsegmentsCount -= 1;
                    }
                    break;
                }
            }

            if(!isDatePicker) {
                for(let i = 0; i < datePickerDOM.length; i++) {
                    if(datePickerDOM[i]["subsegmentsCount"] > subsegmentPositionToRemove) {
                        datePickerDOM[i].subsegmentsCount -= 1;
                    }
                }
            }

        @this.emitSelf('removeSubsegment', subsegmentPositionToRemove, datePickerDOM.length);

            //document.getElementById('subsegment'+subsegmentPositionToRemove).style.visibility = 'visible'
        });

        Livewire.on('sendFilterDataPickerValue', (update = false) => {
            let dataPickerValue = [];
            for(let i = 0; i < datePickerDOM.length; i++) {
                dataPickerValue[i] = {
                    "date": datePickerDOM[i]["date"].value,
                    "subsegmentsCount": datePickerDOM[i]["subsegmentsCount"],
                    "filtersCount": datePickerDOM[i]["filtersCount"]
                }
            }
        @this.emitSelf('setFilterDataPickerValue', dataPickerValue, update);
        });

        Livewire.on('setDatePickerSubsegment', (datePickerId, subsegmentsCount, filtersCount, dateValue = null) => {
            // Litepicker
            let dateAudienceOptions = {
                startDate: dateValue,
                autoApply: false,
                singleMode: true,
                numberOfColumns: 1,
                numberOfMonths: 1,
                showWeekNumbers: true,
                format: 'D MMM, YYYY',
                dropdowns: {
                    minYear: 1990,
                    maxYear: null,
                    months: true,
                    years: true
                },
            }

            datePickerDOM[datePickerId] = {
                "date": document.getElementById('datepicker-audience'+datePickerId),
                "subsegmentsCount" : subsegmentsCount,
                "filtersCount" : filtersCount
            }

            litePickerAudience[datePickerId] = new Litepicker({
                element: datePickerDOM[datePickerId]["date"],
                ...dateAudienceOptions
            })


        });
    </script>

    <script>
        // Funzione JavaScript per comunicare con Livewire e aggiungere una nuova select box
        function addSelect(subsegmentPosition, filterPosition) {
            Livewire.emit('addSelectCatalogCustomerFeatures', subsegmentPosition, filterPosition);
        }

        function removeSelect(subsegmentPosition, selectParentPosition ,filterPosition) {
            Livewire.emit('removeSelectCatalogCustomerFeatures', subsegmentPosition, selectParentPosition, filterPosition);
        }
    </script>

</section>
