<div x-data="{ isUploadingLogo: false }">
    <div class="intro-y grid grid-cols-12 gap-5 items-center">
        <div class="col-span-6">
            <label>Nome della notifica</label>
            <input type="text" class="input w-full border mt-2" wire:model.defer="title" @if($readonly) readonly @endif/>
            @error('title')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
        </div>
    </div>

    @livewire('audience-section', ['notification' => $notification])
    @livewire('message-section', ['notification' => $notification])
    @livewire('delivery-section', ['notification' => $notification])

    @if(!$readonly)
        <div class="intro-y mt-6">
            <button wire:click.prevent="$emit('sendNotification', true)" type="button" class="button bg-theme-1 text-white mr-2" :class="isUploadingLogo ? 'bg-theme-30' : ''" x-bind:disabled="isUploadingLogo">Revisiona e invia</button>
            <button wire:click.prevent="$emit('sendNotification', false)" type="button" class="button bg-white text-theme-1" :class="isUploadingLogo ? 'bg-gray-100' : ''" x-bind:disabled="isUploadingLogo">Salva come bozza</button>
        </div>
    @endif
</div>