<div class="intro-y box lg:mt-6 tab-content__pane active">
    <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5">
        <h1 class="text-lg font-medium">3. Programma di consegna</h1>
    </div>
    <div class="p-5" x-show="open">
        <div class="grid grid-cols-12 gap-5">
            <div class="col-span-12 lg:col-span-6 gap-8">
                <div>
                    <label>Quando vorresti inviare la notifica?</label>
                    <div class="flex items-center text-gray-700 dark:text-gray-500 mt-2">
                        <input type="radio" wire:model="radioDateSchedule" class="input border mr-2" id="push-notification-send-immediately" name="push-notification-delivery-schedule" value="push-notification-send-immediately" checked>
                        <label class="cursor-pointer select-none" for="push-notification-send-immediately">Subito</label>
                    </div>
                    <div class="flex items-center text-gray-700 dark:text-gray-500 mt-1">
                        <input type="radio" wire:model="radioDateSchedule" class="input border mr-2" id="push-notification-send-specific-time" name="push-notification-delivery-schedule" value="push-notification-send-specific-time">
                        <label class="cursor-pointer select-none" for="push-notification-send-specific-time">Programmato</label>
                    </div>

                    <div class="@if($radioDateSchedule == 'push-notification-send-specific-time') '' @else hidden @endif">
                        <div class="px-8 mt-2">
                            <label>Giorno:</label>
                            <div class="relative mt-1">
                                <div class="absolute rounded-l w-10 h-full flex items-center justify-center bg-gray-100 border text-gray-600 dark:bg-dark-1 dark:border-dark-4">
                                    <i id="calendar-icon" class="fa fa-calendar"></i>
                                </div>
                                <input type="text" class="input pl-12 border" data-single-mode="true" id="datepicker">
                                <div id="dateScheduled" data-schedule="{{ $dateScheduled }}"></div>
                            </div>
                        </div>

                        <div class="px-8 mt-2">
                            <label>Orario:</label>
                            <div class="flex items-center">
                                <div class="col-span-3 mr-2">
                                    <select class="input w-full border mt-2" id="hours" wire:model="hourSelected">
                                        @foreach ($hours as $hour)
                                            <option value="{{ $hour }}">{{ $hour }}</option>
                                        @endforeach
                                    </select>
                                </div>:
                                <div class="col-span-3 m-2">
                                    <select class="input w-full border mt-2" id="minutes" wire:model="minuteSelected">
                                        @foreach ($minutes as $minute)
                                            <option value="{{ $minute }}">{{ $minute }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        Livewire.on('sendNotification', (toSend) => {
            @this.emitSelf('setDateScheduled', $('#datepicker').val(), toSend);
        });

        document.addEventListener('livewire:load', function () {
            const scheduledDate = $('#dateScheduled').attr('data-schedule');

            // Litepicker
            let options = {
                startDate: scheduledDate,
                autoApply: false,
                singleMode: true,
                numberOfColumns: 1,
                numberOfMonths: 1,
                showWeekNumbers: true,
                format: 'D MMM, YYYY',
                dropdowns: {
                    minYear: 1990,
                    maxYear: null,
                    months: true,
                    years: true
                }
            }

            let litepicker = new Litepicker({
                element: document.getElementById('datepicker'),
                ...options
            })

        });
    </script>
</div>