<div x-data="{ isUploadingLogo: false }">
    <div class="intro-y grid grid-cols-12 gap-5 items-center">
        <div class="col-span-6">
            <label>Nome della notifica</label>
            <input type="text" class="input w-full border mt-2" wire:model.defer="title"/>
            @error('title')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
        </div>
    </div>

    <div class="intro-y box lg:mt-6 tab-content__pane active" x-data="{open: true}">
        <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5 cursor-pointer" @click="open = !open">
            <h1 class="text-lg font-medium">1. Audience</h1>
            <i class="fa-light fa-chevron-down" x-show="open"></i>
            <i class="fa-light fa-chevron-right" x-show="!open"></i>
        </div>
        <div class="p-5" x-show="open">
            <div class="col-span-6 items-center">
                <div class="flex items-center text-gray-700 dark:text-gray-500">
                    <input type="radio" wire:model="audience" class="input border mr-2" id="push-notification-audience-all-users" name="push-notification-audience" value="push-notification-audience-all-users" checked>
                    <label class="cursor-pointer select-none" for="push-notification-audience-all-users">Invia notifica a tutti gli utenti dell'app</label>
                </div>
                <div class="flex items-center text-gray-700 dark:text-gray-500 mt-2">
                    <input type="radio" wire:model="audience" class="input border mr-2" id="push-notification-audience-specific-users" name="push-notification-audience" value="push-notification-audience-specific-users">
                    <label class="cursor-pointer select-none" for="push-notification-audience-specific-users">Invia notifica a specifici utenti dell'app</label>
                </div>
                @if($audience == 'push-notification-audience-specific-users')
                    <div class="flex flex-col text-gray-600 dark:text-gray-500 mt-2 px-8">
                        <p>Quale sezioni di utenti <b>dovrebbero</b> ricevere la notifica?</p>
                        <div class="flex items-center text-theme-1 my-4">
                            <i class="fa-solid fa-circle-plus mr-1"></i>
                            <p>Includi sezione</p>
                        </div>

                        <p>Quale sezioni di utenti <b>non dovrebbero</b> ricevere la notifica?</p>
                        <div class="flex items-center text-theme-1 my-4">
                            <i class="fa-solid fa-circle-plus mr-1"></i>
                            <p>Escludi sezione</p>
                        </div>
                    </div>
                @endif
            </div>
            @error('title')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
        </div>
    </div>

    <div class="intro-y box lg:mt-6 tab-content__pane active" x-data="{open: true}">
        <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5 cursor-pointer" @click="open = !open">
            <h1 class="text-lg font-medium">2. Messaggio</h1>
            <i class="fa-light fa-chevron-down" x-show="open"></i>
            <i class="fa-light fa-chevron-right" x-show="!open"></i>
        </div>
        <div class="p-5" x-show="open">
            <div class="grid grid-cols-12 gap-5">
                <div class="col-span-12 lg:col-span-6 gap-8">
                    <div>
                        <label>Titlo</label>
                        <input type="text" class="input w-full border mt-2" wire:model="messageTitle"/>
                        @error('messageTitle')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                    </div>

                    <div class="mt-6">
                        <label>Sottotitolo</label>
                        <input type="text" class="input w-full border mt-2" wire:model="messageSubtitle"/>
                        @error('messageSubtitle')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                    </div>

                    <div class="mt-6">
                        <label>Messaggio</label>
                        <textarea class="input w-full border mt-2" style="height: 6rem" wire:model="messageDescription"></textarea>
                        @error('messageDescription')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                    </div>

                    <div class="mt-6">
                        <div>
                            <label>Immagine</label><br />
                            <span class="text-gray-400">Proporzione consigliata (1:1)</span>
                        </div>
                        <div class="mt-3">
                            <div class="flex mt-2 items-center">
                                <div x-show="isUploadingLogo">
                                    <i class="fas fa-spinner fa-pulse mr-2"></i>
                                </div>
                                <div x-on:livewire-upload-start="isUploadingLogo = true"
                                     x-on:livewire-upload-finish="isUploadingLogo = false"
                                     x-on:livewire-upload-error="isUploadingLogo = false">
                                    <input type="file" wire:model="messageImage" id="pushImageFile{{$randId}}" />
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="mt-6">
                        <label>URL</label>
                        <input type="text" class="input w-full border mt-2" wire:model.defer="messageUrl"/>
                        @error('messageUrl')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                    </div>
                </div>

                <div class="col-span-12 lg:col-span-6 gap-8">
                    <div class="relative flex justify-center w-full">
                        <img src="{{ asset('static/images/iphone.png') }}" alt="">

                        <div class="absolute p-4 bg-white rounded-xl shadow w-72" style="top: 14rem;">
                           <div class="flex items-center">
                               @if ($messageImage)
                                   <img src="{{ $messageImage->temporaryUrl() }}" class="h-8 w-8 rounded-lg mr-2">
                               @elseif($showImage)
                                   <!--<img src="{{ asset('storage/logo/'.$showImage) }}" class="h-8 w-8 rounded-lg mr-2">-->
                                   <div class="h-8 w-8 bg-theme-1 mr-2 rounded-lg {{ $messageImage ? : 'object-none'}}"></div>
                               @else
                                   <div class="h-8 w-8 bg-gray-100 mr-2 rounded-lg {{ $showImage ? 'object-none' : '' }}"></div>
                               @endif
                               <div>
                                    <h5 class="font-medium">{{ $messageTitle }}</h5>
                                    <p>{{ $messageDescription }}</p>
                               </div>
                           </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="intro-y box lg:mt-6 tab-content__pane active" x-data="{open: true}">
        <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5 cursor-pointer" @click="open = !open">
            <h1 class="text-lg font-medium">3. Programma di consegna</h1>
            <i class="fa-light fa-chevron-down" x-show="open"></i>
            <i class="fa-light fa-chevron-right" x-show="!open"></i>
        </div>
        <div class="p-5" x-show="open">
            <div class="grid grid-cols-12 gap-5">
                <div class="col-span-12 lg:col-span-6 gap-8">
                    <div>
                        <label>Quando vorresti inviare la notifica?</label>
                        <div class="flex items-center text-gray-700 dark:text-gray-500 mt-2">
                            <input type="radio" wire:model="radioDateSchedule" class="input border mr-2" id="push-notification-send-immediately" name="push-notification-delivery-schedule" value="push-notification-send-immediately" checked>
                            <label class="cursor-pointer select-none" for="push-notification-send-immediately">Subito</label>
                        </div>
                        <div class="flex items-center text-gray-700 dark:text-gray-500 mt-1">
                            <input type="radio" wire:model="radioDateSchedule" class="input border mr-2" id="push-notification-send-specific-time" name="push-notification-delivery-schedule" value="push-notification-send-specific-time">
                            <label class="cursor-pointer select-none" for="push-notification-send-specific-time">Orario specifico</label>
                        </div>
                        @if($radioDateSchedule == 'push-notification-send-specific-time')
                            <div class="relative flex flex-col text-gray-600 dark:text-gray-500 mt-2 px-8 w-1/2">
                                <input type="text" class="input border mt-2" wire:model="dateScheduled" id="datepicker" style="padding-left: 25px"/>
                                <span id="calendar-icon" class="fa fa-calendar absolute" style="top: 50%; left: 40px; transform: translateY(-35%);"></span>
                            </div>

                            <script>
                                $(document).ready(function() {
                                    $("#datepicker").datepicker({
                                        dateFormat: "M. d, yy"
                                    });
                                });
                            </script>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="intro-y mt-6">
        <button wire:click.prevent="edit()" type="button" class="button bg-theme-1 text-white mr-2" :class="isUploadingLogo ? 'bg-theme-30' : ''" x-bind:disabled="isUploadingLogo">Salva modifiche</button>
        <button wire:click.prevent="edit()" type="button" class="button bg-white text-theme-1" :class="isUploadingLogo ? 'bg-gray-100' : ''" x-bind:disabled="isUploadingLogo">Salva come bozza</button>
    </div>
</div>