<div>
    <div class="mt-2 flex">
        <button wire:click="$emit('onCreateClick')" class="ml-auto button text-white bg-theme-1 shadow-md">Nuovo gruppo</button>
    </div>

    <x-modal :static="true">
        <x-slot name="content">
            <div class="p-6">

                <div class="hidden sm:block absolute top-0 right-0 pt-4 pr-4">
                    <button @click="open = false" type="button"
                            class="text-gray-400 hover:text-gray-500 focus:outline-none focus:text-gray-500 transition ease-in-out duration-150">
                        <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                  d="M6 18L18 6M6 6l12 12" />
                        </svg>
                    </button>
                </div>

                <h2 class="text-lg font-medium mr-auto mb-4">{{ $title }}</h2>

                <div class="grid grid-cols-4 gap-4 row-gap-3">
                    <div class="col-span-4 sm:col-span-2 @error('name') has-error @enderror">
                        <label for="name">Nome:</label>
                        <input type="text" class="input w-full border mt-2" id="name" placeholder="Gruppo di prova" wire:model.defer="name">
                        @error('name')
                        <div class="text-theme-6 mt-2">{{ $message }}</div>
                        @enderror
                    </div>

                    <div class="col-span-4 sm:col-span-4 @error('usersSaved') has-error @enderror">
                        <!--<label>Utenti:</label>

                        <div class="flex">
                            <select class="input w-full border mt-2" id="userSelected" wire:model="userSelected">
                                @foreach ($users as $i => $user)
                                    <option value="{{ $i }}">{{ $user }}</option>
                                @endforeach
                            </select>
                            <div class="mt-2 ml-2">
                                <button wire:click.prevent="addUser" class="button w-20 bg-theme-1 text-white ml-auto">Aggiungi</button>
                            </div>
                        </div>
                        @error('usersSaved')
                        <div class="text-theme-6 mt-2">{{ $message }}</div>
                        @enderror -->

                        @livewire('push-group-users-add-table')
                    </div>

                    <!--<div class="col-span-4 @error('users') has-error @enderror @if(!$usersSaved) hidden @endif">
                        <label>Utenti inseriti:</label>

                        <div class="overflow-y-scroll max-h-80">
                            @foreach ($usersSaved as $i => $user)
                                <div class="flex items-center bg-theme-23 p-2 rounded-lg mt-1 w-96">
                                    <i class="fa-sharp fa-solid fa-user mr-2"></i>
                                    <p class="mr-8">Utente</p>
                                    <p class="mr-8 bg-theme-14 p-1">{{ $user }}</p>
                                    <i class="ml-auto fa-light fa-x ml-2 cursor-pointer" wire:click="removeUser({{ $i }})"></i>
                                </div>
                            @endforeach
                        </div>
                    </div>-->
                </div>
            </div>
            <div class="px-5 py-3 text-right border-t border-gray-200 dark:border-dark-5">
                <button @click="open = false" class="button w-24 border dark:border-dark-5 text-gray-700 dark:text-gray-300 ml-1">Annulla</button>
                <button wire:click.prevent="onSave" class="button w-20 bg-theme-1 text-white ml-auto">Salva</button>
            </div>
        </x-slot>
    </x-modal>


</div>