<div class="intro-y box lg:mt-6 tab-content__pane active" wire:init="sendMessageData" x-data>
    <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5">
        <h1 class="text-lg font-medium">2. Messaggio</h1>
    </div>
    <div class="p-5">
        <div class="grid grid-cols-12 gap-5">
            <div class="col-span-12 lg:col-span-6 gap-8">
                <div>
                    <label>Titlo</label>
                    <input type="text" class="input w-full border mt-2" wire:model.lazy="messageTitle"/>
                    @error('messageTitle')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                </div>

                <!--<div class="mt-6">
                        <label>Sottotitolo</label>
                        <input type="text" class="input w-full border mt-2" wire:model="messageSubtitle"/>
                        @error('messageSubtitle')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                </div>-->

                <div class="mt-6">
                    <label>Messaggio</label>
                    <textarea class="input w-full border mt-2" style="height: 6rem" wire:model.lazy="messageDescription"></textarea>
                    @error('messageDescription')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror
                </div>

                @if(!$readonly)
                    <div class="mt-6">
                        <div>
                            <label>Immagine</label><br />
                            <!--<span class="text-gray-400">Proporzione consigliata (1:1)</span>-->
                        </div>
                        <div class="mt-3">
                            <div class="flex mt-2 items-center">
                                <div x-show="isUploadingLogo">
                                    <i class="fas fa-spinner fa-pulse mr-2"></i>
                                </div>
                                <div x-on:livewire-upload-start="isUploadingLogo = true"
                                     x-on:livewire-upload-finish="isUploadingLogo = false"
                                     x-on:livewire-upload-error="isUploadingLogo = false">
                                    <input type="file" wire:model.lazy="messageImage" id="pushImageFile{{$randId}}" />
                                </div>
                            </div>
                        </div>
                    </div>
                @endif

                <div x-data="{isTyped: false, url: @entangle('showUrl')}">
                    <div class="mt-8" x-show="!url">
                        <label>Prodotto</label>

                        @if($messageProductCode)
                            <div class="flex bg-gray-100 rounded p-4 mb-2">
                                <b>{{ $messageProductName }}</b>
                                <div class="ml-auto">
                                    <button wire:click="setMessageProductCode(null,null)">
                                        <i class="fa fa-trash text-theme-6"></i>
                                    </button>
                                </div>
                            </div>
                        @else
                            <div class="relative">
                                <input type="text" class="input w-full border mt-2"
                                       placeholder="{{__('Cerca prodotto ...')}}"
                                       x-on:input.debounce.400ms="isTyped = ($event.target.value != '')"
                                       autocomplete="off"
                                       wire:model.debounce.500ms="search"
                                       aria-label="Search input" />
                            </div>
                            {{-- search box --}}
                            <div x-show="isTyped" x-cloak>
                                <div>
                                    <div class="bg-gray-100 rounded">
                                        @forelse($products as $product)
                                            <div class="py-1 px-2 my-1 cursor-pointer hover:bg-blue-100" wire:click="setMessageProductCode('{!! str_replace("'", "\'", $product->name) !!}','{!! $product->code !!}')" wire:key="{{$product->code}}">
                                                <ul>
                                                    <li>
                                                        <b>{{Str::limit($product->name, 40)}}</b>
                                                        <p>{{Str::limit($product->code, 40)}}</p>
                                                    </li>
                                                </ul>
                                            </div>
                                        @empty
                                            <div class="p-2 my-1" x-cloak>
                                                {{$isEmpty}}
                                            </div>
                                        @endforelse
                                    </div>
                                </div>
                            </div>
                        @endif

                        <p class="mt-4 text-theme-200">
                            oppure
                            <span class="text-theme-1 cursor-pointer underline" @click="url = true">inserisci un URL</span>
                        </p>
                    </div>

                    <div class="mt-8" x-show="url">
                        <label>URL</label>
                        <input type="text" class="input w-full border mt-2" wire:model.lazy="messageUrl" placeholder="Inserisci un URL"/>
                        @error('messageUrl')<div class="text-theme-6 mt-2">{{ $message }}</div>@enderror

                        <p class="mt-4 text-theme-200">
                            oppure
                            <span class="text-theme-1 cursor-pointer underline" @click="url = false">inserisci un prodotto</span>
                        </p>
                    </div>
                </div>
            </div>

            <div class="col-span-12 lg:col-span-6 gap-8">
                <div class="relative flex justify-center w-full">
                    <img src="{{ asset('static/images/iphone.png') }}" alt="">

                    <div class="absolute p-4 bg-white rounded-xl shadow w-72" style="top: 14rem;">
                        <div class="flex items-center justify-between">
                            <div class="flex items-center">
                                @if($appLogo)
                                    <img src="{{ asset('storage/logo/'.$appLogo) }}" class="h-8 w-8 rounded-lg mr-2" style="min-height: 2rem; min-width: 2rem">
                                @else
                                    <div class="h-8 w-8 rounded-lg bg-gray-100 mr-2" style="min-height: 2rem; min-width: 2rem"></div>
                                @endif
                                <div class="flex-grow">
                                    <h5 class="font-medium">{{ $messageTitle }}</h5>
                                    <p>{{ $messageDescription }}</p>
                                </div>
                            </div>
                            <div>
                                <p class="mb-2">ora</p>
                                @if($messageImage)
                                    <img src="{{ $messageImage->temporaryUrl() }}" class="h-6 w-6 mr-2" style="min-height: 1.5rem; min-width: 1.5rem">
                                @elseif($showMessageImage)
                                    <img src="{{ asset('storage/notificationImages/'.$showMessageImage) }}" class="h-6 w-6 mr-2" style="min-height: 1.5rem; min-width: 1.5rem">
                                @else
                                    <div class="h-6 w-6 bg-gray-100 mr-2 {{ $messageImage ? : 'object-none'}}"></div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>