<section wire:poll.5000ms="ref" class="flex">


    <div class="w-1/2 mx-2">

        @if($pushNotification->sent == -1) <div class="w-full rounded-md px-5 py-4 mb-2 bg-theme-13 text-white">La notifica è in fase di invio, i contatori verranno aggiornati automaticamente...</div> @endif

        <div class="box tab-content__pane active2 w-full">

            <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5">
                <h1 class="text-lg font-medium">Risultati</h1>
            </div>

            <div class="grid grid-cols-6 gap-5 p-5 flex justify-between mt-2">

                <svg wire:loading style="position: absolute;z-index: 10;right: 8px;bottom: 8px;" width="25" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="rgb(45, 55, 72)" class="w-8 h-8">
                    <g fill="none" fill-rule="evenodd" stroke-width="4">
                        <circle cx="22" cy="22" r="1">
                            <animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                            <animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                        </circle>
                        <circle cx="22" cy="22" r="1">
                            <animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"></animate>
                            <animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"></animate>
                        </circle>
                    </g>
                </svg>

                <div class="col-span-1 flex flex-col items-center w-full">
                    <i class="fa fa-mobile text-2xl"></i>
                    <h1 class="text-4xl text-theme-1 mt-4">{{ $pushNotificationSent->estimated_devices ?? 0 }}</h1>
                    <p>Dispositivi</p>
                </div>
                <div class="col-span-1 flex flex-col items-center w-full">
                    <i class="fa fa-envelope text-2xl"></i>
                    <h1 class="text-4xl text-theme-1 mt-4">{{ $pushNotificationSent->sent_to ?? 0 }}</h1>
                    <p class="text-center">Notifiche consegnate</p>
                </div>
                <div class="col-span-1 flex flex-col items-center w-full">
                    <i class="fas fa-bell-slash text-2xl"></i>
                    <h1 class="text-4xl text-theme-1 mt-4">{{ (($pushNotificationSent->estimated_devices ?? 0) - ($pushNotificationSent->sent_to ?? 0)) ?? 0 }}</h1>
                    <p class="text-center">Notifiche non consegnate</p>
                </div>
                <div class="col-span-1 flex flex-col items-center w-full">
                    <i class="fa fa-users text-2xl"></i>
                    <h1 class="text-4xl text-theme-1 mt-4">{{ $pushNotificationSent->estimated_users ?? 0 }}</h1>
                    <p>Utenti</p>
                </div>
                <div class="col-span-1 flex flex-col items-center w-full">
                    <i class="fas fa-envelope-open text-2xl"></i>
                    <h1 class="text-4xl text-theme-1 mt-4">{{ $pushNotificationSent->read ?? 0 }}</h1>
                    <p class="text-center">Notifiche lette</p>
                </div>
                <div class="col-span-1 flex flex-col items-center w-full">
                    <i class="fas fa-envelope-open-text text-2xl"></i>
                    <h1 class="text-4xl text-theme-1 mt-4">{{ $pushNotificationSent->opened ?? 0 }}</h1>
                    <p class="text-center">Notifiche aperte</p>
                </div>
            </div>
        </div>

        <div class="box lg:mt-6 tab-content__pane active w-full">
            <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5">
                <h1 class="text-lg font-medium">Informazioni</h1>
            </div>
            <div class="p-5">
                <div class="grid grid-cols-4 gap-5">
                    <div class="col-span-2 lg:col-span-2 gap-8">
                        Giorno:
                        <div class="flex items-center text-gray-700 dark:text-gray-500">
                            <i class="fa-sharp fa-solid fa-calendar mr-2"></i>
                            <span class="font-medium">{{ \Carbon\Carbon::parse($pushNotificationSent->sent_at)->format('d M. Y') }}</span>
                        </div>
                    </div>
                    <div class="col-span-2 lg:col-span-2 gap-8">
                        Ore:
                        <div class="flex items-center text-gray-700 dark:text-gray-500">
                            <i class="fa-sharp fa-solid fa-clock mr-2"></i>
                            <span class="font-medium">{{ \Carbon\Carbon::parse($pushNotificationSent->sent_at)->format('H:i') }}</span>
                        </div>
                    </div>

                    <div class="col-span-4 gap-8 my-4">
                        Notifica inviata a:

                        @if($pushNotificationSent->groups_names == null && $pushNotificationSent->segments_names == null)
                            <div class="flex items-center bg-theme-23 p-2 rounded-lg hover:border-theme-13 transition ease-in-out duration-300 mb-1" style="border-width: 1px">
                                <i class="fa-sharp fa-solid fa-users mr-2"></i>
                                <p class="mr-8 p-1">Tutti gli utenti</p>
                            </div>
                        @endif

                        @if($pushNotificationSent->groups_names != null)
                            @foreach(json_decode($pushNotificationSent->groups_names, true) as $groupName)
                                <div class="flex items-center bg-theme-23 p-2 rounded-lg hover:border-theme-13 transition ease-in-out duration-300 mb-1" style="border-width: 1px">
                                    <i class="fa-sharp fa-solid fa-users mr-2"></i>
                                    <p class="mr-8 p-1">{{ $groupName }}</p>
                                </div>
                            @endforeach
                        @endif

                        @if($pushNotificationSent->segments_names != null)
                            @foreach(json_decode($pushNotificationSent->segments_names, true) as $segmentName)
                                <div class="flex items-center bg-theme-23 p-2 rounded-lg hover:border-theme-13 transition ease-in-out duration-300 mb-1" style="border-width: 1px">
                                    <i class="fa-sharp fa-solid fa-chart-pie-simple mr-2"></i>
                                    <p class="mr-8 p-1">{{ $segmentName }}</p>
                                </div>
                            @endforeach
                        @endif
                    </div>

                    <div class="col-span-4 mb-4">
                        @if($pushNotification->url)
                            <p>URL:</p>
                            <h1 class="font-medium">{{ $pushNotification->url }}</h1>
                        @else
                            <p>Prodotto:</p>
                            <h1 class="font-medium">{{ $pushNotification->product !== null ? $productName.' (codice: '. $pushNotification->product .')' : 'Nessuno' }}</h1>
                        @endif
                    </div>

                    <div class="col-span-4">
                        <p>Sistema Operativi:</p>
                        <h1 class="font-medium">{{ $pushNotification->android_send ? ($pushNotification->ios_send ? 'Android & iOS' : 'Andorid') : ($pushNotification->ios_send ? 'iOS' : '') }}</h1>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="box tab-content__pane active w-1/2 mx-2">
        <div class="flex items-center justify-between p-5 border-b border-gray-200 dark:border-dark-5">
            <h1 class="text-lg font-medium">Anteprima</h1>
        </div>

        <div class="relative flex justify-center w-full">
            <img src="{{ asset('static/images/iphone.png') }}" alt="">

            <div class="absolute p-4 bg-white rounded-xl shadow w-72" style="top: 14rem;">
                <div class="flex items-center justify-between">
                    <div class="flex items-center">
                        @if($appLogo)
                            <img src="{{ asset('storage/logo/'.$appLogo) }}" class="h-8 w-8 rounded-lg mr-2" style="min-height: 2rem; min-width: 2rem"/>
                        @else
                            <div class="h-8 w-8 rounded-lg bg-gray-100 mr-2" style="min-height: 2rem; min-width: 2rem"></div>
                        @endif
                        <div class="flex-grow @if($pushNotification->image == null || $pushNotification->image == "") pr-1 @endif">
                            <h5 class="font-medium">{{ $pushNotification->title }}</h5>
                            <p>{{ $pushNotification->message }}</p>
                        </div>
                    </div>
                    <div>
                        <p class="mb-2">ora</p>
                        @if($pushNotification->image != null &&  $pushNotification->image != "")
                            <img src="{{ asset('storage/notificationImages/'.$pushNotification->image) }}" class="h-6 w-6 mr-2" style="min-height: 1.5rem; min-width: 1.5rem">
                        @else
{{--                            <div class="h-6 w-6 bg-gray-100 mr-2" style="min-height: 1.5rem; min-width: 1.5rem"></div>--}}
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>