<?php

use FourWords\AppManager\PushNotifications\Controllers\PushNotificationController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Rotte WEB
|--------------------------------------------------------------------------
*/

Route::middleware('web')->group(function () {

    Route::middleware('auth')->group(function() {

        Route::prefix('push-notification')->group(function() {

            Route::get('', [PushNotificationController::class, 'index'])->name('push.index');
            Route::get('create', [PushNotificationController::class, 'create'])->name('push.create');

            Route::prefix('groups')->group(function() {
                Route::get('', [PushNotificationController::class, 'groups'])->name('push.groups');
            });

            Route::prefix('segments')->group(function() {
                Route::get('', [PushNotificationController::class, 'segments'])->name('push.segments');
            });

            Route::get('{id}', [PushNotificationController::class, 'edit'])->name('push.edit');
            Route::get('/show/{id}', [PushNotificationController::class, 'show'])->name('push.show');

        });
//    Route::put('user/{user}/update', [UserController::class, 'update'])->name('user-update');
    });
});

Route::prefix('api/push-notifications')->middleware('api')->group(function () {
    Route::middleware('iocapi')->group(function () {
        Route::get('', [PushNotificationController::class, 'getUserNotifications']);
    });
});
