<?php

namespace FourWords\AppManager\PushNotifications\Listeners;


use FourWords\AppManager\PushNotifications\Model\PushNotificationSentUser;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Log;

class AddNotificationsToBonjour
{

    public function handle($event)
    {

        try {

            $userId = $event->payload['data']['id'];

            if (!empty($userId)) {

                $pushNotificationIds = PushNotificationSentUser::join('ioc_users', 'push_notification_sent_users.user', '=', 'ioc_users.id')
                    ->where('ioc_users.id', $userId)
                    ->where('read', 0)
                    ->where('push_notification_sent_users.created_at', '>=',Carbon::now()->subYear())
                    ->pluck('push_notification_id');
                $event->payload['data']['notifications'] = $pushNotificationIds ?? [];
            }


        } catch (\Exception $e) {
            Log::error($e->getMessage());
        }

//        $dbWarehouse = $sqg->getDatabase('Warehouse');
//        $user['lastDbTimestamp'] = $db->getLatestVersionTimestamp(true) ?? 0;

        return $event->payload;
    }

}
