<?php

namespace FourWords\AppManager\PushNotifications\Livewire\Groups;

use FourWords\AppManager\Ioc\Livewire\Table\IocTable;
use FourWords\AppManager\Ioc\Models\IocUser;
use Mediconesystems\LivewireDatatables\Column;

class AddGroupUsersTable extends IocTable {

    protected $listeners = ['userSelectedFromEdit'];

    public function updatedSelected() {
        parent::updatedSelected();
        $this->emit('userSelected', $this->selected);
    }

    public function toggleSelectAll() {
        parent::toggleSelectAll();
        $this->emit('userSelected', $this->selected);
    }

    public function toggleAll() {
        parent::toggleAll();
        $this->emit('userSelected', $this->selected);
    }

    public function builder() {
        return IocUser::query()->orderBy('created_at');
    }

    public function columns() {
        return [

            Column::checkbox(),

            Column::name('name')
                ->label('Nome')
                ->filterable()
                ->searchable(),

            Column::name('code')
                ->label('ID Gestionale')
                ->filterable()
                ->searchable(),

            Column::name('vat_code')
                ->label('Partita IVA')
                ->filterable()
                ->searchable(),

            Column::name('fiscal_code')
                ->label('Codice Fiscale')
                ->filterable()
                ->searchable()
        ];
    }

    public function userSelectedFromEdit($userSelected) {
        $this->selected = $userSelected;
        $this->visibleSelected = $userSelected;
    }
}
