<?php

namespace FourWords\AppManager\PushNotifications\Livewire\Groups;

use FourWords\AppManager\Ioc\Livewire\Table\IocTable;
use FourWords\AppManager\PushNotifications\Model\PushNotificationGroup;
use Mediconesystems\LivewireDatatables\Column;
use Mediconesystems\LivewireDatatables\NumberColumn;

class PushGroupUsersTable extends IocTable {

    public function builder() {
        return PushNotificationGroup::query();
    }

    public function columns()
    {
        return [
            Column::name('id')
                ->label('ID')
//                ->filterable()
                ->defaultSort('asc'),

            Column::name('name')
                ->label('Nome')
//                ->filterable()
//                ->editable()
                ->searchable(),

            NumberColumn::name('users.id:count')
                ->label('Numero utenti'),

            Column::callback(['id', 'name'], function ($id, $name) {
                return view('datatables::table-actions', [
                    'id' => $id,
                    'name' => $name,
                    'permission' => ''
                ]);
            })->unsortable()
                ->label('Azioni')
            ->excludeFromExport(),
        ];
    }
}
