<?php

namespace FourWords\AppManager\PushNotifications\Livewire\Segments;

use FourWords\AppManager\Ioc\Livewire\Table\IocTable;
use FourWords\AppManager\Ioc\Models\TaskLog;
use FourWords\AppManager\PushNotifications\Model\PushNotification;
use FourWords\AppManager\PushNotifications\Model\PushNotificationGroup;
use FourWords\AppManager\PushNotifications\Model\PushNotificationSegment;
use Mediconesystems\LivewireDatatables\BooleanColumn;
use Mediconesystems\LivewireDatatables\Column;
use Mediconesystems\LivewireDatatables\NumberColumn;

class PushSegmentUsersTable extends IocTable {

    public function builder() {
        return PushNotificationSegment::query();
    }

    public function columns()
    {
        return [
            Column::name('id')
                ->label('ID')
//                ->filterable()
                ->defaultSort('asc'),

            Column::name('name')
                ->label('Nome')
//                ->filterable()
//                ->editable()
                ->searchable(),

            Column::name('query')
                ->label('Query'),

            Column::callback(['id', 'name'], function ($id, $name) {
                return view('datatables::table-actions', [
                    'id' => $id,
                    'name' => $name,
                    'permission' => ''
                ]);
            })->unsortable()
                ->label('Azioni')
            ->excludeFromExport(),
        ];
    }
}
