<?php

namespace FourWords\AppManager\PushNotifications\Livewire;

use FourWords\AppManager\Appstore\Models\AppstoreApp;
use FourWords\AppManager\Catalog\Model\Product;
use FourWords\AppManager\Ioc\Livewire\IocComponent;
use FourWords\AppManager\PushNotifications\Model\PushNotificationSent;

class ShowPushNotificationPage extends IocComponent {
    public
        $pushNotification,
        $pushNotificationSent;

    public
        $appLogo,
        $productName;

    public function mount() {
        $this->appLogo = AppstoreApp::first()->icon;

        if($this->pushNotification->product !== null) {
            $this->productName = Product::where('code', '=', $this->pushNotification->product)->first()->name;
        }

    }
    public function render() {
        $this->pushNotificationSent = PushNotificationSent::where('push_notification_id', '=', $this->pushNotification->id)->first();
        return view('push::livewire.show-page');
    }

    public function ref() {

    }
}
