<?php

return [
    'sqlitegen' => [

        'dir' => base_path('vendor/4words/sqlitegen'),


        /*
        |--------------------------------------------------------------------------
        | Connessione di default utilizzata per l'autoImport nei Model
        |--------------------------------------------------------------------------
        |
        | Se non specificata viene utilizzata quella del package DataExtractor.
        | Può comunque essere specificata singolarmente in ogni SqliteGenModel con il metodo autoImportConnection()
        |
        | Una stringa con il nome della connessione specificata in database.php (mysql, sqlite, etc...)
        | oppure
        | Il nome di un <site> nel configuration.xml del DataExtractor
        |-------------------------------------------------------------------------- */

        'autoImportConnection' => env('SQG_AUTOIMPORT_CONNECTION', 'datasource'),

        /*
        |--------------------------------------------------------------------------
        | Configurazione dei SqliteGenDB
        |--------------------------------------------------------------------------
        | dir => Path della root dei SqliteGenDB, di default app/SqliteGen/Databases
        | exportDir => Path dove vengono esportati i sqlite
        |-------------------------------------------------------------------------- */

        'databases' => [
            'tempDir' => env('SQG_TEMP_DIR', storage_path('sqlitegen/temp/databases')),
            'exportDir' => env('SQG_EXPORT_DIR', storage_path('sqlitegen/databases')),
            'dirPermissions' =>  env('SQG_DB_DIR_PERMISSIONS',0770),
            'filePermissions' =>  env('SQG_DB_FILE_PERMISSIONS',0660),
            'genDatabaseIfMissing' =>  env('SQG_GEN_DB_IF_MISSING',false)
        ],

        /*
        |--------------------------------------------------------------------------
        | Configurazione delle API
        |--------------------------------------------------------------------------
        | endpoint => Path iniziale delle api del modulo, es. dominio.com/api/{{path}}/generate
        |-------------------------------------------------------------------------- */

        'api' => [
            'path' => env('SQG_API_PATH', 'db')
        ],

        /*
        |--------------------------------------------------------------------------
        | Configurazione dei log
        |--------------------------------------------------------------------------
        |
        | force => Logga forzatamente le query dei SqliteDB
        | dir => Path dove vengono salvati i file di log
        |-------------------------------------------------------------------------- */
        'log' => [
            'force' =>  env('SQG_FORCE_LOG',false),
            'dir' =>  storage_path(env('SQG_LOG_DIR','logs/sqlitegen/')),
            'dirPermissions' =>  env('SQG_LOG_DIR_PERMISSIONS',0770),
            'filePermissions' =>  env('SQG_LOG_FILE_PERMISSIONS',0660)
        ]

    ]
];
