<?php

namespace FourWords\AppManager\SqliteGen\Archive;

class GZipArchiver extends Archiver
{


    public function __construct()
    {
        parent::__construct();
        $this->setQuality(6);
    }

    public function getExtension()
    {
        return ".gz";
    }

    /**
     * @throws ArchiveException
     */
    protected function compress()
    {
        $tmpName = "tmp".substr(md5(time()+rand(10,100)),0,10);
        $tmpFile = dirname($this->getArchivePath()).'/'.$tmpName;

        if ($fp = gzopen($tmpFile, $this->quality)) {

            foreach ($this->filesToCompress as $file) { // Bisogna creare un tar per più file?
                if (!gzwrite($fp, file_get_contents($file['file']))) {
                    throw new ArchiveException('Impossibile aggiungere: ' . $file['file'] . ' all\'archivio: '.$this->getArchivePath());
                }
            }

            if (gzclose($fp)) {
                rename($tmpFile,$this->getArchivePath());
                return true;
            }
        } else {
            return false;
        }
    }


}