<?php

namespace FourWords\AppManager\SqliteGen\Archive;

use ZipArchive;

class ZipArchiver extends Archiver
{

    public function getExtension()
    {
        return ".zip";
    }

    /**
     * @throws ArchiveException
     */
    protected function compress()
    {
        $zip = new ZipArchive;
        if ($zip->open($this->getArchivePath(), ZipArchive::CREATE) === TRUE)
        {
            foreach ($this->filesToCompress as $file) {
                if (!$zip->addFile($file['file'],$file['nameInArchive'])) { //Fare una classe?
                    throw new ArchiveException('Impossibile aggiungere: ' . $file['file'] . ' all\'archivio: '.$this->getArchivePath());
                }
            }
            return $zip->close();
        } else {
            return false;
        }
    }


}