<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class AttributesProducts extends Model
{
    public $sqliteTable = 'attributes_products';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

    // colonna in mysql => colonna in sqlite
    protected $map = [
        'code' => 'product',
        'cla1ma' => 'attribute_1',
        'cla2ma' => 'attribute_2',
        'cla3ma' => 'attribute_3',
        'cla4ma' => 'attribute_4',
        'cla5ma' => 'attribute_5',
        'cl01md' => 'attribute_6',
        'cl02md' => 'attribute_7',
        'cl03md' => 'attribute_8',
        'cl04md' => 'attribute_9',
        'cl05md' => 'attribute_10',
        'cl06md' => 'attribute_11',
        'cl07md' => 'attribute_12',
        'cl08md' => 'attribute_13',
        'cl09md' => 'attribute_14',
        'cl10md' => 'attribute_15',
        'cl11md' => 'attribute_16',
        'cl12md' => 'attribute_17',
        'cl13md' => 'attribute_18',
        'cl14md' => 'attribute_19',
        'cl15md' => 'attribute_20',
    ];

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->string('product');
        $table->string('attribute_1')->nullable();
        $table->string('attribute_2')->nullable();
        $table->string('attribute_3')->nullable();
        $table->string('attribute_4')->nullable();
        $table->string('attribute_5')->nullable();
        $table->string('attribute_6')->nullable();
        $table->string('attribute_7')->nullable();
        $table->string('attribute_8')->nullable();
        $table->string('attribute_9')->nullable();
        $table->string('attribute_10')->nullable();
        $table->string('attribute_11')->nullable();
        $table->string('attribute_12')->nullable();
        $table->string('attribute_13')->nullable();
        $table->string('attribute_14')->nullable();
        $table->string('attribute_15')->nullable();
        $table->string('attribute_16')->nullable();
        $table->string('attribute_17')->nullable();
        $table->string('attribute_18')->nullable();
        $table->string('attribute_19')->nullable();
        $table->string('attribute_20')->nullable();
    }

    protected function autoImportQuery()
    {
        $selectColumns = '';
        foreach ($this->map as $key => $value) {
            $selectColumns .= "{$key} AS {$value},\n";
        }
        $selectColumns = rtrim($selectColumns, ",\n");

        return "SELECT 
                $selectColumns
                FROM catalog_products";
    }

}
