<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class AttributesValues extends Model
{
    public $sqliteTable = 'attributes_values';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->string('attribute');
        $table->string('code_attribute');
        $table->string('desc_lang_1');
        $table->string('desc_lang_2')->nullable();
        $table->string('desc_lang_3')->nullable();
        $table->string('desc_lang_4')->nullable();
        $table->string('desc_lang_5')->nullable();
        $table->string('desc_lang_6')->nullable();
        $table->string('desc_lang_7')->nullable();
        $table->string('desc_lang_8')->nullable();
        $table->string('desc_lang_9')->nullable();
        $table->string('desc_lang_10')->nullable();
//        $table->integer('rank')->nullable();
//        $table->char('_disabled', 1)->nullable();
    }

    protected function autoImportQuery()
    {
        return "SELECT 
                LPAD(indice,2,'0') as attribute,
                codifica as code_attribute,
                valore as desc_lang_1
                FROM catalog_attributes_values";
    }

}
