<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class Catalogs extends Model
{
    public $sqliteTable = 'catalogs';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->integer('root_category')->nullable();
        $table->string("enabled_from")->nullable();
        $table->string("enabled_to")->nullable();

        for ($i = 1; $i <= 10; $i++) {
            $table->string("name_lang_$i")->nullable();
            $table->string("img_small_lang_$i")->nullable();
            $table->string("img_small_size_lang_$i")->nullable();
            $table->string("img_big_lang_$i")->nullable();
            $table->string("img_big_size_lang_$i")->nullable();
        }

        $table->integer('_disabled')->nullable();
        $table->integer('_modified')->nullable();
    }

    public static function populate($rows)
    {
        parent::populate($rows);
    }

}