<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use FourWords\AppManager\Catalog\Model\Category;
use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class Categories extends Model
{
    public $sqliteTable = 'categories';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->string('code')->nullable();
        $table->string('subcategories_list')->nullable();
        $table->integer('subcategories_total')->nullable();
        $table->integer('products_total')->nullable();
        $table->integer('products_new')->nullable();
        $table->integer('products_promotion')->nullable();
        $table->integer('products_offer')->nullable();

        for ($i = 1; $i <= 10; $i++) {
            $table->string("name_lang_$i")->nullable();
            $table->string("img_small_lang_$i")->nullable();
            $table->integer("img_small_size_lang_$i")->nullable();
            $table->string("img_big_lang_$i")->nullable();
            $table->integer("img_big_size_lang_$i")->nullable();
        }

        $table->integer('_disabled')->default(0);
        $table->integer('_modified')->nullable();

    }

}