<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class CategoriesParents extends Model
{
    public $sqliteTable = 'categories_parents';
    protected $primaryKey = ['category','parent'];
    public $incrementing = false;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

    protected function autoImportConnection()
    {
        return config('mysql');
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->integer('category');
        $table->integer('parent')->default(0);
        $table->integer('rank')->default(0);
        $table->integer('_disabled')->default(0);
        $table->integer('_modified')->nullable();
    }

}