<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class CategoriesProducts extends Model
{
    public $sqliteTable = 'categories_products';
    protected $primaryKey = ['category','product'];
    public $incrementing = false;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->integer('category');
        $table->integer('product');
        $table->integer('rank')->default(0);
        $table->integer('_disabled')->default(0);
        $table->integer('_modified')->nullable();
    }

    protected function autoImportQuery()
    {
        return "
SELECT category_id as category,
       product_id as product
    FROM catalog_category_products";
    }

}