<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class Documents extends Model
{
    public $sqliteTable = 'documents';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->integer('product')->nullable();
        $table->integer('collection')->default(1);
        $table->integer('rank')->default(1);
        $table->string("type")->nullable();

        for ($i = 1; $i <= 10; $i++) {
            $table->string("name_lang_$i")->nullable();
            $table->string("desc_lang_$i")->nullable();
            $table->string("file_lang_$i")->nullable();
            $table->integer("file_size_lang_$i")->nullable();
        }

        $table->integer('_disabled')->nullable();
        $table->integer('_modified')->nullable();
    }

    public static function populate($rows)
    {
        parent::populate($rows);
    }

}