<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use FourWords\AppManager\SqliteGen\Model;
use Illuminate\Database\Schema\Blueprint;

class Features extends Model
{
    public $sqliteTable = 'features';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->integer('collection')->default(1);
        $table->integer('rank')->default(0);

        for ($i = 1; $i <= 10; $i++) {
            $table->string("name_lang_$i")->nullable();
            $table->string("unit_lang_$i")->nullable();
        }

        $table->integer('_disabled')->default(0);
        $table->integer('_modified')->nullable();

    }

    protected function autoImportQuery()
    {
        return "
SELECT 
    id,
    name as name_lang_1
    FROM catalog_features";
    }

}