<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use FourWords\AppManager\SqliteGen\Model;
use Illuminate\Database\Schema\Blueprint;

class FeaturesProducts extends Model
{
    public $sqliteTable = 'features_values';
    public $incrementing = true;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->integer('feature')->index();
        $table->integer('product')->index();

        for ($i = 1; $i <= 10; $i++) {
            $table->string("value_lang_$i")->nullable();
        }

        $table->integer('_disabled')->default(0);
        $table->integer('_modified')->nullable();
    }

    protected function autoImportQuery()
    {
        return "
SELECT 
    feature_id as feature,
    product_id as product,
    value as value_lang_1
    FROM catalog_feature_products";
    }

}