<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class ImagesCollections extends Model
{
    public $sqliteTable = 'images_collections';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->integer('rank')->default(0);

        for ($i = 1; $i <= 10; $i++) {
            $table->string("name_lang_$i")->nullable();
            $table->string("desc_lang_$i")->nullable();
        }

        $table->integer('_disabled')->default(0);
        $table->integer('_modified')->nullable();

    }

    protected function autoImportQuery()
    {
        return "SELECT id, name as name_lang_1, 1 as rank
        FROM catalog_images_gallery";
    }

}