<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use FourWords\AppManager\Catalog\Model\Category;
use FourWords\AppManager\Catalog\Model\ResourceCollection;
use FourWords\AppManager\Ioc\Helpers\Client;
use FourWords\AppManager\SqliteGen\Exceptions\ModelException;
use FourWords\AppManager\SqliteGen\Model;
use Illuminate\Database\Schema\Blueprint;

class Parameters extends Model
{
    public $sqliteTable = 'parameters';
    protected $primaryKey = 'object';
    public $incrementing = false;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

    protected function autoImportUp(Blueprint $table)
    {
        $table->string('object');
        $table->string('value')->nullable();
    }

    /**
     * @throws ModelException
     */
    public static function populate($rows = [])
    {
        $rootCategory = Category::where('name','Home')->first()->id;
        $rootResourcesCollection = ResourceCollection::where('name','Home')->first()->id;

        $defaultRows = [
            ['object' => 'PRODUCTS_CATEGORY_ID', 'value' => $rootCategory],
            ['object' => 'COMPANY_RESOURCES_ROOT_COLLECTION_ID', 'value' => $rootResourcesCollection],
            ['object' => 'MOVEMENT_TYPE', 'value' => '{"F":"OM","S":"VE","T":"TR"}'],
        ];

        //TODO: Tengo per vecchia versione android, rimuovere
        if (Client::getPackageName() == "ioc-sareni") {
            $defaultRows = array_merge($defaultRows,[
                ['object' => 'DEF_CATALOG', 'value' => '1'],
                ['object' => 'CATEGORIES_LIST', 'value' => '{"att":"0","code":"0"},{"att":"3","code":"03"},{"att":"4","code":"04"}'],
                ['object' => 'COMPANY_DOCUMENTS_ROOT_COLLECTION_ID', 'value' => '3'],
                ['object' => 'RLEVELS', 'value' => '{"allow":"","deny":"","footer":{"label":{"en":"Categories","it":"Categorie"}},"header":{"label":{"en":"","it":""}},"max":"99","min":"0","values":{}}'],
                ['object' => 'ELEVELS', 'value' => '{"allow":"","deny":"","footer":{"label":{"en":"","it":"","fr":"","es":"","de":""}},"header":{"label":{"it":"","en":"","fr":"","es":"","de":""}},"max":"0","min":"0","values":{"0":{"img":"fa-file-invoice-dollar","tag":"invoicesCtrl","it":"Storico Doc. Acquisto","en":"Storico Doc. Acquisto","fr":"Storico Doc. Acquisto","es":"Storico Doc. Acquisto","de":"Storico Doc. Acquisto"},"1":{"img":"fa-sack-dollar","tag":"entriesCtrl","it":"Partite","en":"Partite","fr":"Partite","es":"Partite","de":"Partite"},"2":{"img":"fa-file-archive","tag":"docCtrl","it":"Documenti","en":"Documenti","fr":"Documenti","es":"Documenti","de":"Documenti"}}}']
            ]);
        }

        parent::populate(array_merge($defaultRows,$rows));
    }

}
