<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class Payments extends Model
{
    public $sqliteTable = 'payments';
    protected $primaryKey = 'code';
    public $incrementing = false;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

//    protected function onInsertRecord(&$record)
//    {
//        $record['start_date'] = FWUtils::asDateToTimestamp($record['start_date']);
//        $record['end_date'] = FWUtils::asDateToTimestamp($record['end_date']);
//    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->string('code');
        $table->string('mode')->nullable();
        $table->double('cd')->nullable();
//        $table->integer('rank')->nullable();
//        $table->char('_disabled', 1)->nullable();
    }

    protected function autoImportQuery()
    {
        // GALILEO

        return "SELECT 
                DISTINCT XCODTB AS code,
                SUBSTR(XDATTB, 9, 40) AS mode,
                CAST(SUBSTR(XDATTB, 50, 5) AS REAL)/100 AS cd
                FROM ". config('ioc.as.library') ."SMTAB00F
                JOIN ". config('ioc.as.library') ."CGANA00F ON CDPGCA = XCODTB WHERE XTIPTB = '01CP' 
                ORDER BY XCODTB";

        // NO GALILEO SMTABCP00F
    }

}
