<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class Products extends Model
{
    public $sqliteTable = 'products';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

//    protected function onInsertRecord(&$record)
//    {
//        $record['start_date'] = FWUtils::asDateToTimestamp($record['start_date']);
//        $record['end_date'] = FWUtils::asDateToTimestamp($record['end_date']);
//    }

    // colonna in mysql => colonna in sqlite
    protected $map = [
        'cp.id' => 'id',
        'code' => 'code',
        'items_per_carton' => 'items_per_carton',
        'um' => 'um',
        'other_um' => 'other_um',
        'vat_value' => 'vat_value',
        'coefficient' => 'coefficient',
        '1' => 'new',
        'min_qta' => 'min_qta',
        'name' => 'name_lang_1',
        'short_description' => 'desc_short_lang_1',
        'long_description' => 'desc_long_lang_1',
        'cpi.imported_filename' => 'img_big_lang_1'
//        'img_small_lang_1' => 'img_small_lang_1',
//        'img_big_lang_1' => 'img_big_lang_1',
    ];

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->string('code');
        $table->string('barcode')->nullable();
        $table->string('barcode_type')->nullable();
        $table->string('barcode_img')->nullable();
        $table->string('items_per_carton')->nullable();
        $table->string('um')->nullable();
        $table->string('other_um')->nullable();
        $table->string('vat_value')->nullable();
        $table->string('coefficient')->nullable();
        $table->string('new')->nullable();
        $table->string('promotion')->nullable();
        $table->string('offer')->nullable();
        $table->string('min_qta')->nullable();
        $table->string('note')->nullable();
        $table->string('name_lang_1')->nullable();
        $table->string('desc_short_lang_1')->nullable();
        $table->string('desc_long_lang_1')->nullable();
        $table->string('tags_lang_1')->nullable();
        $table->string('img_small_lang_1')->nullable();
        $table->string('img_big_lang_1')->nullable();
        $table->string('name_lang_2')->nullable();
        $table->string('desc_short_lang_2')->nullable();
        $table->string('desc_long_lang_2')->nullable();
        $table->string('tags_lang_2')->nullable();
        $table->string('name_lang_3')->nullable();
        $table->string('desc_short_lang_3')->nullable();
        $table->string('desc_long_lang_3')->nullable();
        $table->string('tags_lang_3')->nullable();
        $table->string('name_lang_4')->nullable();
        $table->string('desc_short_lang_4')->nullable();
        $table->string('desc_long_lang_4')->nullable();
        $table->string('tags_lang_4')->nullable();
        $table->string('name_lang_5')->nullable();
        $table->string('desc_short_lang_5')->nullable();
        $table->string('desc_long_lang_5')->nullable();
        $table->string('tags_lang_5')->nullable();
        $table->string('name_lang_6')->nullable();
        $table->string('desc_short_lang_6')->nullable();
        $table->string('desc_long_lang_6')->nullable();
        $table->string('tags_lang_6')->nullable();
        $table->string('name_lang_7')->nullable();
        $table->string('desc_short_lang_7')->nullable();
        $table->string('desc_long_lang_7')->nullable();
        $table->string('tags_lang_7')->nullable();
        $table->string('name_lang_8')->nullable();
        $table->string('desc_short_lang_8')->nullable();
        $table->string('desc_long_lang_8')->nullable();
        $table->string('tags_lang_8')->nullable();
        $table->string('name_lang_9')->nullable();
        $table->string('desc_short_lang_9')->nullable();
        $table->string('desc_long_lang_9')->nullable();
        $table->string('tags_lang_9')->nullable();
        $table->string('name_lang_10')->nullable();
        $table->string('desc_short_lang_10')->nullable();
        $table->string('desc_long_lang_10')->nullable();
        $table->string('tags_lang_10')->nullable();
        $table->string('img_small_lang_2')->nullable();
        $table->string('img_big_lang_2')->nullable();
        $table->string('img_small_lang_3')->nullable();
        $table->string('img_big_lang_3')->nullable();
        $table->string('img_small_lang_4')->nullable();
        $table->string('img_big_lang_4')->nullable();
        $table->string('img_small_lang_5')->nullable();
        $table->string('img_big_lang_5')->nullable();
        $table->string('img_small_lang_6')->nullable();
        $table->string('img_big_lang_6')->nullable();
        $table->string('img_small_lang_7')->nullable();
        $table->string('img_big_lang_7')->nullable();
        $table->string('img_small_lang_8')->nullable();
        $table->string('img_big_lang_8')->nullable();
        $table->string('img_small_lang_9')->nullable();
        $table->string('img_big_lang_9')->nullable();
        $table->string('img_small_lang_10')->nullable();
        $table->string('img_big_lang_10')->nullable();
        $table->string('multiple_control')->nullable();
        $table->string('_modified')->nullable();
        $table->boolean('_disabled')->default(0);

//        $table->integer('rank')->nullable();
//        $table->char('_disabled', 1)->nullable();
    }

    protected function autoImportQuery()
    {
        $selectColumns = '';
        foreach ($this->map as $key => $value) {
            $selectColumns .= "{$key} AS {$value},\n";
        }
        $selectColumns = rtrim($selectColumns, ",\n");

        return "SELECT
    $selectColumns
FROM catalog_products cp
LEFT JOIN (
    SELECT product_code, MIN(position) AS min_position
    FROM catalog_products_images
    GROUP BY product_code
) AS covers ON cp.code = covers.product_code
LEFT JOIN catalog_products_images cpi ON cp.code = cpi.product_code AND covers.min_position = cpi.position";
    }

}
