<?php

/**
 * Copyright (c) 2021/6
 * Created by Federico Papetti
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use FourWords\AppManager\Catalog\Model\Product;
use FourWords\AppManager\SqliteGen\Model;
use Illuminate\Database\Schema\Blueprint;

class ProductsBarcodes extends Model
{
    public $sqliteTable = 'products_barcodes';
    protected $primaryKey = ['product_code','barcode'];
    public $incrementing = false;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

    // Lancio un'exception se il risultato della query è vuoto
    protected $throwIfEmptyResult = true;

    protected function autoImportUp(Blueprint $table)
    {
        $table->string('product_code');
        $table->string('barcode');
        $table->string('barcode_type')->nullable();
    }

    protected function autoImportQuery()
    {
        return "
SELECT CDARMS AS product_code, BAR1MS AS barcode, 'EAN-13' AS barcode_type
FROM ". config('ioc.as.library') ."MGSPE00F mf
WHERE CDARMS IN ('".Product::pluck('code')->join("','")."') AND BAR1MS <> ''";
    }

}
