<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class Resources extends Model
{
    public $sqliteTable = 'resources';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->integer('collection')->default(1);
        $table->string('type');
        $table->integer('position')->default(0);
        $table->string('filename');
        $table->string('description')->nullable();
        $table->double('size');
        $table->string('imported_filename');
    }

    protected function autoImportQuery()
    {
        return "SELECT id, collection, type, position, filename, description, size, imported_filename
        FROM catalog_resources";
    }

}