<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class ResourcesCollections extends Model
{
    public $sqliteTable = 'resources_collections';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    protected function autoImportConnection()
    {
        return 'mysql';
    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->id();
        $table->string('name');
        $table->integer('rank')->default(0);
        $table->integer('parent_id')->nullable();
    }

    protected function autoImportQuery()
    {
        return "SELECT id, name, 1 as rank, parent_id
        FROM catalog_resources_collection";
    }

}