<?php

/**
 * Copyright (c) 2022/9
 * Created by Enricomaria Marchiori
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Entities;

use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class ShippingModes extends Model
{
    public $sqliteTable = 'shipping_modes';
    protected $primaryKey = 'id';
    public $incrementing = true;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

//    protected function onInsertRecord(&$record)
//    {
//        $record['start_date'] = FWUtils::asDateToTimestamp($record['start_date']);
//        $record['end_date'] = FWUtils::asDateToTimestamp($record['end_date']);
//    }

    protected function autoImportUp(Blueprint $table)
    {
        $table->increments('id');
        $table->string('code')->nullable();
        $table->string('type')->nullable();
        $table->string('desc')->nullable();
    }

    protected function autoImportQuery()
    {
        return "SELECT SUBSTR(XTIPTB,3,2) AS type,
                XCODTB AS code,
                CONCAT(' ',TRIM(SUBSTR(XDATTB, 29, 40))) AS desc
        FROM ". config('ioc.as.library') ."SMTAB00F 
        WHERE XTIPTB LIKE '01TR%' AND TRIM(SUBSTR(XDATTB, 29, 40)) <> ''
        UNION
        SELECT SUBSTR(XTIPTB,3,2) AS type,
               XCODTB AS code,
               SUBSTR(XDATTB, 9, 15) AS desc
        FROM ". config('ioc.as.library') ."SMTAB00F 
        WHERE XTIPTB LIKE '01CN%' AND SUBSTR(XDATTB, 9, 15) <> ''
        UNION
        SELECT SUBSTR(XTIPTB,3,2) AS type,
               XCODTB AS code,
               SUBSTR(XDATTB, 9, 40) AS desc
        FROM ". config('ioc.as.library') ."SMTAB00F 
        WHERE XTIPTB LIKE '01IM%' AND SUBSTR(XDATTB, 9, 40) <> ''
        UNION
        SELECT SUBSTR(XTIPTB,3,2) AS type,
               XCODTB AS code,
               SUBSTR(XDATTB, 9, 40) AS desc
        FROM ". config('ioc.as.library') ."SMTAB00F 
        WHERE XTIPTB LIKE '01MC%' AND SUBSTR(XDATTB, 9, 40) <> ''";
    }



}
