<?php

/**
 * Copyright (c) 2020/2
 * Created by Federico Papetti
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Specific;

use Exception;
use FourWords\AppManager\Ioc\Models\IocUser;
use FourWords\AppManager\SqliteGen\Databases\IOC\Generic\Generic;
use FourWords\AppManager\SqliteGen\Databases\IOC\Specific\Entities\CustomerInfo;
use FourWords\AppManager\SqliteGen\Databases\IOC\Specific\Entities\Stock;
use FourWords\AppManager\SqliteGen\IocSqliteDB;

class Specific extends IocSqliteDB {

    public $order = 3;
    public $startFrom = Generic::class;

    /**
     * @return array
     * @throws Exception
     */
    public function getOwners()
    {
        /** @var IocUser $iocUsers */
        $iocUsers = app()->make(IocUser::class);
        return $iocUsers->where('active', true)->get()->pluck('code')->toArray();
    }

    protected function populate()
    {
//        $vlevels = $this->parameters()->get('VLEVELS');
//
//        // Svuoto ELEVELS (extra)
//        $elevels = clone $vlevels;
//        $elevels->values = (object) [];
//        $this->parameters()->set('ELEVELS', $elevels);
//
//        // Metto 'Tutti' in VLEVELS (diverso da 'Tutti i prodotti')
//        $menus = [Menu::All()]; // [Menu::All(),Menu::Promo(),Menu::News(),Menu::Stock()];
//        $vlevels->values = (object) [];
//        foreach ($menus as $index => $menu) {
//            $vlevels->values->{$index} = $menu;
//        }
//        $this->parameters()->set('VLEVELS', $vlevels);
//
//        $this->parameters()->set('PRODUCTS_CATEGORY_ID', (int) $this->getConnection()->table('categories')->where('code','=','prodotti')->value('id'));

        CustomerInfo::autoImport();
        Stock::autoImport();

    }

}
