<?php

/**
 * Copyright (c) 2021/6
 * Created by Federico Papetti
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Warehouse\Entities;

use FourWords\AppManager\Director\FWUtils;
use Illuminate\Database\Schema\Blueprint;
use FourWords\AppManager\SqliteGen\Model;

class Warehouses extends Model
{
    public $sqliteTable = 'warehouses';
    protected $primaryKey = ['warehouse','product'];
    public $incrementing = false;
    public $timestamps = false;

    // Velocizzo gli insert
    protected $useMutators = false;
    protected $logQueries = false;

    protected function autoImportUp(Blueprint $table)
    {
        $table->string('warehouse');
        $table->string('product');
        $table->string('quantity')->default(0);
        $table->string('available_from')->nullable();
    }

    protected function autoImportQuery()
    {

        return "SELECT
				CDMGME AS warehouse,
            	CDARME AS product,
            	(GIATME - IMPCME) AS quantity,
            	'' AS available_from
			FROM ".config('ioc.as.library')."MGESI00F 
			JOIN ".config('ioc.as.library')."MGART00F MA0F ON CDARME = MA0F.CDARMA
			WHERE LEFT(CDARMA, 1) <> '.' AND LEFT(CDARMA, 1) <> '*' 
			AND STATMA IN ('','N') 
			AND CDDTME = '01' 
			AND CDPRME = '0' 
			AND CDMGME = '100'
			AND CTGMME = ''
			AND MA0F.CDARMA IN
            (
                SELECT DISTINCT CDARML
                FROM " . config('ioc.as.library') . "MGLIS01F
                WHERE ((DTUAML <= " . date('Ymd') . ") AND (DTLVML >= " . date('Ymd') . " OR DTLVML = 0))
            )";
    }

}
