<?php

/**
 * Copyright (c) 2020/2
 * Created by Federico Papetti
 */

namespace FourWords\AppManager\SqliteGen\Databases\IOC\Warehouse;

use FourWords\AppManager\SqliteGen\Databases\IOC\Warehouse\Entities\Warehouses;
use FourWords\AppManager\SqliteGen\SQLiteDB;

class Warehouse extends SQLiteDB {

    public $order = 2;
    public $exportUncompressedDb = false;
    public $exportCompressedDb = true;
    public $timestampVersioning = true;

    public $hasOwners = false;

    public function exportDir() {
        return config('sqlitegen.databases.exportDir').'/'.strtolower($this->getName());
    }

    public function getNameOfExportedDatabase() {
        return strtolower($this->getName()).'.db';
    }

    protected function populate()
    {
        Warehouses::autoImport();
    }

}
