<?php

namespace FourWords\AppManager\SqliteGen\Listeners;

use FourWords\AppManager\Ioc\Events\BonjourPayload;
use FourWords\AppManager\SqliteGen\SqliteGenerator;

class AddDatabasesToBonjour
{

    public function handle($event)
    {
        /** @var SqliteGenerator $sqg */
        $sqg = app('sqlitegen');

        //TODO:>> Eliminare il db se più vecchio di 7gg?

        $user = &$event->payload['data'];

        $userCode = $user['userCode'] ?? '';

        $db = null;
        //TODO:!!
        try {
            $db = $sqg->getDatabase('Specific')->forOwner($userCode);
            $dbWarehouse = $sqg->getDatabase('Warehouse');
        } catch (\Exception $e) { }


        if (config('sqlitegen.databases.genDatabaseIfMissing') && $db->getLatestVersionedCompressedDb(false,true) == null) {
            try {
                $sqg->logger->info("Genero il database dinamicamente per l'utente: ".$event->data['user']." userCode: ".$userCode);
                $sqg->generate(['Specific'])->forOwners([$userCode]);
            } catch (\Exception $e) {
                $sqg->logger->error("-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-");
                $sqg->logger->error("ERRORE NELLA GENERAZIONE DB DINAMICAMENTE NEL BONJOUR. login: ".$event->data['user']." userCode: ".$userCode);
                $sqg->logger->error($e->getMessage());
                $sqg->logger->error("-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-");

                telegramError("Errore generazione db dinamico nel bonjour, user: ".$event->data['user']." userCode: ".$userCode);
            }
        }

        $user['lastDbTimestamp'] = $db ? ($db->getLatestVersionTimestamp(true) ?? 0) : 0;
        $user['lastDbName'] = $db ? ($db->getLatestVersionedCompressedDb(true, true) ?? "") : "";
        $user['warehouseLastDbTimestamp'] = $dbWarehouse ? ($dbWarehouse->getLatestVersionTimestamp(true) ?? 0) : 0;
        $user['warehouseLastDbName'] = $dbWarehouse ? ($dbWarehouse->getLatestVersionedCompressedDb(true, true) ?? "") : "";

        return $event->payload;
    }

}
