<?php

namespace FourWords\AppManager\SqliteGen\Listeners;

use FourWords\AppManager\Ioc\Events\GetDatabaseEvent;

class HandleGetDatabase
{

    public function handle(GetDatabaseEvent $event)
    {
        if ($event->payload['type'] != 'db') {
            throw new \Exception();
        }

        $userCode = $event->payload['userCode'];
        $filename = $event->payload['filename'];

        // Se inizia con icmdb, punto al database Specific
        if (strpos(explode('.',$filename)[0],"icmdb") === 0) {
            $db = app('sqlitegen')->getDatabase('Specific')->forOwner($userCode);
        } else {
            $name = ucfirst(strtolower(explode('.',$filename)[0]));
            $db = app('sqlitegen')->getDatabase($name); //TODO:>> Rendere getDatabase, getConnection non case sensitive...
        }


        return $db->getLatestVersionedCompressedDb();
    }

}
