<?php
/**
 * Copyright (c) 2020/2
 * Created by Federico Papetti
 */

namespace FourWords\AppManager\SqliteGen\Providers;

use FourWords\AppManager\Ioc\Events\BonjourPayload;
use FourWords\AppManager\Ioc\Events\GetDatabaseEvent;
use FourWords\AppManager\Ioc\Events\PSBonjourPayload;
use FourWords\AppManager\SqliteGen\Listeners\AddDatabasesToBonjour;
use FourWords\AppManager\SqliteGen\Listeners\HandleGetDatabase;
use Illuminate\Foundation\Support\Providers\EventServiceProvider;

class SqliteGeneratorEventServiceProvider extends EventServiceProvider
{

    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
        BonjourPayload::class => [
            AddDatabasesToBonjour::class,
        ],

        PSBonjourPayload::class => [
            AddDatabasesToBonjour::class,
        ],

        GetDatabaseEvent::class => [
            HandleGetDatabase::class,
        ],
    ];

    public function boot() {

        parent::boot();

        //
    }

}
